#ifndef PARSER_KEYWORDS_BUILTIN_HPP
#define PARSER_KEYWORDS_BUILTIN_HPP
#include <unordered_map>
#include <fmt/format.h>
#include <opm/input/eclipse/Parser/ParserKeywords/A.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/B.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/C.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/D.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/E.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/F.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/G.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/H.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/I.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/J.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/K.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/L.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/M.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/N.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/O.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/P.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/Q.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/R.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/S.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/T.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/U.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/V.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/W.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/X.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/Y.hpp>
#include <opm/input/eclipse/Parser/ParserKeywords/Z.hpp>

namespace Opm {
namespace ParserKeywords {
struct Builtin {
    const ::Opm::ParserKeywords::ACTDIMS ACTDIMS;
    const ::Opm::ParserKeywords::ACTION ACTION;
    const ::Opm::ParserKeywords::ACTIONG ACTIONG;
    const ::Opm::ParserKeywords::ACTIONR ACTIONR;
    const ::Opm::ParserKeywords::ACTIONS ACTIONS;
    const ::Opm::ParserKeywords::ACTIONW ACTIONW;
    const ::Opm::ParserKeywords::ACTIONX ACTIONX;
    const ::Opm::ParserKeywords::ACTNUM ACTNUM;
    const ::Opm::ParserKeywords::ACTPARAM ACTPARAM;
    const ::Opm::ParserKeywords::ADD ADD;
    const ::Opm::ParserKeywords::ADDREG ADDREG;
    const ::Opm::ParserKeywords::ADDZCORN ADDZCORN;
    const ::Opm::ParserKeywords::ADSALNOD ADSALNOD;
    const ::Opm::ParserKeywords::ADSORP ADSORP;
    const ::Opm::ParserKeywords::AITS AITS;
    const ::Opm::ParserKeywords::AITSOFF AITSOFF;
    const ::Opm::ParserKeywords::ALKADS ALKADS;
    const ::Opm::ParserKeywords::ALKALINE ALKALINE;
    const ::Opm::ParserKeywords::ALKROCK ALKROCK;
    const ::Opm::ParserKeywords::ALL ALL;
    const ::Opm::ParserKeywords::ALPOLADS ALPOLADS;
    const ::Opm::ParserKeywords::ALSURFAD ALSURFAD;
    const ::Opm::ParserKeywords::ALSURFST ALSURFST;
    const ::Opm::ParserKeywords::AMALGAM AMALGAM;
    const ::Opm::ParserKeywords::API API;
    const ::Opm::ParserKeywords::APIGROUP APIGROUP;
    const ::Opm::ParserKeywords::APILIM APILIM;
    const ::Opm::ParserKeywords::APIVD APIVD;
    const ::Opm::ParserKeywords::AQANCONL AQANCONL;
    const ::Opm::ParserKeywords::AQANNC AQANNC;
    const ::Opm::ParserKeywords::AQANTRC AQANTRC;
    const ::Opm::ParserKeywords::AQUALIST AQUALIST;
    const ::Opm::ParserKeywords::AQUANCON AQUANCON;
    const ::Opm::ParserKeywords::AQUCHGAS AQUCHGAS;
    const ::Opm::ParserKeywords::AQUCHWAT AQUCHWAT;
    const ::Opm::ParserKeywords::AQUCON AQUCON;
    const ::Opm::ParserKeywords::AQUCT AQUCT;
    const ::Opm::ParserKeywords::AQUCWFAC AQUCWFAC;
    const ::Opm::ParserKeywords::AQUDIMS AQUDIMS;
    const ::Opm::ParserKeywords::AQUFET AQUFET;
    const ::Opm::ParserKeywords::AQUFETP AQUFETP;
    const ::Opm::ParserKeywords::AQUFLUX AQUFLUX;
    const ::Opm::ParserKeywords::AQUIFER_PROBE_ANALYTIC AQUIFER_PROBE_ANALYTIC;
    const ::Opm::ParserKeywords::AQUIFER_PROBE_ANALYTIC_NAMED AQUIFER_PROBE_ANALYTIC_NAMED;
    const ::Opm::ParserKeywords::AQUIFER_PROBE_NUMERIC AQUIFER_PROBE_NUMERIC;
    const ::Opm::ParserKeywords::AQUNNC AQUNNC;
    const ::Opm::ParserKeywords::AQUNUM AQUNUM;
    const ::Opm::ParserKeywords::AQUTAB AQUTAB;
    const ::Opm::ParserKeywords::AUTOCOAR AUTOCOAR;
    const ::Opm::ParserKeywords::AUTOREF AUTOREF;
    const ::Opm::ParserKeywords::BC BC;
    const ::Opm::ParserKeywords::BDENSITY BDENSITY;
    const ::Opm::ParserKeywords::BGGI BGGI;
    const ::Opm::ParserKeywords::BIGMODEL BIGMODEL;
    const ::Opm::ParserKeywords::BLACKOIL BLACKOIL;
    const ::Opm::ParserKeywords::BLOCK_PROBE BLOCK_PROBE;
    const ::Opm::ParserKeywords::BLOCK_PROBE300 BLOCK_PROBE300;
    const ::Opm::ParserKeywords::BOGI BOGI;
    const ::Opm::ParserKeywords::BOUNDARY BOUNDARY;
    const ::Opm::ParserKeywords::BOX BOX;
    const ::Opm::ParserKeywords::BPARA BPARA;
    const ::Opm::ParserKeywords::BPIDIMS BPIDIMS;
    const ::Opm::ParserKeywords::BRANPROP BRANPROP;
    const ::Opm::ParserKeywords::BRINE BRINE;
    const ::Opm::ParserKeywords::BTOBALFA BTOBALFA;
    const ::Opm::ParserKeywords::BTOBALFV BTOBALFV;
    const ::Opm::ParserKeywords::CALTRAC CALTRAC;
    const ::Opm::ParserKeywords::CARFIN CARFIN;
    const ::Opm::ParserKeywords::CART CART;
    const ::Opm::ParserKeywords::CBMOPTS CBMOPTS;
    const ::Opm::ParserKeywords::CECON CECON;
    const ::Opm::ParserKeywords::CECONT CECONT;
    const ::Opm::ParserKeywords::CIRCLE CIRCLE;
    const ::Opm::ParserKeywords::CO2STOR CO2STOR;
    const ::Opm::ParserKeywords::CO2STORE CO2STORE;
    const ::Opm::ParserKeywords::COAL COAL;
    const ::Opm::ParserKeywords::COALADS COALADS;
    const ::Opm::ParserKeywords::COALNUM COALNUM;
    const ::Opm::ParserKeywords::COALPP COALPP;
    const ::Opm::ParserKeywords::COARSEN COARSEN;
    const ::Opm::ParserKeywords::COLLAPSE COLLAPSE;
    const ::Opm::ParserKeywords::COLUMNS COLUMNS;
    const ::Opm::ParserKeywords::COMPDAT COMPDAT;
    const ::Opm::ParserKeywords::COMPDATX COMPDATX;
    const ::Opm::ParserKeywords::COMPFLSH COMPFLSH;
    const ::Opm::ParserKeywords::COMPIMB COMPIMB;
    const ::Opm::ParserKeywords::COMPINJK COMPINJK;
    const ::Opm::ParserKeywords::COMPLMPL COMPLMPL;
    const ::Opm::ParserKeywords::COMPLUMP COMPLUMP;
    const ::Opm::ParserKeywords::COMPOFF COMPOFF;
    const ::Opm::ParserKeywords::COMPORD COMPORD;
    const ::Opm::ParserKeywords::COMPRIV COMPRIV;
    const ::Opm::ParserKeywords::COMPRP COMPRP;
    const ::Opm::ParserKeywords::COMPRPL COMPRPL;
    const ::Opm::ParserKeywords::COMPS COMPS;
    const ::Opm::ParserKeywords::COMPSEGL COMPSEGL;
    const ::Opm::ParserKeywords::COMPSEGS COMPSEGS;
    const ::Opm::ParserKeywords::COMPVE COMPVE;
    const ::Opm::ParserKeywords::COMPVEL COMPVEL;
    const ::Opm::ParserKeywords::CONNECTION_PROBE CONNECTION_PROBE;
    const ::Opm::ParserKeywords::COORD COORD;
    const ::Opm::ParserKeywords::COORDSYS COORDSYS;
    const ::Opm::ParserKeywords::COPY COPY;
    const ::Opm::ParserKeywords::COPYBOX COPYBOX;
    const ::Opm::ParserKeywords::COPYREG COPYREG;
    const ::Opm::ParserKeywords::CPIFACT CPIFACT;
    const ::Opm::ParserKeywords::CPIFACTL CPIFACTL;
    const ::Opm::ParserKeywords::CPR CPR;
    const ::Opm::ParserKeywords::CREF CREF;
    const ::Opm::ParserKeywords::CREFS CREFS;
    const ::Opm::ParserKeywords::CRITPERM CRITPERM;
    const ::Opm::ParserKeywords::CSKIN CSKIN;
    const ::Opm::ParserKeywords::DATE DATE;
    const ::Opm::ParserKeywords::DATES DATES;
    const ::Opm::ParserKeywords::DATUM DATUM;
    const ::Opm::ParserKeywords::DATUMR DATUMR;
    const ::Opm::ParserKeywords::DATUMRX DATUMRX;
    const ::Opm::ParserKeywords::DCQDEFN DCQDEFN;
    const ::Opm::ParserKeywords::DEBUG_ DEBUG_;
    const ::Opm::ParserKeywords::DELAYACT DELAYACT;
    const ::Opm::ParserKeywords::DENSITY DENSITY;
    const ::Opm::ParserKeywords::DEPTH DEPTH;
    const ::Opm::ParserKeywords::DEPTHTAB DEPTHTAB;
    const ::Opm::ParserKeywords::DEPTHZ DEPTHZ;
    const ::Opm::ParserKeywords::DIAGDISP DIAGDISP;
    const ::Opm::ParserKeywords::DIFF DIFF;
    const ::Opm::ParserKeywords::DIFFC DIFFC;
    const ::Opm::ParserKeywords::DIFFCOAL DIFFCOAL;
    const ::Opm::ParserKeywords::DIFFDP DIFFDP;
    const ::Opm::ParserKeywords::DIFFMMF DIFFMMF;
    const ::Opm::ParserKeywords::DIFFMR DIFFMR;
    const ::Opm::ParserKeywords::DIFFMTHT DIFFMTHT;
    const ::Opm::ParserKeywords::DIFFMX DIFFMX;
    const ::Opm::ParserKeywords::DIFFMY DIFFMY;
    const ::Opm::ParserKeywords::DIFFMZ DIFFMZ;
    const ::Opm::ParserKeywords::DIFFR DIFFR;
    const ::Opm::ParserKeywords::DIFFTHT DIFFTHT;
    const ::Opm::ParserKeywords::DIFFUSE DIFFUSE;
    const ::Opm::ParserKeywords::DIFFX DIFFX;
    const ::Opm::ParserKeywords::DIFFY DIFFY;
    const ::Opm::ParserKeywords::DIFFZ DIFFZ;
    const ::Opm::ParserKeywords::DIMENS DIMENS;
    const ::Opm::ParserKeywords::DIMPES DIMPES;
    const ::Opm::ParserKeywords::DIMPLICT DIMPLICT;
    const ::Opm::ParserKeywords::DISGAS DISGAS;
    const ::Opm::ParserKeywords::DISPDIMS DISPDIMS;
    const ::Opm::ParserKeywords::DISPERSE DISPERSE;
    const ::Opm::ParserKeywords::DOMAINS DOMAINS;
    const ::Opm::ParserKeywords::DPGRID DPGRID;
    const ::Opm::ParserKeywords::DPKRMOD DPKRMOD;
    const ::Opm::ParserKeywords::DPNUM DPNUM;
    const ::Opm::ParserKeywords::DR DR;
    const ::Opm::ParserKeywords::DREF DREF;
    const ::Opm::ParserKeywords::DREFS DREFS;
    const ::Opm::ParserKeywords::DRILPRI DRILPRI;
    const ::Opm::ParserKeywords::DRSDT DRSDT;
    const ::Opm::ParserKeywords::DRSDTCON DRSDTCON;
    const ::Opm::ParserKeywords::DRSDTR DRSDTR;
    const ::Opm::ParserKeywords::DRV DRV;
    const ::Opm::ParserKeywords::DRVDT DRVDT;
    const ::Opm::ParserKeywords::DRVDTR DRVDTR;
    const ::Opm::ParserKeywords::DSPDEINT DSPDEINT;
    const ::Opm::ParserKeywords::DTHETA DTHETA;
    const ::Opm::ParserKeywords::DTHETAV DTHETAV;
    const ::Opm::ParserKeywords::DUALPERM DUALPERM;
    const ::Opm::ParserKeywords::DUALPORO DUALPORO;
    const ::Opm::ParserKeywords::DUMPCUPL DUMPCUPL;
    const ::Opm::ParserKeywords::DUMPFLUX DUMPFLUX;
    const ::Opm::ParserKeywords::DX DX;
    const ::Opm::ParserKeywords::DXV DXV;
    const ::Opm::ParserKeywords::DY DY;
    const ::Opm::ParserKeywords::DYNAMICR DYNAMICR;
    const ::Opm::ParserKeywords::DYNRDIMS DYNRDIMS;
    const ::Opm::ParserKeywords::DYV DYV;
    const ::Opm::ParserKeywords::DZ DZ;
    const ::Opm::ParserKeywords::DZMATRIX DZMATRIX;
    const ::Opm::ParserKeywords::DZMTRX DZMTRX;
    const ::Opm::ParserKeywords::DZMTRXV DZMTRXV;
    const ::Opm::ParserKeywords::DZNET DZNET;
    const ::Opm::ParserKeywords::DZV DZV;
    const ::Opm::ParserKeywords::ECHO ECHO;
    const ::Opm::ParserKeywords::ECLMC ECLMC;
    const ::Opm::ParserKeywords::EDIT EDIT;
    const ::Opm::ParserKeywords::EDITNNC EDITNNC;
    const ::Opm::ParserKeywords::EDITNNCR EDITNNCR;
    const ::Opm::ParserKeywords::EHYSTR EHYSTR;
    const ::Opm::ParserKeywords::EHYSTRR EHYSTRR;
    const ::Opm::ParserKeywords::END END;
    const ::Opm::ParserKeywords::ENDACTIO ENDACTIO;
    const ::Opm::ParserKeywords::ENDBOX ENDBOX;
    const ::Opm::ParserKeywords::ENDDYN ENDDYN;
    const ::Opm::ParserKeywords::ENDFIN ENDFIN;
    const ::Opm::ParserKeywords::ENDINC ENDINC;
    const ::Opm::ParserKeywords::ENDNUM ENDNUM;
    const ::Opm::ParserKeywords::ENDPOINT_SPECIFIERS ENDPOINT_SPECIFIERS;
    const ::Opm::ParserKeywords::ENDSCALE ENDSCALE;
    const ::Opm::ParserKeywords::ENDSKIP ENDSKIP;
    const ::Opm::ParserKeywords::ENKRVD ENKRVD;
    const ::Opm::ParserKeywords::ENPCVD ENPCVD;
    const ::Opm::ParserKeywords::ENPTVD ENPTVD;
    const ::Opm::ParserKeywords::ENSPCVD ENSPCVD;
    const ::Opm::ParserKeywords::EPSDBGS EPSDBGS;
    const ::Opm::ParserKeywords::EPSDEBUG EPSDEBUG;
    const ::Opm::ParserKeywords::EQLDIMS EQLDIMS;
    const ::Opm::ParserKeywords::EQLNUM EQLNUM;
    const ::Opm::ParserKeywords::EQLOPTS EQLOPTS;
    const ::Opm::ParserKeywords::EQLZCORN EQLZCORN;
    const ::Opm::ParserKeywords::EQUALREG EQUALREG;
    const ::Opm::ParserKeywords::EQUALS EQUALS;
    const ::Opm::ParserKeywords::EQUIL EQUIL;
    const ::Opm::ParserKeywords::ESSNODE ESSNODE;
    const ::Opm::ParserKeywords::EXCAVATE EXCAVATE;
    const ::Opm::ParserKeywords::EXCEL EXCEL;
    const ::Opm::ParserKeywords::EXIT EXIT;
    const ::Opm::ParserKeywords::EXTFIN EXTFIN;
    const ::Opm::ParserKeywords::EXTHOST EXTHOST;
    const ::Opm::ParserKeywords::EXTRAPMS EXTRAPMS;
    const ::Opm::ParserKeywords::EXTREPGL EXTREPGL;
    const ::Opm::ParserKeywords::FAULTDIM FAULTDIM;
    const ::Opm::ParserKeywords::FAULTS FAULTS;
    const ::Opm::ParserKeywords::FBHPDEF FBHPDEF;
    const ::Opm::ParserKeywords::FHERCHBL FHERCHBL;
    const ::Opm::ParserKeywords::FIELD FIELD;
    const ::Opm::ParserKeywords::FIELD_PROBE FIELD_PROBE;
    const ::Opm::ParserKeywords::FILEUNIT FILEUNIT;
    const ::Opm::ParserKeywords::FILLEPS FILLEPS;
    const ::Opm::ParserKeywords::FIPNUM FIPNUM;
    const ::Opm::ParserKeywords::FIPOWG FIPOWG;
    const ::Opm::ParserKeywords::FIPSEP FIPSEP;
    const ::Opm::ParserKeywords::FIP_PROBE FIP_PROBE;
    const ::Opm::ParserKeywords::FLUXNUM FLUXNUM;
    const ::Opm::ParserKeywords::FLUXREG FLUXREG;
    const ::Opm::ParserKeywords::FLUXTYPE FLUXTYPE;
    const ::Opm::ParserKeywords::FMTHMD FMTHMD;
    const ::Opm::ParserKeywords::FMTIN FMTIN;
    const ::Opm::ParserKeywords::FMTOUT FMTOUT;
    const ::Opm::ParserKeywords::FMWSET FMWSET;
    const ::Opm::ParserKeywords::FOAM FOAM;
    const ::Opm::ParserKeywords::FOAMADS FOAMADS;
    const ::Opm::ParserKeywords::FOAMDCYO FOAMDCYO;
    const ::Opm::ParserKeywords::FOAMDCYW FOAMDCYW;
    const ::Opm::ParserKeywords::FOAMFCN FOAMFCN;
    const ::Opm::ParserKeywords::FOAMFRM FOAMFRM;
    const ::Opm::ParserKeywords::FOAMFSC FOAMFSC;
    const ::Opm::ParserKeywords::FOAMFSO FOAMFSO;
    const ::Opm::ParserKeywords::FOAMFST FOAMFST;
    const ::Opm::ParserKeywords::FOAMFSW FOAMFSW;
    const ::Opm::ParserKeywords::FOAMMOB FOAMMOB;
    const ::Opm::ParserKeywords::FOAMMOBP FOAMMOBP;
    const ::Opm::ParserKeywords::FOAMMOBS FOAMMOBS;
    const ::Opm::ParserKeywords::FOAMOPTS FOAMOPTS;
    const ::Opm::ParserKeywords::FOAMROCK FOAMROCK;
    const ::Opm::ParserKeywords::FORMFEED FORMFEED;
    const ::Opm::ParserKeywords::FRICTION FRICTION;
    const ::Opm::ParserKeywords::FULLIMP FULLIMP;
    const ::Opm::ParserKeywords::GAS GAS;
    const ::Opm::ParserKeywords::GASBEGIN GASBEGIN;
    const ::Opm::ParserKeywords::GASCONC GASCONC;
    const ::Opm::ParserKeywords::GASDENT GASDENT;
    const ::Opm::ParserKeywords::GASEND GASEND;
    const ::Opm::ParserKeywords::GASFCOMP GASFCOMP;
    const ::Opm::ParserKeywords::GASFDECR GASFDECR;
    const ::Opm::ParserKeywords::GASFDELC GASFDELC;
    const ::Opm::ParserKeywords::GASFIELD GASFIELD;
    const ::Opm::ParserKeywords::GASFTARG GASFTARG;
    const ::Opm::ParserKeywords::GASJT GASJT;
    const ::Opm::ParserKeywords::GASMONTH GASMONTH;
    const ::Opm::ParserKeywords::GASPERIO GASPERIO;
    const ::Opm::ParserKeywords::GASSATC GASSATC;
    const ::Opm::ParserKeywords::GASVISCT GASVISCT;
    const ::Opm::ParserKeywords::GASYEAR GASYEAR;
    const ::Opm::ParserKeywords::GCALECON GCALECON;
    const ::Opm::ParserKeywords::GCOMPIDX GCOMPIDX;
    const ::Opm::ParserKeywords::GCONCAL GCONCAL;
    const ::Opm::ParserKeywords::GCONENG GCONENG;
    const ::Opm::ParserKeywords::GCONINJE GCONINJE;
    const ::Opm::ParserKeywords::GCONPRI GCONPRI;
    const ::Opm::ParserKeywords::GCONPROD GCONPROD;
    const ::Opm::ParserKeywords::GCONSALE GCONSALE;
    const ::Opm::ParserKeywords::GCONSUMP GCONSUMP;
    const ::Opm::ParserKeywords::GCONTOL GCONTOL;
    const ::Opm::ParserKeywords::GCUTBACK GCUTBACK;
    const ::Opm::ParserKeywords::GCUTBACT GCUTBACT;
    const ::Opm::ParserKeywords::GCVD GCVD;
    const ::Opm::ParserKeywords::GDCQ GDCQ;
    const ::Opm::ParserKeywords::GDCQECON GDCQECON;
    const ::Opm::ParserKeywords::GDFILE GDFILE;
    const ::Opm::ParserKeywords::GDIMS GDIMS;
    const ::Opm::ParserKeywords::GDORIENT GDORIENT;
    const ::Opm::ParserKeywords::GDRILPOT GDRILPOT;
    const ::Opm::ParserKeywords::GECON GECON;
    const ::Opm::ParserKeywords::GECONT GECONT;
    const ::Opm::ParserKeywords::GEFAC GEFAC;
    const ::Opm::ParserKeywords::GETDATA GETDATA;
    const ::Opm::ParserKeywords::GETGLOB GETGLOB;
    const ::Opm::ParserKeywords::GI GI;
    const ::Opm::ParserKeywords::GIALL GIALL;
    const ::Opm::ParserKeywords::GIMODEL GIMODEL;
    const ::Opm::ParserKeywords::GINODE GINODE;
    const ::Opm::ParserKeywords::GLIFTLIM GLIFTLIM;
    const ::Opm::ParserKeywords::GLIFTOPT GLIFTOPT;
    const ::Opm::ParserKeywords::GMWSET GMWSET;
    const ::Opm::ParserKeywords::GNETDP GNETDP;
    const ::Opm::ParserKeywords::GNETINJE GNETINJE;
    const ::Opm::ParserKeywords::GNETPUMP GNETPUMP;
    const ::Opm::ParserKeywords::GPMAINT GPMAINT;
    const ::Opm::ParserKeywords::GRADGRUP GRADGRUP;
    const ::Opm::ParserKeywords::GRADRESV GRADRESV;
    const ::Opm::ParserKeywords::GRADRFT GRADRFT;
    const ::Opm::ParserKeywords::GRADWELL GRADWELL;
    const ::Opm::ParserKeywords::GRAVCONS GRAVCONS;
    const ::Opm::ParserKeywords::GRAVDR GRAVDR;
    const ::Opm::ParserKeywords::GRAVDRB GRAVDRB;
    const ::Opm::ParserKeywords::GRAVDRM GRAVDRM;
    const ::Opm::ParserKeywords::GRAVITY GRAVITY;
    const ::Opm::ParserKeywords::GRDREACH GRDREACH;
    const ::Opm::ParserKeywords::GRID GRID;
    const ::Opm::ParserKeywords::GRIDFILE GRIDFILE;
    const ::Opm::ParserKeywords::GRIDOPTS GRIDOPTS;
    const ::Opm::ParserKeywords::GRIDUNIT GRIDUNIT;
    const ::Opm::ParserKeywords::GROUP_PROBE GROUP_PROBE;
    const ::Opm::ParserKeywords::GRUPMAST GRUPMAST;
    const ::Opm::ParserKeywords::GRUPNET GRUPNET;
    const ::Opm::ParserKeywords::GRUPRIG GRUPRIG;
    const ::Opm::ParserKeywords::GRUPSLAV GRUPSLAV;
    const ::Opm::ParserKeywords::GRUPTARG GRUPTARG;
    const ::Opm::ParserKeywords::GRUPTREE GRUPTREE;
    const ::Opm::ParserKeywords::GSATINJE GSATINJE;
    const ::Opm::ParserKeywords::GSATPROD GSATPROD;
    const ::Opm::ParserKeywords::GSEPCOND GSEPCOND;
    const ::Opm::ParserKeywords::GSSCPTST GSSCPTST;
    const ::Opm::ParserKeywords::GSWINGF GSWINGF;
    const ::Opm::ParserKeywords::GTADD GTADD;
    const ::Opm::ParserKeywords::GTMULT GTMULT;
    const ::Opm::ParserKeywords::GUIDECAL GUIDECAL;
    const ::Opm::ParserKeywords::GUIDERAT GUIDERAT;
    const ::Opm::ParserKeywords::GUPFREQ GUPFREQ;
    const ::Opm::ParserKeywords::GWRTWCV GWRTWCV;
    const ::Opm::ParserKeywords::HALFTRAN HALFTRAN;
    const ::Opm::ParserKeywords::HAxxxxxx HAxxxxxx;
    const ::Opm::ParserKeywords::HBNUM HBNUM;
    const ::Opm::ParserKeywords::HDISP HDISP;
    const ::Opm::ParserKeywords::HEATCR HEATCR;
    const ::Opm::ParserKeywords::HEATCRT HEATCRT;
    const ::Opm::ParserKeywords::HMAQUCT HMAQUCT;
    const ::Opm::ParserKeywords::HMAQUFET HMAQUFET;
    const ::Opm::ParserKeywords::HMAQUNUM HMAQUNUM;
    const ::Opm::ParserKeywords::HMDIMS HMDIMS;
    const ::Opm::ParserKeywords::HMFAULTS HMFAULTS;
    const ::Opm::ParserKeywords::HMMLAQUN HMMLAQUN;
    const ::Opm::ParserKeywords::HMMLCTAQ HMMLCTAQ;
    const ::Opm::ParserKeywords::HMMLFTAQ HMMLFTAQ;
    const ::Opm::ParserKeywords::HMMLTWCN HMMLTWCN;
    const ::Opm::ParserKeywords::HMMULTFT HMMULTFT;
    const ::Opm::ParserKeywords::HMMULTSG HMMULTSG;
    const ::Opm::ParserKeywords::HMMULTxx HMMULTxx;
    const ::Opm::ParserKeywords::HMPROPS HMPROPS;
    const ::Opm::ParserKeywords::HMROCK HMROCK;
    const ::Opm::ParserKeywords::HMROCKT HMROCKT;
    const ::Opm::ParserKeywords::HMRREF HMRREF;
    const ::Opm::ParserKeywords::HMWELCON HMWELCON;
    const ::Opm::ParserKeywords::HMWPIMLT HMWPIMLT;
    const ::Opm::ParserKeywords::HMxxxxxx HMxxxxxx;
    const ::Opm::ParserKeywords::HRFIN HRFIN;
    const ::Opm::ParserKeywords::HWKRO HWKRO;
    const ::Opm::ParserKeywords::HWKRORG HWKRORG;
    const ::Opm::ParserKeywords::HWKRORW HWKRORW;
    const ::Opm::ParserKeywords::HWKRW HWKRW;
    const ::Opm::ParserKeywords::HWKRWR HWKRWR;
    const ::Opm::ParserKeywords::HWPCW HWPCW;
    const ::Opm::ParserKeywords::HWSNUM HWSNUM;
    const ::Opm::ParserKeywords::HWSOGCR HWSOGCR;
    const ::Opm::ParserKeywords::HWSOWCR HWSOWCR;
    const ::Opm::ParserKeywords::HWSWCR HWSWCR;
    const ::Opm::ParserKeywords::HWSWL HWSWL;
    const ::Opm::ParserKeywords::HWSWLPC HWSWLPC;
    const ::Opm::ParserKeywords::HWSWU HWSWU;
    const ::Opm::ParserKeywords::HXFIN HXFIN;
    const ::Opm::ParserKeywords::HYDRHEAD HYDRHEAD;
    const ::Opm::ParserKeywords::HYFIN HYFIN;
    const ::Opm::ParserKeywords::HYMOBGDR HYMOBGDR;
    const ::Opm::ParserKeywords::HYST HYST;
    const ::Opm::ParserKeywords::HYSTCHCK HYSTCHCK;
    const ::Opm::ParserKeywords::HZFIN HZFIN;
    const ::Opm::ParserKeywords::IHOST IHOST;
    const ::Opm::ParserKeywords::IMBNUM IMBNUM;
    const ::Opm::ParserKeywords::IMBNUMMF IMBNUMMF;
    const ::Opm::ParserKeywords::IMKRVD IMKRVD;
    const ::Opm::ParserKeywords::IMPCVD IMPCVD;
    const ::Opm::ParserKeywords::IMPES IMPES;
    const ::Opm::ParserKeywords::IMPLICIT IMPLICIT;
    const ::Opm::ParserKeywords::IMPORT IMPORT;
    const ::Opm::ParserKeywords::IMPTVD IMPTVD;
    const ::Opm::ParserKeywords::IMSPCVD IMSPCVD;
    const ::Opm::ParserKeywords::INCLUDE INCLUDE;
    const ::Opm::ParserKeywords::INIT INIT;
    const ::Opm::ParserKeywords::INRAD INRAD;
    const ::Opm::ParserKeywords::INSPEC INSPEC;
    const ::Opm::ParserKeywords::INTPC INTPC;
    const ::Opm::ParserKeywords::IONROCK IONROCK;
    const ::Opm::ParserKeywords::IONXROCK IONXROCK;
    const ::Opm::ParserKeywords::IONXSURF IONXSURF;
    const ::Opm::ParserKeywords::IPCG IPCG;
    const ::Opm::ParserKeywords::IPCW IPCW;
    const ::Opm::ParserKeywords::ISGCR ISGCR;
    const ::Opm::ParserKeywords::ISGL ISGL;
    const ::Opm::ParserKeywords::ISGLPC ISGLPC;
    const ::Opm::ParserKeywords::ISGU ISGU;
    const ::Opm::ParserKeywords::ISOGCR ISOGCR;
    const ::Opm::ParserKeywords::ISOLNUM ISOLNUM;
    const ::Opm::ParserKeywords::ISOWCR ISOWCR;
    const ::Opm::ParserKeywords::ISWCR ISWCR;
    const ::Opm::ParserKeywords::ISWL ISWL;
    const ::Opm::ParserKeywords::ISWLPC ISWLPC;
    const ::Opm::ParserKeywords::ISWU ISWU;
    const ::Opm::ParserKeywords::JFUNC JFUNC;
    const ::Opm::ParserKeywords::JFUNCR JFUNCR;
    const ::Opm::ParserKeywords::KRNUM KRNUM;
    const ::Opm::ParserKeywords::KRNUMMF KRNUMMF;
    const ::Opm::ParserKeywords::LAB LAB;
    const ::Opm::ParserKeywords::LANGMPL LANGMPL;
    const ::Opm::ParserKeywords::LANGMUIR LANGMUIR;
    const ::Opm::ParserKeywords::LANGSOLV LANGSOLV;
    const ::Opm::ParserKeywords::LCUNIT LCUNIT;
    const ::Opm::ParserKeywords::LGR LGR;
    const ::Opm::ParserKeywords::LGRCOPY LGRCOPY;
    const ::Opm::ParserKeywords::LGRFREE LGRFREE;
    const ::Opm::ParserKeywords::LGRLOCK LGRLOCK;
    const ::Opm::ParserKeywords::LGROFF LGROFF;
    const ::Opm::ParserKeywords::LGRON LGRON;
    const ::Opm::ParserKeywords::LICENSES LICENSES;
    const ::Opm::ParserKeywords::LIFTOPT LIFTOPT;
    const ::Opm::ParserKeywords::LINCOM LINCOM;
    const ::Opm::ParserKeywords::LINKPERM LINKPERM;
    const ::Opm::ParserKeywords::LIVEOIL LIVEOIL;
    const ::Opm::ParserKeywords::LKRO LKRO;
    const ::Opm::ParserKeywords::LKRORG LKRORG;
    const ::Opm::ParserKeywords::LKRORW LKRORW;
    const ::Opm::ParserKeywords::LKRW LKRW;
    const ::Opm::ParserKeywords::LKRWR LKRWR;
    const ::Opm::ParserKeywords::LOAD LOAD;
    const ::Opm::ParserKeywords::LOWSALT LOWSALT;
    const ::Opm::ParserKeywords::LPCW LPCW;
    const ::Opm::ParserKeywords::LSALTFNC LSALTFNC;
    const ::Opm::ParserKeywords::LSLTWNUM LSLTWNUM;
    const ::Opm::ParserKeywords::LSNUM LSNUM;
    const ::Opm::ParserKeywords::LSOGCR LSOGCR;
    const ::Opm::ParserKeywords::LSOWCR LSOWCR;
    const ::Opm::ParserKeywords::LSWCR LSWCR;
    const ::Opm::ParserKeywords::LSWL LSWL;
    const ::Opm::ParserKeywords::LSWLPC LSWLPC;
    const ::Opm::ParserKeywords::LSWU LSWU;
    const ::Opm::ParserKeywords::LTOSIGMA LTOSIGMA;
    const ::Opm::ParserKeywords::LWKRO LWKRO;
    const ::Opm::ParserKeywords::LWKRORG LWKRORG;
    const ::Opm::ParserKeywords::LWKRORW LWKRORW;
    const ::Opm::ParserKeywords::LWKRW LWKRW;
    const ::Opm::ParserKeywords::LWKRWR LWKRWR;
    const ::Opm::ParserKeywords::LWPCW LWPCW;
    const ::Opm::ParserKeywords::LWSLTNUM LWSLTNUM;
    const ::Opm::ParserKeywords::LWSNUM LWSNUM;
    const ::Opm::ParserKeywords::LWSOGCR LWSOGCR;
    const ::Opm::ParserKeywords::LWSOWCR LWSOWCR;
    const ::Opm::ParserKeywords::LWSWCR LWSWCR;
    const ::Opm::ParserKeywords::LWSWL LWSWL;
    const ::Opm::ParserKeywords::LWSWLPC LWSWLPC;
    const ::Opm::ParserKeywords::LWSWU LWSWU;
    const ::Opm::ParserKeywords::LX LX;
    const ::Opm::ParserKeywords::LXFIN LXFIN;
    const ::Opm::ParserKeywords::LY LY;
    const ::Opm::ParserKeywords::LYFIN LYFIN;
    const ::Opm::ParserKeywords::LZ LZ;
    const ::Opm::ParserKeywords::LZFIN LZFIN;
    const ::Opm::ParserKeywords::MAPAXES MAPAXES;
    const ::Opm::ParserKeywords::MAPUNITS MAPUNITS;
    const ::Opm::ParserKeywords::MASSFLOW MASSFLOW;
    const ::Opm::ParserKeywords::MATCORR MATCORR;
    const ::Opm::ParserKeywords::MAXVALUE MAXVALUE;
    const ::Opm::ParserKeywords::MEMORY MEMORY;
    const ::Opm::ParserKeywords::MESSAGE MESSAGE;
    const ::Opm::ParserKeywords::MESSAGES MESSAGES;
    const ::Opm::ParserKeywords::MESSOPTS MESSOPTS;
    const ::Opm::ParserKeywords::MESSSRVC MESSSRVC;
    const ::Opm::ParserKeywords::METRIC METRIC;
    const ::Opm::ParserKeywords::MICP MICP;
    const ::Opm::ParserKeywords::MICPPARA MICPPARA;
    const ::Opm::ParserKeywords::MINNNCT MINNNCT;
    const ::Opm::ParserKeywords::MINNPCOL MINNPCOL;
    const ::Opm::ParserKeywords::MINPORV MINPORV;
    const ::Opm::ParserKeywords::MINPV MINPV;
    const ::Opm::ParserKeywords::MINPVFIL MINPVFIL;
    const ::Opm::ParserKeywords::MINPVV MINPVV;
    const ::Opm::ParserKeywords::MINVALUE MINVALUE;
    const ::Opm::ParserKeywords::MISC MISC;
    const ::Opm::ParserKeywords::MISCIBLE MISCIBLE;
    const ::Opm::ParserKeywords::MISCNUM MISCNUM;
    const ::Opm::ParserKeywords::MLANG MLANG;
    const ::Opm::ParserKeywords::MLANGSLV MLANGSLV;
    const ::Opm::ParserKeywords::MONITOR MONITOR;
    const ::Opm::ParserKeywords::MPFANUM MPFANUM;
    const ::Opm::ParserKeywords::MPFNNC MPFNNC;
    const ::Opm::ParserKeywords::MSFN MSFN;
    const ::Opm::ParserKeywords::MSGFILE MSGFILE;
    const ::Opm::ParserKeywords::MSUM_PROBE MSUM_PROBE;
    const ::Opm::ParserKeywords::MULSGGD MULSGGD;
    const ::Opm::ParserKeywords::MULSGGDV MULSGGDV;
    const ::Opm::ParserKeywords::MULTFLT MULTFLT;
    const ::Opm::ParserKeywords::MULTIN MULTIN;
    const ::Opm::ParserKeywords::MULTIPLY MULTIPLY;
    const ::Opm::ParserKeywords::MULTIREG MULTIREG;
    const ::Opm::ParserKeywords::MULTNUM MULTNUM;
    const ::Opm::ParserKeywords::MULTOUT MULTOUT;
    const ::Opm::ParserKeywords::MULTOUTS MULTOUTS;
    const ::Opm::ParserKeywords::MULTPV MULTPV;
    const ::Opm::ParserKeywords::MULTREAL MULTREAL;
    const ::Opm::ParserKeywords::MULTREGD MULTREGD;
    const ::Opm::ParserKeywords::MULTREGH MULTREGH;
    const ::Opm::ParserKeywords::MULTREGP MULTREGP;
    const ::Opm::ParserKeywords::MULTREGT MULTREGT;
    const ::Opm::ParserKeywords::MULTSIG MULTSIG;
    const ::Opm::ParserKeywords::MULTSIGV MULTSIGV;
    const ::Opm::ParserKeywords::MULT_XYZ MULT_XYZ;
    const ::Opm::ParserKeywords::MW MW;
    const ::Opm::ParserKeywords::MWS MWS;
    const ::Opm::ParserKeywords::NARROW NARROW;
    const ::Opm::ParserKeywords::NCONSUMP NCONSUMP;
    const ::Opm::ParserKeywords::NEFAC NEFAC;
    const ::Opm::ParserKeywords::NETBALAN NETBALAN;
    const ::Opm::ParserKeywords::NETCOMPA NETCOMPA;
    const ::Opm::ParserKeywords::NETWORK NETWORK;
    const ::Opm::ParserKeywords::NEWTRAN NEWTRAN;
    const ::Opm::ParserKeywords::NEXTSTEP NEXTSTEP;
    const ::Opm::ParserKeywords::NEXTSTPL NEXTSTPL;
    const ::Opm::ParserKeywords::NINENUM NINENUM;
    const ::Opm::ParserKeywords::NINEPOIN NINEPOIN;
    const ::Opm::ParserKeywords::NMATOPTS NMATOPTS;
    const ::Opm::ParserKeywords::NMATRIX NMATRIX;
    const ::Opm::ParserKeywords::NMESSAGE NMESSAGE;
    const ::Opm::ParserKeywords::NNC NNC;
    const ::Opm::ParserKeywords::NNEWTF NNEWTF;
    const ::Opm::ParserKeywords::NOCASC NOCASC;
    const ::Opm::ParserKeywords::NODEPROP NODEPROP;
    const ::Opm::ParserKeywords::NODPPM NODPPM;
    const ::Opm::ParserKeywords::NOECHO NOECHO;
    const ::Opm::ParserKeywords::NOGGF NOGGF;
    const ::Opm::ParserKeywords::NOGRAV NOGRAV;
    const ::Opm::ParserKeywords::NOHMD NOHMD;
    const ::Opm::ParserKeywords::NOHMO NOHMO;
    const ::Opm::ParserKeywords::NOHYST NOHYST;
    const ::Opm::ParserKeywords::NOINSPEC NOINSPEC;
    const ::Opm::ParserKeywords::NOMONITO NOMONITO;
    const ::Opm::ParserKeywords::NONNC NONNC;
    const ::Opm::ParserKeywords::NORSSPEC NORSSPEC;
    const ::Opm::ParserKeywords::NOSIM NOSIM;
    const ::Opm::ParserKeywords::NOWARN NOWARN;
    const ::Opm::ParserKeywords::NOWARNEP NOWARNEP;
    const ::Opm::ParserKeywords::NRSOUT NRSOUT;
    const ::Opm::ParserKeywords::NSTACK NSTACK;
    const ::Opm::ParserKeywords::NTG NTG;
    const ::Opm::ParserKeywords::NUMRES NUMRES;
    const ::Opm::ParserKeywords::NUPCOL NUPCOL;
    const ::Opm::ParserKeywords::NWATREM NWATREM;
    const ::Opm::ParserKeywords::NXFIN NXFIN;
    const ::Opm::ParserKeywords::NYFIN NYFIN;
    const ::Opm::ParserKeywords::NZFIN NZFIN;
    const ::Opm::ParserKeywords::OCOMPIDX OCOMPIDX;
    const ::Opm::ParserKeywords::OFM OFM;
    const ::Opm::ParserKeywords::OIL OIL;
    const ::Opm::ParserKeywords::OILAPI OILAPI;
    const ::Opm::ParserKeywords::OILCOMPR OILCOMPR;
    const ::Opm::ParserKeywords::OILDENT OILDENT;
    const ::Opm::ParserKeywords::OILJT OILJT;
    const ::Opm::ParserKeywords::OILMW OILMW;
    const ::Opm::ParserKeywords::OILVISCT OILVISCT;
    const ::Opm::ParserKeywords::OILVTIM OILVTIM;
    const ::Opm::ParserKeywords::OLDTRAN OLDTRAN;
    const ::Opm::ParserKeywords::OLDTRANR OLDTRANR;
    const ::Opm::ParserKeywords::OPERATE OPERATE;
    const ::Opm::ParserKeywords::OPERATER OPERATER;
    const ::Opm::ParserKeywords::OPERNUM OPERNUM;
    const ::Opm::ParserKeywords::OPTIONS OPTIONS;
    const ::Opm::ParserKeywords::OPTIONS3 OPTIONS3;
    const ::Opm::ParserKeywords::OUTRAD OUTRAD;
    const ::Opm::ParserKeywords::OUTSOL OUTSOL;
    const ::Opm::ParserKeywords::OVERBURD OVERBURD;
    const ::Opm::ParserKeywords::PARALLEL PARALLEL;
    const ::Opm::ParserKeywords::PARAOPTS PARAOPTS;
    const ::Opm::ParserKeywords::PARTTRAC PARTTRAC;
    const ::Opm::ParserKeywords::PATHS PATHS;
    const ::Opm::ParserKeywords::PBUB PBUB;
    const ::Opm::ParserKeywords::PBVD PBVD;
    const ::Opm::ParserKeywords::PCG PCG;
    const ::Opm::ParserKeywords::PCG32D PCG32D;
    const ::Opm::ParserKeywords::PCW PCW;
    const ::Opm::ParserKeywords::PCW32D PCW32D;
    const ::Opm::ParserKeywords::PDEW PDEW;
    const ::Opm::ParserKeywords::PDVD PDVD;
    const ::Opm::ParserKeywords::PEBI PEBI;
    const ::Opm::ParserKeywords::PECOEFS PECOEFS;
    const ::Opm::ParserKeywords::PEDIMS PEDIMS;
    const ::Opm::ParserKeywords::PEGTABX PEGTABX;
    const ::Opm::ParserKeywords::PEKTABX PEKTABX;
    const ::Opm::ParserKeywords::PENUM PENUM;
    const ::Opm::ParserKeywords::PERFORMANCE_PROBE PERFORMANCE_PROBE;
    const ::Opm::ParserKeywords::PERMAVE PERMAVE;
    const ::Opm::ParserKeywords::PERMFACT PERMFACT;
    const ::Opm::ParserKeywords::PERMJFUN PERMJFUN;
    const ::Opm::ParserKeywords::PERMR PERMR;
    const ::Opm::ParserKeywords::PERMTHT PERMTHT;
    const ::Opm::ParserKeywords::PERMX PERMX;
    const ::Opm::ParserKeywords::PERMXY PERMXY;
    const ::Opm::ParserKeywords::PERMY PERMY;
    const ::Opm::ParserKeywords::PERMYZ PERMYZ;
    const ::Opm::ParserKeywords::PERMZ PERMZ;
    const ::Opm::ParserKeywords::PERMZX PERMZX;
    const ::Opm::ParserKeywords::PETGRID PETGRID;
    const ::Opm::ParserKeywords::PETOPTS PETOPTS;
    const ::Opm::ParserKeywords::PICOND PICOND;
    const ::Opm::ParserKeywords::PIMTDIMS PIMTDIMS;
    const ::Opm::ParserKeywords::PIMULTAB PIMULTAB;
    const ::Opm::ParserKeywords::PINCH PINCH;
    const ::Opm::ParserKeywords::PINCHNUM PINCHNUM;
    const ::Opm::ParserKeywords::PINCHOUT PINCHOUT;
    const ::Opm::ParserKeywords::PINCHREG PINCHREG;
    const ::Opm::ParserKeywords::PINCHXY PINCHXY;
    const ::Opm::ParserKeywords::PINTDIMS PINTDIMS;
    const ::Opm::ParserKeywords::PLMIXNUM PLMIXNUM;
    const ::Opm::ParserKeywords::PLMIXPAR PLMIXPAR;
    const ::Opm::ParserKeywords::PLYADS PLYADS;
    const ::Opm::ParserKeywords::PLYADSS PLYADSS;
    const ::Opm::ParserKeywords::PLYATEMP PLYATEMP;
    const ::Opm::ParserKeywords::PLYCAMAX PLYCAMAX;
    const ::Opm::ParserKeywords::PLYDHFLF PLYDHFLF;
    const ::Opm::ParserKeywords::PLYESAL PLYESAL;
    const ::Opm::ParserKeywords::PLYKRRF PLYKRRF;
    const ::Opm::ParserKeywords::PLYMAX PLYMAX;
    const ::Opm::ParserKeywords::PLYMWINJ PLYMWINJ;
    const ::Opm::ParserKeywords::PLYOPTS PLYOPTS;
    const ::Opm::ParserKeywords::PLYRMDEN PLYRMDEN;
    const ::Opm::ParserKeywords::PLYROCK PLYROCK;
    const ::Opm::ParserKeywords::PLYROCKM PLYROCKM;
    const ::Opm::ParserKeywords::PLYSHEAR PLYSHEAR;
    const ::Opm::ParserKeywords::PLYSHLOG PLYSHLOG;
    const ::Opm::ParserKeywords::PLYTRRF PLYTRRF;
    const ::Opm::ParserKeywords::PLYTRRFA PLYTRRFA;
    const ::Opm::ParserKeywords::PLYVISC PLYVISC;
    const ::Opm::ParserKeywords::PLYVISCS PLYVISCS;
    const ::Opm::ParserKeywords::PLYVISCT PLYVISCT;
    const ::Opm::ParserKeywords::PLYVMH PLYVMH;
    const ::Opm::ParserKeywords::PLYVSCST PLYVSCST;
    const ::Opm::ParserKeywords::PMAX PMAX;
    const ::Opm::ParserKeywords::PMISC PMISC;
    const ::Opm::ParserKeywords::POLYMER POLYMER;
    const ::Opm::ParserKeywords::POLYMW POLYMW;
    const ::Opm::ParserKeywords::PORO PORO;
    const ::Opm::ParserKeywords::PORV PORV;
    const ::Opm::ParserKeywords::PPCWMAX PPCWMAX;
    const ::Opm::ParserKeywords::PRECSALT PRECSALT;
    const ::Opm::ParserKeywords::PREF PREF;
    const ::Opm::ParserKeywords::PREFS PREFS;
    const ::Opm::ParserKeywords::PRESSURE PRESSURE;
    const ::Opm::ParserKeywords::PRIORITY PRIORITY;
    const ::Opm::ParserKeywords::PROPS PROPS;
    const ::Opm::ParserKeywords::PRORDER PRORDER;
    const ::Opm::ParserKeywords::PRVD PRVD;
    const ::Opm::ParserKeywords::PSTEADY PSTEADY;
    const ::Opm::ParserKeywords::PSWRG PSWRG;
    const ::Opm::ParserKeywords::PSWRO PSWRO;
    const ::Opm::ParserKeywords::PVCDO PVCDO;
    const ::Opm::ParserKeywords::PVCO PVCO;
    const ::Opm::ParserKeywords::PVDG PVDG;
    const ::Opm::ParserKeywords::PVDO PVDO;
    const ::Opm::ParserKeywords::PVDS PVDS;
    const ::Opm::ParserKeywords::PVTG PVTG;
    const ::Opm::ParserKeywords::PVTGW PVTGW;
    const ::Opm::ParserKeywords::PVTGWO PVTGWO;
    const ::Opm::ParserKeywords::PVTNUM PVTNUM;
    const ::Opm::ParserKeywords::PVTO PVTO;
    const ::Opm::ParserKeywords::PVTSOL PVTSOL;
    const ::Opm::ParserKeywords::PVTW PVTW;
    const ::Opm::ParserKeywords::PVTWSALT PVTWSALT;
    const ::Opm::ParserKeywords::PVT_M PVT_M;
    const ::Opm::ParserKeywords::PVZG PVZG;
    const ::Opm::ParserKeywords::PYACTION PYACTION;
    const ::Opm::ParserKeywords::PYINPUT PYINPUT;
    const ::Opm::ParserKeywords::QDRILL QDRILL;
    const ::Opm::ParserKeywords::QHRATING QHRATING;
    const ::Opm::ParserKeywords::QMOBIL QMOBIL;
    const ::Opm::ParserKeywords::RADFIN RADFIN;
    const ::Opm::ParserKeywords::RADFIN4 RADFIN4;
    const ::Opm::ParserKeywords::RADIAL RADIAL;
    const ::Opm::ParserKeywords::RAINFALL RAINFALL;
    const ::Opm::ParserKeywords::RBEDCONT RBEDCONT;
    const ::Opm::ParserKeywords::RCMASTS RCMASTS;
    const ::Opm::ParserKeywords::REACHES REACHES;
    const ::Opm::ParserKeywords::READDATA READDATA;
    const ::Opm::ParserKeywords::REFINE REFINE;
    const ::Opm::ParserKeywords::REGDIMS REGDIMS;
    const ::Opm::ParserKeywords::REGION2REGION_PROBE REGION2REGION_PROBE;
    const ::Opm::ParserKeywords::REGION2REGION_PROBE_E300 REGION2REGION_PROBE_E300;
    const ::Opm::ParserKeywords::REGIONS REGIONS;
    const ::Opm::ParserKeywords::REGION_PROBE REGION_PROBE;
    const ::Opm::ParserKeywords::RESIDNUM RESIDNUM;
    const ::Opm::ParserKeywords::RESTART RESTART;
    const ::Opm::ParserKeywords::RESVNUM RESVNUM;
    const ::Opm::ParserKeywords::RHO RHO;
    const ::Opm::ParserKeywords::RIVDEBUG RIVDEBUG;
    const ::Opm::ParserKeywords::RIVERSYS RIVERSYS;
    const ::Opm::ParserKeywords::RIVRDIMS RIVRDIMS;
    const ::Opm::ParserKeywords::RIVRPROP RIVRPROP;
    const ::Opm::ParserKeywords::RIVRXSEC RIVRXSEC;
    const ::Opm::ParserKeywords::RIVSALT RIVSALT;
    const ::Opm::ParserKeywords::RIVTRACE RIVTRACE;
    const ::Opm::ParserKeywords::RKTRMDIR RKTRMDIR;
    const ::Opm::ParserKeywords::ROCK ROCK;
    const ::Opm::ParserKeywords::ROCK2D ROCK2D;
    const ::Opm::ParserKeywords::ROCK2DTR ROCK2DTR;
    const ::Opm::ParserKeywords::ROCKCOMP ROCKCOMP;
    const ::Opm::ParserKeywords::ROCKFRAC ROCKFRAC;
    const ::Opm::ParserKeywords::ROCKNUM ROCKNUM;
    const ::Opm::ParserKeywords::ROCKOPTS ROCKOPTS;
    const ::Opm::ParserKeywords::ROCKPAMA ROCKPAMA;
    const ::Opm::ParserKeywords::ROCKTAB ROCKTAB;
    const ::Opm::ParserKeywords::ROCKTABH ROCKTABH;
    const ::Opm::ParserKeywords::ROCKTABW ROCKTABW;
    const ::Opm::ParserKeywords::ROCKTHSG ROCKTHSG;
    const ::Opm::ParserKeywords::ROCKTSIG ROCKTSIG;
    const ::Opm::ParserKeywords::ROCKV ROCKV;
    const ::Opm::ParserKeywords::ROCKWNOD ROCKWNOD;
    const ::Opm::ParserKeywords::RPTCPL RPTCPL;
    const ::Opm::ParserKeywords::RPTGRID RPTGRID;
    const ::Opm::ParserKeywords::RPTGRIDL RPTGRIDL;
    const ::Opm::ParserKeywords::RPTHMD RPTHMD;
    const ::Opm::ParserKeywords::RPTHMG RPTHMG;
    const ::Opm::ParserKeywords::RPTHMW RPTHMW;
    const ::Opm::ParserKeywords::RPTINIT RPTINIT;
    const ::Opm::ParserKeywords::RPTISOL RPTISOL;
    const ::Opm::ParserKeywords::RPTONLY RPTONLY;
    const ::Opm::ParserKeywords::RPTONLYO RPTONLYO;
    const ::Opm::ParserKeywords::RPTPROPS RPTPROPS;
    const ::Opm::ParserKeywords::RPTREGS RPTREGS;
    const ::Opm::ParserKeywords::RPTRST RPTRST;
    const ::Opm::ParserKeywords::RPTRUNSP RPTRUNSP;
    const ::Opm::ParserKeywords::RPTSCHED RPTSCHED;
    const ::Opm::ParserKeywords::RPTSMRY RPTSMRY;
    const ::Opm::ParserKeywords::RPTSOL RPTSOL;
    const ::Opm::ParserKeywords::RS RS;
    const ::Opm::ParserKeywords::RSCONST RSCONST;
    const ::Opm::ParserKeywords::RSCONSTT RSCONSTT;
    const ::Opm::ParserKeywords::RSGI RSGI;
    const ::Opm::ParserKeywords::RSSPEC RSSPEC;
    const ::Opm::ParserKeywords::RSVD RSVD;
    const ::Opm::ParserKeywords::RTEMP RTEMP;
    const ::Opm::ParserKeywords::RTEMPA RTEMPA;
    const ::Opm::ParserKeywords::RTEMPVD RTEMPVD;
    const ::Opm::ParserKeywords::RUNSPEC RUNSPEC;
    const ::Opm::ParserKeywords::RUNSUM RUNSUM;
    const ::Opm::ParserKeywords::RV RV;
    const ::Opm::ParserKeywords::RVCONST RVCONST;
    const ::Opm::ParserKeywords::RVCONSTT RVCONSTT;
    const ::Opm::ParserKeywords::RVGI RVGI;
    const ::Opm::ParserKeywords::RVVD RVVD;
    const ::Opm::ParserKeywords::RVW RVW;
    const ::Opm::ParserKeywords::RVWVD RVWVD;
    const ::Opm::ParserKeywords::RWGSALT RWGSALT;
    const ::Opm::ParserKeywords::SALINITY SALINITY;
    const ::Opm::ParserKeywords::SALT SALT;
    const ::Opm::ParserKeywords::SALTNODE SALTNODE;
    const ::Opm::ParserKeywords::SALTP SALTP;
    const ::Opm::ParserKeywords::SALTPVD SALTPVD;
    const ::Opm::ParserKeywords::SALTREST SALTREST;
    const ::Opm::ParserKeywords::SALTSOL SALTSOL;
    const ::Opm::ParserKeywords::SALTVD SALTVD;
    const ::Opm::ParserKeywords::SAMG SAMG;
    const ::Opm::ParserKeywords::SATNUM SATNUM;
    const ::Opm::ParserKeywords::SATOPTS SATOPTS;
    const ::Opm::ParserKeywords::SAVE SAVE;
    const ::Opm::ParserKeywords::SBIOF SBIOF;
    const ::Opm::ParserKeywords::SCALC SCALC;
    const ::Opm::ParserKeywords::SCALECRS SCALECRS;
    const ::Opm::ParserKeywords::SCALELIM SCALELIM;
    const ::Opm::ParserKeywords::SCDATAB SCDATAB;
    const ::Opm::ParserKeywords::SCDETAB SCDETAB;
    const ::Opm::ParserKeywords::SCDPDIMS SCDPDIMS;
    const ::Opm::ParserKeywords::SCDPTAB SCDPTAB;
    const ::Opm::ParserKeywords::SCDPTRAC SCDPTRAC;
    const ::Opm::ParserKeywords::SCHEDULE SCHEDULE;
    const ::Opm::ParserKeywords::SCVD SCVD;
    const ::Opm::ParserKeywords::SDENSITY SDENSITY;
    const ::Opm::ParserKeywords::SEGMENT_PROBE SEGMENT_PROBE;
    const ::Opm::ParserKeywords::SEPARATE SEPARATE;
    const ::Opm::ParserKeywords::SEPVALS SEPVALS;
    const ::Opm::ParserKeywords::SFOAM SFOAM;
    const ::Opm::ParserKeywords::SGAS SGAS;
    const ::Opm::ParserKeywords::SGCR SGCR;
    const ::Opm::ParserKeywords::SGCWMIS SGCWMIS;
    const ::Opm::ParserKeywords::SGF32D SGF32D;
    const ::Opm::ParserKeywords::SGFN SGFN;
    const ::Opm::ParserKeywords::SGL SGL;
    const ::Opm::ParserKeywords::SGLPC SGLPC;
    const ::Opm::ParserKeywords::SGOF SGOF;
    const ::Opm::ParserKeywords::SGOFLET SGOFLET;
    const ::Opm::ParserKeywords::SGU SGU;
    const ::Opm::ParserKeywords::SGWFN SGWFN;
    const ::Opm::ParserKeywords::SHRATE SHRATE;
    const ::Opm::ParserKeywords::SIGMA SIGMA;
    const ::Opm::ParserKeywords::SIGMAGDV SIGMAGDV;
    const ::Opm::ParserKeywords::SIGMATH SIGMATH;
    const ::Opm::ParserKeywords::SIGMAV SIGMAV;
    const ::Opm::ParserKeywords::SIMULATE SIMULATE;
    const ::Opm::ParserKeywords::SKIP SKIP;
    const ::Opm::ParserKeywords::SKIP100 SKIP100;
    const ::Opm::ParserKeywords::SKIP300 SKIP300;
    const ::Opm::ParserKeywords::SKIPREST SKIPREST;
    const ::Opm::ParserKeywords::SKPRPOLY SKPRPOLY;
    const ::Opm::ParserKeywords::SKPRWAT SKPRWAT;
    const ::Opm::ParserKeywords::SKRO SKRO;
    const ::Opm::ParserKeywords::SKRORG SKRORG;
    const ::Opm::ParserKeywords::SKRORW SKRORW;
    const ::Opm::ParserKeywords::SKRW SKRW;
    const ::Opm::ParserKeywords::SKRWR SKRWR;
    const ::Opm::ParserKeywords::SLAVES SLAVES;
    const ::Opm::ParserKeywords::SLGOF SLGOF;
    const ::Opm::ParserKeywords::SMICR SMICR;
    const ::Opm::ParserKeywords::SMRYDIMS SMRYDIMS;
    const ::Opm::ParserKeywords::SMULTX SMULTX;
    const ::Opm::ParserKeywords::SMULTY SMULTY;
    const ::Opm::ParserKeywords::SMULTZ SMULTZ;
    const ::Opm::ParserKeywords::SOCRS SOCRS;
    const ::Opm::ParserKeywords::SOF2 SOF2;
    const ::Opm::ParserKeywords::SOF3 SOF3;
    const ::Opm::ParserKeywords::SOF32D SOF32D;
    const ::Opm::ParserKeywords::SOGCR SOGCR;
    const ::Opm::ParserKeywords::SOIL SOIL;
    const ::Opm::ParserKeywords::SOLUTION SOLUTION;
    const ::Opm::ParserKeywords::SOLVCONC SOLVCONC;
    const ::Opm::ParserKeywords::SOLVDIMS SOLVDIMS;
    const ::Opm::ParserKeywords::SOLVDIRS SOLVDIRS;
    const ::Opm::ParserKeywords::SOLVENT SOLVENT;
    const ::Opm::ParserKeywords::SOLVFRAC SOLVFRAC;
    const ::Opm::ParserKeywords::SOLVNUM SOLVNUM;
    const ::Opm::ParserKeywords::SOMGAS SOMGAS;
    const ::Opm::ParserKeywords::SOMWAT SOMWAT;
    const ::Opm::ParserKeywords::SORWMIS SORWMIS;
    const ::Opm::ParserKeywords::SOWCR SOWCR;
    const ::Opm::ParserKeywords::SOXYG SOXYG;
    const ::Opm::ParserKeywords::SPECGRID SPECGRID;
    const ::Opm::ParserKeywords::SPECHEAT SPECHEAT;
    const ::Opm::ParserKeywords::SPECROCK SPECROCK;
    const ::Opm::ParserKeywords::SPIDER SPIDER;
    const ::Opm::ParserKeywords::SPOLY SPOLY;
    const ::Opm::ParserKeywords::SPOLYMW SPOLYMW;
    const ::Opm::ParserKeywords::SSFN SSFN;
    const ::Opm::ParserKeywords::SSGCR SSGCR;
    const ::Opm::ParserKeywords::SSGL SSGL;
    const ::Opm::ParserKeywords::SSOGCR SSOGCR;
    const ::Opm::ParserKeywords::SSOL SSOL;
    const ::Opm::ParserKeywords::SSOWCR SSOWCR;
    const ::Opm::ParserKeywords::SSWCR SSWCR;
    const ::Opm::ParserKeywords::SSWL SSWL;
    const ::Opm::ParserKeywords::SSWU SSWU;
    const ::Opm::ParserKeywords::START START;
    const ::Opm::ParserKeywords::STCOND STCOND;
    const ::Opm::ParserKeywords::STOG STOG;
    const ::Opm::ParserKeywords::STONE STONE;
    const ::Opm::ParserKeywords::STONE1 STONE1;
    const ::Opm::ParserKeywords::STONE1EX STONE1EX;
    const ::Opm::ParserKeywords::STONE2 STONE2;
    const ::Opm::ParserKeywords::STOW STOW;
    const ::Opm::ParserKeywords::STWG STWG;
    const ::Opm::ParserKeywords::SUMMARY SUMMARY;
    const ::Opm::ParserKeywords::SUMTHIN SUMTHIN;
    const ::Opm::ParserKeywords::SUREA SUREA;
    const ::Opm::ParserKeywords::SURF SURF;
    const ::Opm::ParserKeywords::SURFACT SURFACT;
    const ::Opm::ParserKeywords::SURFACTW SURFACTW;
    const ::Opm::ParserKeywords::SURFADDW SURFADDW;
    const ::Opm::ParserKeywords::SURFADS SURFADS;
    const ::Opm::ParserKeywords::SURFCAPD SURFCAPD;
    const ::Opm::ParserKeywords::SURFESAL SURFESAL;
    const ::Opm::ParserKeywords::SURFNUM SURFNUM;
    const ::Opm::ParserKeywords::SURFOPTS SURFOPTS;
    const ::Opm::ParserKeywords::SURFROCK SURFROCK;
    const ::Opm::ParserKeywords::SURFST SURFST;
    const ::Opm::ParserKeywords::SURFSTES SURFSTES;
    const ::Opm::ParserKeywords::SURFVISC SURFVISC;
    const ::Opm::ParserKeywords::SURFWNUM SURFWNUM;
    const ::Opm::ParserKeywords::SWAT SWAT;
    const ::Opm::ParserKeywords::SWATINIT SWATINIT;
    const ::Opm::ParserKeywords::SWCR SWCR;
    const ::Opm::ParserKeywords::SWF32D SWF32D;
    const ::Opm::ParserKeywords::SWFN SWFN;
    const ::Opm::ParserKeywords::SWINGFAC SWINGFAC;
    const ::Opm::ParserKeywords::SWL SWL;
    const ::Opm::ParserKeywords::SWLPC SWLPC;
    const ::Opm::ParserKeywords::SWOF SWOF;
    const ::Opm::ParserKeywords::SWOFLET SWOFLET;
    const ::Opm::ParserKeywords::SWU SWU;
    const ::Opm::ParserKeywords::TABDIMS TABDIMS;
    const ::Opm::ParserKeywords::TBLK TBLK;
    const ::Opm::ParserKeywords::TEMP TEMP;
    const ::Opm::ParserKeywords::TEMPI TEMPI;
    const ::Opm::ParserKeywords::TEMPNODE TEMPNODE;
    const ::Opm::ParserKeywords::TEMPTVD TEMPTVD;
    const ::Opm::ParserKeywords::TEMPVD TEMPVD;
    const ::Opm::ParserKeywords::THCGAS THCGAS;
    const ::Opm::ParserKeywords::THCOIL THCOIL;
    const ::Opm::ParserKeywords::THCONR THCONR;
    const ::Opm::ParserKeywords::THCONSF THCONSF;
    const ::Opm::ParserKeywords::THCROCK THCROCK;
    const ::Opm::ParserKeywords::THCWATER THCWATER;
    const ::Opm::ParserKeywords::THERMAL THERMAL;
    const ::Opm::ParserKeywords::THPRES THPRES;
    const ::Opm::ParserKeywords::THPRESFT THPRESFT;
    const ::Opm::ParserKeywords::TIGHTEN TIGHTEN;
    const ::Opm::ParserKeywords::TIGHTENP TIGHTENP;
    const ::Opm::ParserKeywords::TIME TIME;
    const ::Opm::ParserKeywords::TITLE TITLE;
    const ::Opm::ParserKeywords::TLMIXPAR TLMIXPAR;
    const ::Opm::ParserKeywords::TLPMIXPA TLPMIXPA;
    const ::Opm::ParserKeywords::TNUM TNUM;
    const ::Opm::ParserKeywords::TOLCRIT TOLCRIT;
    const ::Opm::ParserKeywords::TOPS TOPS;
    const ::Opm::ParserKeywords::TPAMEPS TPAMEPS;
    const ::Opm::ParserKeywords::TPAMEPSS TPAMEPSS;
    const ::Opm::ParserKeywords::TRACER TRACER;
    const ::Opm::ParserKeywords::TRACERKM TRACERKM;
    const ::Opm::ParserKeywords::TRACERKP TRACERKP;
    const ::Opm::ParserKeywords::TRACERS TRACERS;
    const ::Opm::ParserKeywords::TRACITVD TRACITVD;
    const ::Opm::ParserKeywords::TRACTVD TRACTVD;
    const ::Opm::ParserKeywords::TRADS TRADS;
    const ::Opm::ParserKeywords::TRANGL TRANGL;
    const ::Opm::ParserKeywords::TRANR TRANR;
    const ::Opm::ParserKeywords::TRANTHT TRANTHT;
    const ::Opm::ParserKeywords::TRANX TRANX;
    const ::Opm::ParserKeywords::TRANY TRANY;
    const ::Opm::ParserKeywords::TRANZ TRANZ;
    const ::Opm::ParserKeywords::TRDCY TRDCY;
    const ::Opm::ParserKeywords::TRDIF TRDIF;
    const ::Opm::ParserKeywords::TRDIS TRDIS;
    const ::Opm::ParserKeywords::TREF TREF;
    const ::Opm::ParserKeywords::TREFS TREFS;
    const ::Opm::ParserKeywords::TRKPF TRKPF;
    const ::Opm::ParserKeywords::TRNHD TRNHD;
    const ::Opm::ParserKeywords::TRPLPORO TRPLPORO;
    const ::Opm::ParserKeywords::TRROCK TRROCK;
    const ::Opm::ParserKeywords::TSTEP TSTEP;
    const ::Opm::ParserKeywords::TUNING TUNING;
    const ::Opm::ParserKeywords::TUNINGDP TUNINGDP;
    const ::Opm::ParserKeywords::TUNINGH TUNINGH;
    const ::Opm::ParserKeywords::TUNINGL TUNINGL;
    const ::Opm::ParserKeywords::TUNINGS TUNINGS;
    const ::Opm::ParserKeywords::TVDP TVDP;
    const ::Opm::ParserKeywords::TZONE TZONE;
    const ::Opm::ParserKeywords::UDADIMS UDADIMS;
    const ::Opm::ParserKeywords::UDQ UDQ;
    const ::Opm::ParserKeywords::UDQDIMS UDQDIMS;
    const ::Opm::ParserKeywords::UDQPARAM UDQPARAM;
    const ::Opm::ParserKeywords::UDT UDT;
    const ::Opm::ParserKeywords::UDTDIMS UDTDIMS;
    const ::Opm::ParserKeywords::UNCODHMD UNCODHMD;
    const ::Opm::ParserKeywords::UNIFIN UNIFIN;
    const ::Opm::ParserKeywords::UNIFOUT UNIFOUT;
    const ::Opm::ParserKeywords::UNIFOUTS UNIFOUTS;
    const ::Opm::ParserKeywords::UNIFSAVE UNIFSAVE;
    const ::Opm::ParserKeywords::USECUPL USECUPL;
    const ::Opm::ParserKeywords::USEFLUX USEFLUX;
    const ::Opm::ParserKeywords::USENOFLO USENOFLO;
    const ::Opm::ParserKeywords::VAPOIL VAPOIL;
    const ::Opm::ParserKeywords::VAPPARS VAPPARS;
    const ::Opm::ParserKeywords::VAPWAT VAPWAT;
    const ::Opm::ParserKeywords::VDFLOW VDFLOW;
    const ::Opm::ParserKeywords::VDFLOWR VDFLOWR;
    const ::Opm::ParserKeywords::VE VE;
    const ::Opm::ParserKeywords::VEDEBUG VEDEBUG;
    const ::Opm::ParserKeywords::VEFIN VEFIN;
    const ::Opm::ParserKeywords::VEFRAC VEFRAC;
    const ::Opm::ParserKeywords::VEFRACP VEFRACP;
    const ::Opm::ParserKeywords::VEFRACPV VEFRACPV;
    const ::Opm::ParserKeywords::VEFRACV VEFRACV;
    const ::Opm::ParserKeywords::VFPCHK VFPCHK;
    const ::Opm::ParserKeywords::VFPIDIMS VFPIDIMS;
    const ::Opm::ParserKeywords::VFPINJ VFPINJ;
    const ::Opm::ParserKeywords::VFPPDIMS VFPPDIMS;
    const ::Opm::ParserKeywords::VFPPROD VFPPROD;
    const ::Opm::ParserKeywords::VFPTABL VFPTABL;
    const ::Opm::ParserKeywords::VISAGE VISAGE;
    const ::Opm::ParserKeywords::VISCD VISCD;
    const ::Opm::ParserKeywords::VISCREF VISCREF;
    const ::Opm::ParserKeywords::VISDATES VISDATES;
    const ::Opm::ParserKeywords::VISOPTS VISOPTS;
    const ::Opm::ParserKeywords::WAGHYSTR WAGHYSTR;
    const ::Opm::ParserKeywords::WAITBAL WAITBAL;
    const ::Opm::ParserKeywords::WALKALIN WALKALIN;
    const ::Opm::ParserKeywords::WALQCALC WALQCALC;
    const ::Opm::ParserKeywords::WAPI WAPI;
    const ::Opm::ParserKeywords::WARN WARN;
    const ::Opm::ParserKeywords::WATDENT WATDENT;
    const ::Opm::ParserKeywords::WATER WATER;
    const ::Opm::ParserKeywords::WATJT WATJT;
    const ::Opm::ParserKeywords::WATVISCT WATVISCT;
    const ::Opm::ParserKeywords::WBHGLR WBHGLR;
    const ::Opm::ParserKeywords::WBOREVOL WBOREVOL;
    const ::Opm::ParserKeywords::WCALCVAL WCALCVAL;
    const ::Opm::ParserKeywords::WCONHIST WCONHIST;
    const ::Opm::ParserKeywords::WCONINJ WCONINJ;
    const ::Opm::ParserKeywords::WCONINJE WCONINJE;
    const ::Opm::ParserKeywords::WCONINJH WCONINJH;
    const ::Opm::ParserKeywords::WCONINJP WCONINJP;
    const ::Opm::ParserKeywords::WCONPROD WCONPROD;
    const ::Opm::ParserKeywords::WCUTBACK WCUTBACK;
    const ::Opm::ParserKeywords::WCUTBACT WCUTBACT;
    const ::Opm::ParserKeywords::WCYCLE WCYCLE;
    const ::Opm::ParserKeywords::WDFAC WDFAC;
    const ::Opm::ParserKeywords::WDFACCOR WDFACCOR;
    const ::Opm::ParserKeywords::WDRILPRI WDRILPRI;
    const ::Opm::ParserKeywords::WDRILRES WDRILRES;
    const ::Opm::ParserKeywords::WDRILTIM WDRILTIM;
    const ::Opm::ParserKeywords::WECON WECON;
    const ::Opm::ParserKeywords::WECONINJ WECONINJ;
    const ::Opm::ParserKeywords::WECONT WECONT;
    const ::Opm::ParserKeywords::WEFAC WEFAC;
    const ::Opm::ParserKeywords::WELCNTL WELCNTL;
    const ::Opm::ParserKeywords::WELDEBUG WELDEBUG;
    const ::Opm::ParserKeywords::WELDRAW WELDRAW;
    const ::Opm::ParserKeywords::WELEVNT WELEVNT;
    const ::Opm::ParserKeywords::WELLDIMS WELLDIMS;
    const ::Opm::ParserKeywords::WELL_COMPLETION_PROBE WELL_COMPLETION_PROBE;
    const ::Opm::ParserKeywords::WELL_PROBE WELL_PROBE;
    const ::Opm::ParserKeywords::WELMOVEL WELMOVEL;
    const ::Opm::ParserKeywords::WELOPEN WELOPEN;
    const ::Opm::ParserKeywords::WELOPENL WELOPENL;
    const ::Opm::ParserKeywords::WELPI WELPI;
    const ::Opm::ParserKeywords::WELPRI WELPRI;
    const ::Opm::ParserKeywords::WELSEGS WELSEGS;
    const ::Opm::ParserKeywords::WELSOMIN WELSOMIN;
    const ::Opm::ParserKeywords::WELSPECL WELSPECL;
    const ::Opm::ParserKeywords::WELSPECS WELSPECS;
    const ::Opm::ParserKeywords::WELTARG WELTARG;
    const ::Opm::ParserKeywords::WFOAM WFOAM;
    const ::Opm::ParserKeywords::WFRICSEG WFRICSEG;
    const ::Opm::ParserKeywords::WFRICSGL WFRICSGL;
    const ::Opm::ParserKeywords::WFRICTN WFRICTN;
    const ::Opm::ParserKeywords::WFRICTNL WFRICTNL;
    const ::Opm::ParserKeywords::WGASPROD WGASPROD;
    const ::Opm::ParserKeywords::WGORPEN WGORPEN;
    const ::Opm::ParserKeywords::WGRUPCON WGRUPCON;
    const ::Opm::ParserKeywords::WH2NUM WH2NUM;
    const ::Opm::ParserKeywords::WH3NUM WH3NUM;
    const ::Opm::ParserKeywords::WHEDREFD WHEDREFD;
    const ::Opm::ParserKeywords::WHISTCTL WHISTCTL;
    const ::Opm::ParserKeywords::WHTEMP WHTEMP;
    const ::Opm::ParserKeywords::WINJMULT WINJMULT;
    const ::Opm::ParserKeywords::WINJTEMP WINJTEMP;
    const ::Opm::ParserKeywords::WLIFT WLIFT;
    const ::Opm::ParserKeywords::WLIFTOPT WLIFTOPT;
    const ::Opm::ParserKeywords::WLIMTOL WLIMTOL;
    const ::Opm::ParserKeywords::WLIST WLIST;
    const ::Opm::ParserKeywords::WLISTARG WLISTARG;
    const ::Opm::ParserKeywords::WLISTNAM WLISTNAM;
    const ::Opm::ParserKeywords::WMICP WMICP;
    const ::Opm::ParserKeywords::WNETCTRL WNETCTRL;
    const ::Opm::ParserKeywords::WNETDP WNETDP;
    const ::Opm::ParserKeywords::WORKLIM WORKLIM;
    const ::Opm::ParserKeywords::WORKTHP WORKTHP;
    const ::Opm::ParserKeywords::WPAVE WPAVE;
    const ::Opm::ParserKeywords::WPAVEDEP WPAVEDEP;
    const ::Opm::ParserKeywords::WPIMULT WPIMULT;
    const ::Opm::ParserKeywords::WPIMULTL WPIMULTL;
    const ::Opm::ParserKeywords::WPITAB WPITAB;
    const ::Opm::ParserKeywords::WPLUG WPLUG;
    const ::Opm::ParserKeywords::WPMITAB WPMITAB;
    const ::Opm::ParserKeywords::WPOLYMER WPOLYMER;
    const ::Opm::ParserKeywords::WPOLYRED WPOLYRED;
    const ::Opm::ParserKeywords::WPOTCALC WPOTCALC;
    const ::Opm::ParserKeywords::WREGROUP WREGROUP;
    const ::Opm::ParserKeywords::WRFT WRFT;
    const ::Opm::ParserKeywords::WRFTPLT WRFTPLT;
    const ::Opm::ParserKeywords::WSALT WSALT;
    const ::Opm::ParserKeywords::WSCCLEAN WSCCLEAN;
    const ::Opm::ParserKeywords::WSCCLENL WSCCLENL;
    const ::Opm::ParserKeywords::WSCTAB WSCTAB;
    const ::Opm::ParserKeywords::WSEGAICD WSEGAICD;
    const ::Opm::ParserKeywords::WSEGDFIN WSEGDFIN;
    const ::Opm::ParserKeywords::WSEGDFMD WSEGDFMD;
    const ::Opm::ParserKeywords::WSEGDFPA WSEGDFPA;
    const ::Opm::ParserKeywords::WSEGDIMS WSEGDIMS;
    const ::Opm::ParserKeywords::WSEGEXSS WSEGEXSS;
    const ::Opm::ParserKeywords::WSEGFLIM WSEGFLIM;
    const ::Opm::ParserKeywords::WSEGFMOD WSEGFMOD;
    const ::Opm::ParserKeywords::WSEGINIT WSEGINIT;
    const ::Opm::ParserKeywords::WSEGITER WSEGITER;
    const ::Opm::ParserKeywords::WSEGLABY WSEGLABY;
    const ::Opm::ParserKeywords::WSEGLINK WSEGLINK;
    const ::Opm::ParserKeywords::WSEGMULT WSEGMULT;
    const ::Opm::ParserKeywords::WSEGPROP WSEGPROP;
    const ::Opm::ParserKeywords::WSEGSEP WSEGSEP;
    const ::Opm::ParserKeywords::WSEGSICD WSEGSICD;
    const ::Opm::ParserKeywords::WSEGSOLV WSEGSOLV;
    const ::Opm::ParserKeywords::WSEGTABL WSEGTABL;
    const ::Opm::ParserKeywords::WSEGVALV WSEGVALV;
    const ::Opm::ParserKeywords::WSKPTAB WSKPTAB;
    const ::Opm::ParserKeywords::WSOLVENT WSOLVENT;
    const ::Opm::ParserKeywords::WSURFACT WSURFACT;
    const ::Opm::ParserKeywords::WTADD WTADD;
    const ::Opm::ParserKeywords::WTEMP WTEMP;
    const ::Opm::ParserKeywords::WTEMPQ WTEMPQ;
    const ::Opm::ParserKeywords::WTEST WTEST;
    const ::Opm::ParserKeywords::WTHPMAX WTHPMAX;
    const ::Opm::ParserKeywords::WTMULT WTMULT;
    const ::Opm::ParserKeywords::WTRACER WTRACER;
    const ::Opm::ParserKeywords::WVFPDP WVFPDP;
    const ::Opm::ParserKeywords::WVFPEXP WVFPEXP;
    const ::Opm::ParserKeywords::WWPAVE WWPAVE;
    const ::Opm::ParserKeywords::ZCORN ZCORN;
    const ::Opm::ParserKeywords::ZFACT1 ZFACT1;
    const ::Opm::ParserKeywords::ZFACT1S ZFACT1S;
    const ::Opm::ParserKeywords::ZFACTOR ZFACTOR;
    const ::Opm::ParserKeywords::ZFACTORS ZFACTORS;
    const ::Opm::ParserKeywords::ZIPP2OFF ZIPP2OFF;
    const ::Opm::ParserKeywords::ZIPPY2 ZIPPY2;
    const ::Opm::ParserKeyword& get_ACTDIMS() { return this->ACTDIMS; };
    const ::Opm::ParserKeyword& get_ACTION() { return this->ACTION; };
    const ::Opm::ParserKeyword& get_ACTIONG() { return this->ACTIONG; };
    const ::Opm::ParserKeyword& get_ACTIONR() { return this->ACTIONR; };
    const ::Opm::ParserKeyword& get_ACTIONS() { return this->ACTIONS; };
    const ::Opm::ParserKeyword& get_ACTIONW() { return this->ACTIONW; };
    const ::Opm::ParserKeyword& get_ACTIONX() { return this->ACTIONX; };
    const ::Opm::ParserKeyword& get_ACTNUM() { return this->ACTNUM; };
    const ::Opm::ParserKeyword& get_ACTPARAM() { return this->ACTPARAM; };
    const ::Opm::ParserKeyword& get_ADD() { return this->ADD; };
    const ::Opm::ParserKeyword& get_ADDREG() { return this->ADDREG; };
    const ::Opm::ParserKeyword& get_ADDZCORN() { return this->ADDZCORN; };
    const ::Opm::ParserKeyword& get_ADSALNOD() { return this->ADSALNOD; };
    const ::Opm::ParserKeyword& get_ADSORP() { return this->ADSORP; };
    const ::Opm::ParserKeyword& get_AITS() { return this->AITS; };
    const ::Opm::ParserKeyword& get_AITSOFF() { return this->AITSOFF; };
    const ::Opm::ParserKeyword& get_ALKADS() { return this->ALKADS; };
    const ::Opm::ParserKeyword& get_ALKALINE() { return this->ALKALINE; };
    const ::Opm::ParserKeyword& get_ALKROCK() { return this->ALKROCK; };
    const ::Opm::ParserKeyword& get_ALL() { return this->ALL; };
    const ::Opm::ParserKeyword& get_ALPOLADS() { return this->ALPOLADS; };
    const ::Opm::ParserKeyword& get_ALSURFAD() { return this->ALSURFAD; };
    const ::Opm::ParserKeyword& get_ALSURFST() { return this->ALSURFST; };
    const ::Opm::ParserKeyword& get_AMALGAM() { return this->AMALGAM; };
    const ::Opm::ParserKeyword& get_API() { return this->API; };
    const ::Opm::ParserKeyword& get_APIGROUP() { return this->APIGROUP; };
    const ::Opm::ParserKeyword& get_APILIM() { return this->APILIM; };
    const ::Opm::ParserKeyword& get_APIVD() { return this->APIVD; };
    const ::Opm::ParserKeyword& get_AQANCONL() { return this->AQANCONL; };
    const ::Opm::ParserKeyword& get_AQANNC() { return this->AQANNC; };
    const ::Opm::ParserKeyword& get_AQANTRC() { return this->AQANTRC; };
    const ::Opm::ParserKeyword& get_AQUALIST() { return this->AQUALIST; };
    const ::Opm::ParserKeyword& get_AQUANCON() { return this->AQUANCON; };
    const ::Opm::ParserKeyword& get_AQUCHGAS() { return this->AQUCHGAS; };
    const ::Opm::ParserKeyword& get_AQUCHWAT() { return this->AQUCHWAT; };
    const ::Opm::ParserKeyword& get_AQUCON() { return this->AQUCON; };
    const ::Opm::ParserKeyword& get_AQUCT() { return this->AQUCT; };
    const ::Opm::ParserKeyword& get_AQUCWFAC() { return this->AQUCWFAC; };
    const ::Opm::ParserKeyword& get_AQUDIMS() { return this->AQUDIMS; };
    const ::Opm::ParserKeyword& get_AQUFET() { return this->AQUFET; };
    const ::Opm::ParserKeyword& get_AQUFETP() { return this->AQUFETP; };
    const ::Opm::ParserKeyword& get_AQUFLUX() { return this->AQUFLUX; };
    const ::Opm::ParserKeyword& get_AQUIFER_PROBE_ANALYTIC() { return this->AQUIFER_PROBE_ANALYTIC; };
    const ::Opm::ParserKeyword& get_AQUIFER_PROBE_ANALYTIC_NAMED() { return this->AQUIFER_PROBE_ANALYTIC_NAMED; };
    const ::Opm::ParserKeyword& get_AQUIFER_PROBE_NUMERIC() { return this->AQUIFER_PROBE_NUMERIC; };
    const ::Opm::ParserKeyword& get_AQUNNC() { return this->AQUNNC; };
    const ::Opm::ParserKeyword& get_AQUNUM() { return this->AQUNUM; };
    const ::Opm::ParserKeyword& get_AQUTAB() { return this->AQUTAB; };
    const ::Opm::ParserKeyword& get_AUTOCOAR() { return this->AUTOCOAR; };
    const ::Opm::ParserKeyword& get_AUTOREF() { return this->AUTOREF; };
    const ::Opm::ParserKeyword& get_BC() { return this->BC; };
    const ::Opm::ParserKeyword& get_BDENSITY() { return this->BDENSITY; };
    const ::Opm::ParserKeyword& get_BGGI() { return this->BGGI; };
    const ::Opm::ParserKeyword& get_BIGMODEL() { return this->BIGMODEL; };
    const ::Opm::ParserKeyword& get_BLACKOIL() { return this->BLACKOIL; };
    const ::Opm::ParserKeyword& get_BLOCK_PROBE() { return this->BLOCK_PROBE; };
    const ::Opm::ParserKeyword& get_BLOCK_PROBE300() { return this->BLOCK_PROBE300; };
    const ::Opm::ParserKeyword& get_BOGI() { return this->BOGI; };
    const ::Opm::ParserKeyword& get_BOUNDARY() { return this->BOUNDARY; };
    const ::Opm::ParserKeyword& get_BOX() { return this->BOX; };
    const ::Opm::ParserKeyword& get_BPARA() { return this->BPARA; };
    const ::Opm::ParserKeyword& get_BPIDIMS() { return this->BPIDIMS; };
    const ::Opm::ParserKeyword& get_BRANPROP() { return this->BRANPROP; };
    const ::Opm::ParserKeyword& get_BRINE() { return this->BRINE; };
    const ::Opm::ParserKeyword& get_BTOBALFA() { return this->BTOBALFA; };
    const ::Opm::ParserKeyword& get_BTOBALFV() { return this->BTOBALFV; };
    const ::Opm::ParserKeyword& get_CALTRAC() { return this->CALTRAC; };
    const ::Opm::ParserKeyword& get_CARFIN() { return this->CARFIN; };
    const ::Opm::ParserKeyword& get_CART() { return this->CART; };
    const ::Opm::ParserKeyword& get_CBMOPTS() { return this->CBMOPTS; };
    const ::Opm::ParserKeyword& get_CECON() { return this->CECON; };
    const ::Opm::ParserKeyword& get_CECONT() { return this->CECONT; };
    const ::Opm::ParserKeyword& get_CIRCLE() { return this->CIRCLE; };
    const ::Opm::ParserKeyword& get_CO2STOR() { return this->CO2STOR; };
    const ::Opm::ParserKeyword& get_CO2STORE() { return this->CO2STORE; };
    const ::Opm::ParserKeyword& get_COAL() { return this->COAL; };
    const ::Opm::ParserKeyword& get_COALADS() { return this->COALADS; };
    const ::Opm::ParserKeyword& get_COALNUM() { return this->COALNUM; };
    const ::Opm::ParserKeyword& get_COALPP() { return this->COALPP; };
    const ::Opm::ParserKeyword& get_COARSEN() { return this->COARSEN; };
    const ::Opm::ParserKeyword& get_COLLAPSE() { return this->COLLAPSE; };
    const ::Opm::ParserKeyword& get_COLUMNS() { return this->COLUMNS; };
    const ::Opm::ParserKeyword& get_COMPDAT() { return this->COMPDAT; };
    const ::Opm::ParserKeyword& get_COMPDATX() { return this->COMPDATX; };
    const ::Opm::ParserKeyword& get_COMPFLSH() { return this->COMPFLSH; };
    const ::Opm::ParserKeyword& get_COMPIMB() { return this->COMPIMB; };
    const ::Opm::ParserKeyword& get_COMPINJK() { return this->COMPINJK; };
    const ::Opm::ParserKeyword& get_COMPLMPL() { return this->COMPLMPL; };
    const ::Opm::ParserKeyword& get_COMPLUMP() { return this->COMPLUMP; };
    const ::Opm::ParserKeyword& get_COMPOFF() { return this->COMPOFF; };
    const ::Opm::ParserKeyword& get_COMPORD() { return this->COMPORD; };
    const ::Opm::ParserKeyword& get_COMPRIV() { return this->COMPRIV; };
    const ::Opm::ParserKeyword& get_COMPRP() { return this->COMPRP; };
    const ::Opm::ParserKeyword& get_COMPRPL() { return this->COMPRPL; };
    const ::Opm::ParserKeyword& get_COMPS() { return this->COMPS; };
    const ::Opm::ParserKeyword& get_COMPSEGL() { return this->COMPSEGL; };
    const ::Opm::ParserKeyword& get_COMPSEGS() { return this->COMPSEGS; };
    const ::Opm::ParserKeyword& get_COMPVE() { return this->COMPVE; };
    const ::Opm::ParserKeyword& get_COMPVEL() { return this->COMPVEL; };
    const ::Opm::ParserKeyword& get_CONNECTION_PROBE() { return this->CONNECTION_PROBE; };
    const ::Opm::ParserKeyword& get_COORD() { return this->COORD; };
    const ::Opm::ParserKeyword& get_COORDSYS() { return this->COORDSYS; };
    const ::Opm::ParserKeyword& get_COPY() { return this->COPY; };
    const ::Opm::ParserKeyword& get_COPYBOX() { return this->COPYBOX; };
    const ::Opm::ParserKeyword& get_COPYREG() { return this->COPYREG; };
    const ::Opm::ParserKeyword& get_CPIFACT() { return this->CPIFACT; };
    const ::Opm::ParserKeyword& get_CPIFACTL() { return this->CPIFACTL; };
    const ::Opm::ParserKeyword& get_CPR() { return this->CPR; };
    const ::Opm::ParserKeyword& get_CREF() { return this->CREF; };
    const ::Opm::ParserKeyword& get_CREFS() { return this->CREFS; };
    const ::Opm::ParserKeyword& get_CRITPERM() { return this->CRITPERM; };
    const ::Opm::ParserKeyword& get_CSKIN() { return this->CSKIN; };
    const ::Opm::ParserKeyword& get_DATE() { return this->DATE; };
    const ::Opm::ParserKeyword& get_DATES() { return this->DATES; };
    const ::Opm::ParserKeyword& get_DATUM() { return this->DATUM; };
    const ::Opm::ParserKeyword& get_DATUMR() { return this->DATUMR; };
    const ::Opm::ParserKeyword& get_DATUMRX() { return this->DATUMRX; };
    const ::Opm::ParserKeyword& get_DCQDEFN() { return this->DCQDEFN; };
    const ::Opm::ParserKeyword& get_DEBUG_() { return this->DEBUG_; };
    const ::Opm::ParserKeyword& get_DELAYACT() { return this->DELAYACT; };
    const ::Opm::ParserKeyword& get_DENSITY() { return this->DENSITY; };
    const ::Opm::ParserKeyword& get_DEPTH() { return this->DEPTH; };
    const ::Opm::ParserKeyword& get_DEPTHTAB() { return this->DEPTHTAB; };
    const ::Opm::ParserKeyword& get_DEPTHZ() { return this->DEPTHZ; };
    const ::Opm::ParserKeyword& get_DIAGDISP() { return this->DIAGDISP; };
    const ::Opm::ParserKeyword& get_DIFF() { return this->DIFF; };
    const ::Opm::ParserKeyword& get_DIFFC() { return this->DIFFC; };
    const ::Opm::ParserKeyword& get_DIFFCOAL() { return this->DIFFCOAL; };
    const ::Opm::ParserKeyword& get_DIFFDP() { return this->DIFFDP; };
    const ::Opm::ParserKeyword& get_DIFFMMF() { return this->DIFFMMF; };
    const ::Opm::ParserKeyword& get_DIFFMR() { return this->DIFFMR; };
    const ::Opm::ParserKeyword& get_DIFFMTHT() { return this->DIFFMTHT; };
    const ::Opm::ParserKeyword& get_DIFFMX() { return this->DIFFMX; };
    const ::Opm::ParserKeyword& get_DIFFMY() { return this->DIFFMY; };
    const ::Opm::ParserKeyword& get_DIFFMZ() { return this->DIFFMZ; };
    const ::Opm::ParserKeyword& get_DIFFR() { return this->DIFFR; };
    const ::Opm::ParserKeyword& get_DIFFTHT() { return this->DIFFTHT; };
    const ::Opm::ParserKeyword& get_DIFFUSE() { return this->DIFFUSE; };
    const ::Opm::ParserKeyword& get_DIFFX() { return this->DIFFX; };
    const ::Opm::ParserKeyword& get_DIFFY() { return this->DIFFY; };
    const ::Opm::ParserKeyword& get_DIFFZ() { return this->DIFFZ; };
    const ::Opm::ParserKeyword& get_DIMENS() { return this->DIMENS; };
    const ::Opm::ParserKeyword& get_DIMPES() { return this->DIMPES; };
    const ::Opm::ParserKeyword& get_DIMPLICT() { return this->DIMPLICT; };
    const ::Opm::ParserKeyword& get_DISGAS() { return this->DISGAS; };
    const ::Opm::ParserKeyword& get_DISPDIMS() { return this->DISPDIMS; };
    const ::Opm::ParserKeyword& get_DISPERSE() { return this->DISPERSE; };
    const ::Opm::ParserKeyword& get_DOMAINS() { return this->DOMAINS; };
    const ::Opm::ParserKeyword& get_DPGRID() { return this->DPGRID; };
    const ::Opm::ParserKeyword& get_DPKRMOD() { return this->DPKRMOD; };
    const ::Opm::ParserKeyword& get_DPNUM() { return this->DPNUM; };
    const ::Opm::ParserKeyword& get_DR() { return this->DR; };
    const ::Opm::ParserKeyword& get_DREF() { return this->DREF; };
    const ::Opm::ParserKeyword& get_DREFS() { return this->DREFS; };
    const ::Opm::ParserKeyword& get_DRILPRI() { return this->DRILPRI; };
    const ::Opm::ParserKeyword& get_DRSDT() { return this->DRSDT; };
    const ::Opm::ParserKeyword& get_DRSDTCON() { return this->DRSDTCON; };
    const ::Opm::ParserKeyword& get_DRSDTR() { return this->DRSDTR; };
    const ::Opm::ParserKeyword& get_DRV() { return this->DRV; };
    const ::Opm::ParserKeyword& get_DRVDT() { return this->DRVDT; };
    const ::Opm::ParserKeyword& get_DRVDTR() { return this->DRVDTR; };
    const ::Opm::ParserKeyword& get_DSPDEINT() { return this->DSPDEINT; };
    const ::Opm::ParserKeyword& get_DTHETA() { return this->DTHETA; };
    const ::Opm::ParserKeyword& get_DTHETAV() { return this->DTHETAV; };
    const ::Opm::ParserKeyword& get_DUALPERM() { return this->DUALPERM; };
    const ::Opm::ParserKeyword& get_DUALPORO() { return this->DUALPORO; };
    const ::Opm::ParserKeyword& get_DUMPCUPL() { return this->DUMPCUPL; };
    const ::Opm::ParserKeyword& get_DUMPFLUX() { return this->DUMPFLUX; };
    const ::Opm::ParserKeyword& get_DX() { return this->DX; };
    const ::Opm::ParserKeyword& get_DXV() { return this->DXV; };
    const ::Opm::ParserKeyword& get_DY() { return this->DY; };
    const ::Opm::ParserKeyword& get_DYNAMICR() { return this->DYNAMICR; };
    const ::Opm::ParserKeyword& get_DYNRDIMS() { return this->DYNRDIMS; };
    const ::Opm::ParserKeyword& get_DYV() { return this->DYV; };
    const ::Opm::ParserKeyword& get_DZ() { return this->DZ; };
    const ::Opm::ParserKeyword& get_DZMATRIX() { return this->DZMATRIX; };
    const ::Opm::ParserKeyword& get_DZMTRX() { return this->DZMTRX; };
    const ::Opm::ParserKeyword& get_DZMTRXV() { return this->DZMTRXV; };
    const ::Opm::ParserKeyword& get_DZNET() { return this->DZNET; };
    const ::Opm::ParserKeyword& get_DZV() { return this->DZV; };
    const ::Opm::ParserKeyword& get_ECHO() { return this->ECHO; };
    const ::Opm::ParserKeyword& get_ECLMC() { return this->ECLMC; };
    const ::Opm::ParserKeyword& get_EDIT() { return this->EDIT; };
    const ::Opm::ParserKeyword& get_EDITNNC() { return this->EDITNNC; };
    const ::Opm::ParserKeyword& get_EDITNNCR() { return this->EDITNNCR; };
    const ::Opm::ParserKeyword& get_EHYSTR() { return this->EHYSTR; };
    const ::Opm::ParserKeyword& get_EHYSTRR() { return this->EHYSTRR; };
    const ::Opm::ParserKeyword& get_END() { return this->END; };
    const ::Opm::ParserKeyword& get_ENDACTIO() { return this->ENDACTIO; };
    const ::Opm::ParserKeyword& get_ENDBOX() { return this->ENDBOX; };
    const ::Opm::ParserKeyword& get_ENDDYN() { return this->ENDDYN; };
    const ::Opm::ParserKeyword& get_ENDFIN() { return this->ENDFIN; };
    const ::Opm::ParserKeyword& get_ENDINC() { return this->ENDINC; };
    const ::Opm::ParserKeyword& get_ENDNUM() { return this->ENDNUM; };
    const ::Opm::ParserKeyword& get_ENDPOINT_SPECIFIERS() { return this->ENDPOINT_SPECIFIERS; };
    const ::Opm::ParserKeyword& get_ENDSCALE() { return this->ENDSCALE; };
    const ::Opm::ParserKeyword& get_ENDSKIP() { return this->ENDSKIP; };
    const ::Opm::ParserKeyword& get_ENKRVD() { return this->ENKRVD; };
    const ::Opm::ParserKeyword& get_ENPCVD() { return this->ENPCVD; };
    const ::Opm::ParserKeyword& get_ENPTVD() { return this->ENPTVD; };
    const ::Opm::ParserKeyword& get_ENSPCVD() { return this->ENSPCVD; };
    const ::Opm::ParserKeyword& get_EPSDBGS() { return this->EPSDBGS; };
    const ::Opm::ParserKeyword& get_EPSDEBUG() { return this->EPSDEBUG; };
    const ::Opm::ParserKeyword& get_EQLDIMS() { return this->EQLDIMS; };
    const ::Opm::ParserKeyword& get_EQLNUM() { return this->EQLNUM; };
    const ::Opm::ParserKeyword& get_EQLOPTS() { return this->EQLOPTS; };
    const ::Opm::ParserKeyword& get_EQLZCORN() { return this->EQLZCORN; };
    const ::Opm::ParserKeyword& get_EQUALREG() { return this->EQUALREG; };
    const ::Opm::ParserKeyword& get_EQUALS() { return this->EQUALS; };
    const ::Opm::ParserKeyword& get_EQUIL() { return this->EQUIL; };
    const ::Opm::ParserKeyword& get_ESSNODE() { return this->ESSNODE; };
    const ::Opm::ParserKeyword& get_EXCAVATE() { return this->EXCAVATE; };
    const ::Opm::ParserKeyword& get_EXCEL() { return this->EXCEL; };
    const ::Opm::ParserKeyword& get_EXIT() { return this->EXIT; };
    const ::Opm::ParserKeyword& get_EXTFIN() { return this->EXTFIN; };
    const ::Opm::ParserKeyword& get_EXTHOST() { return this->EXTHOST; };
    const ::Opm::ParserKeyword& get_EXTRAPMS() { return this->EXTRAPMS; };
    const ::Opm::ParserKeyword& get_EXTREPGL() { return this->EXTREPGL; };
    const ::Opm::ParserKeyword& get_FAULTDIM() { return this->FAULTDIM; };
    const ::Opm::ParserKeyword& get_FAULTS() { return this->FAULTS; };
    const ::Opm::ParserKeyword& get_FBHPDEF() { return this->FBHPDEF; };
    const ::Opm::ParserKeyword& get_FHERCHBL() { return this->FHERCHBL; };
    const ::Opm::ParserKeyword& get_FIELD() { return this->FIELD; };
    const ::Opm::ParserKeyword& get_FIELD_PROBE() { return this->FIELD_PROBE; };
    const ::Opm::ParserKeyword& get_FILEUNIT() { return this->FILEUNIT; };
    const ::Opm::ParserKeyword& get_FILLEPS() { return this->FILLEPS; };
    const ::Opm::ParserKeyword& get_FIPNUM() { return this->FIPNUM; };
    const ::Opm::ParserKeyword& get_FIPOWG() { return this->FIPOWG; };
    const ::Opm::ParserKeyword& get_FIPSEP() { return this->FIPSEP; };
    const ::Opm::ParserKeyword& get_FIP_PROBE() { return this->FIP_PROBE; };
    const ::Opm::ParserKeyword& get_FLUXNUM() { return this->FLUXNUM; };
    const ::Opm::ParserKeyword& get_FLUXREG() { return this->FLUXREG; };
    const ::Opm::ParserKeyword& get_FLUXTYPE() { return this->FLUXTYPE; };
    const ::Opm::ParserKeyword& get_FMTHMD() { return this->FMTHMD; };
    const ::Opm::ParserKeyword& get_FMTIN() { return this->FMTIN; };
    const ::Opm::ParserKeyword& get_FMTOUT() { return this->FMTOUT; };
    const ::Opm::ParserKeyword& get_FMWSET() { return this->FMWSET; };
    const ::Opm::ParserKeyword& get_FOAM() { return this->FOAM; };
    const ::Opm::ParserKeyword& get_FOAMADS() { return this->FOAMADS; };
    const ::Opm::ParserKeyword& get_FOAMDCYO() { return this->FOAMDCYO; };
    const ::Opm::ParserKeyword& get_FOAMDCYW() { return this->FOAMDCYW; };
    const ::Opm::ParserKeyword& get_FOAMFCN() { return this->FOAMFCN; };
    const ::Opm::ParserKeyword& get_FOAMFRM() { return this->FOAMFRM; };
    const ::Opm::ParserKeyword& get_FOAMFSC() { return this->FOAMFSC; };
    const ::Opm::ParserKeyword& get_FOAMFSO() { return this->FOAMFSO; };
    const ::Opm::ParserKeyword& get_FOAMFST() { return this->FOAMFST; };
    const ::Opm::ParserKeyword& get_FOAMFSW() { return this->FOAMFSW; };
    const ::Opm::ParserKeyword& get_FOAMMOB() { return this->FOAMMOB; };
    const ::Opm::ParserKeyword& get_FOAMMOBP() { return this->FOAMMOBP; };
    const ::Opm::ParserKeyword& get_FOAMMOBS() { return this->FOAMMOBS; };
    const ::Opm::ParserKeyword& get_FOAMOPTS() { return this->FOAMOPTS; };
    const ::Opm::ParserKeyword& get_FOAMROCK() { return this->FOAMROCK; };
    const ::Opm::ParserKeyword& get_FORMFEED() { return this->FORMFEED; };
    const ::Opm::ParserKeyword& get_FRICTION() { return this->FRICTION; };
    const ::Opm::ParserKeyword& get_FULLIMP() { return this->FULLIMP; };
    const ::Opm::ParserKeyword& get_GAS() { return this->GAS; };
    const ::Opm::ParserKeyword& get_GASBEGIN() { return this->GASBEGIN; };
    const ::Opm::ParserKeyword& get_GASCONC() { return this->GASCONC; };
    const ::Opm::ParserKeyword& get_GASDENT() { return this->GASDENT; };
    const ::Opm::ParserKeyword& get_GASEND() { return this->GASEND; };
    const ::Opm::ParserKeyword& get_GASFCOMP() { return this->GASFCOMP; };
    const ::Opm::ParserKeyword& get_GASFDECR() { return this->GASFDECR; };
    const ::Opm::ParserKeyword& get_GASFDELC() { return this->GASFDELC; };
    const ::Opm::ParserKeyword& get_GASFIELD() { return this->GASFIELD; };
    const ::Opm::ParserKeyword& get_GASFTARG() { return this->GASFTARG; };
    const ::Opm::ParserKeyword& get_GASJT() { return this->GASJT; };
    const ::Opm::ParserKeyword& get_GASMONTH() { return this->GASMONTH; };
    const ::Opm::ParserKeyword& get_GASPERIO() { return this->GASPERIO; };
    const ::Opm::ParserKeyword& get_GASSATC() { return this->GASSATC; };
    const ::Opm::ParserKeyword& get_GASVISCT() { return this->GASVISCT; };
    const ::Opm::ParserKeyword& get_GASYEAR() { return this->GASYEAR; };
    const ::Opm::ParserKeyword& get_GCALECON() { return this->GCALECON; };
    const ::Opm::ParserKeyword& get_GCOMPIDX() { return this->GCOMPIDX; };
    const ::Opm::ParserKeyword& get_GCONCAL() { return this->GCONCAL; };
    const ::Opm::ParserKeyword& get_GCONENG() { return this->GCONENG; };
    const ::Opm::ParserKeyword& get_GCONINJE() { return this->GCONINJE; };
    const ::Opm::ParserKeyword& get_GCONPRI() { return this->GCONPRI; };
    const ::Opm::ParserKeyword& get_GCONPROD() { return this->GCONPROD; };
    const ::Opm::ParserKeyword& get_GCONSALE() { return this->GCONSALE; };
    const ::Opm::ParserKeyword& get_GCONSUMP() { return this->GCONSUMP; };
    const ::Opm::ParserKeyword& get_GCONTOL() { return this->GCONTOL; };
    const ::Opm::ParserKeyword& get_GCUTBACK() { return this->GCUTBACK; };
    const ::Opm::ParserKeyword& get_GCUTBACT() { return this->GCUTBACT; };
    const ::Opm::ParserKeyword& get_GCVD() { return this->GCVD; };
    const ::Opm::ParserKeyword& get_GDCQ() { return this->GDCQ; };
    const ::Opm::ParserKeyword& get_GDCQECON() { return this->GDCQECON; };
    const ::Opm::ParserKeyword& get_GDFILE() { return this->GDFILE; };
    const ::Opm::ParserKeyword& get_GDIMS() { return this->GDIMS; };
    const ::Opm::ParserKeyword& get_GDORIENT() { return this->GDORIENT; };
    const ::Opm::ParserKeyword& get_GDRILPOT() { return this->GDRILPOT; };
    const ::Opm::ParserKeyword& get_GECON() { return this->GECON; };
    const ::Opm::ParserKeyword& get_GECONT() { return this->GECONT; };
    const ::Opm::ParserKeyword& get_GEFAC() { return this->GEFAC; };
    const ::Opm::ParserKeyword& get_GETDATA() { return this->GETDATA; };
    const ::Opm::ParserKeyword& get_GETGLOB() { return this->GETGLOB; };
    const ::Opm::ParserKeyword& get_GI() { return this->GI; };
    const ::Opm::ParserKeyword& get_GIALL() { return this->GIALL; };
    const ::Opm::ParserKeyword& get_GIMODEL() { return this->GIMODEL; };
    const ::Opm::ParserKeyword& get_GINODE() { return this->GINODE; };
    const ::Opm::ParserKeyword& get_GLIFTLIM() { return this->GLIFTLIM; };
    const ::Opm::ParserKeyword& get_GLIFTOPT() { return this->GLIFTOPT; };
    const ::Opm::ParserKeyword& get_GMWSET() { return this->GMWSET; };
    const ::Opm::ParserKeyword& get_GNETDP() { return this->GNETDP; };
    const ::Opm::ParserKeyword& get_GNETINJE() { return this->GNETINJE; };
    const ::Opm::ParserKeyword& get_GNETPUMP() { return this->GNETPUMP; };
    const ::Opm::ParserKeyword& get_GPMAINT() { return this->GPMAINT; };
    const ::Opm::ParserKeyword& get_GRADGRUP() { return this->GRADGRUP; };
    const ::Opm::ParserKeyword& get_GRADRESV() { return this->GRADRESV; };
    const ::Opm::ParserKeyword& get_GRADRFT() { return this->GRADRFT; };
    const ::Opm::ParserKeyword& get_GRADWELL() { return this->GRADWELL; };
    const ::Opm::ParserKeyword& get_GRAVCONS() { return this->GRAVCONS; };
    const ::Opm::ParserKeyword& get_GRAVDR() { return this->GRAVDR; };
    const ::Opm::ParserKeyword& get_GRAVDRB() { return this->GRAVDRB; };
    const ::Opm::ParserKeyword& get_GRAVDRM() { return this->GRAVDRM; };
    const ::Opm::ParserKeyword& get_GRAVITY() { return this->GRAVITY; };
    const ::Opm::ParserKeyword& get_GRDREACH() { return this->GRDREACH; };
    const ::Opm::ParserKeyword& get_GRID() { return this->GRID; };
    const ::Opm::ParserKeyword& get_GRIDFILE() { return this->GRIDFILE; };
    const ::Opm::ParserKeyword& get_GRIDOPTS() { return this->GRIDOPTS; };
    const ::Opm::ParserKeyword& get_GRIDUNIT() { return this->GRIDUNIT; };
    const ::Opm::ParserKeyword& get_GROUP_PROBE() { return this->GROUP_PROBE; };
    const ::Opm::ParserKeyword& get_GRUPMAST() { return this->GRUPMAST; };
    const ::Opm::ParserKeyword& get_GRUPNET() { return this->GRUPNET; };
    const ::Opm::ParserKeyword& get_GRUPRIG() { return this->GRUPRIG; };
    const ::Opm::ParserKeyword& get_GRUPSLAV() { return this->GRUPSLAV; };
    const ::Opm::ParserKeyword& get_GRUPTARG() { return this->GRUPTARG; };
    const ::Opm::ParserKeyword& get_GRUPTREE() { return this->GRUPTREE; };
    const ::Opm::ParserKeyword& get_GSATINJE() { return this->GSATINJE; };
    const ::Opm::ParserKeyword& get_GSATPROD() { return this->GSATPROD; };
    const ::Opm::ParserKeyword& get_GSEPCOND() { return this->GSEPCOND; };
    const ::Opm::ParserKeyword& get_GSSCPTST() { return this->GSSCPTST; };
    const ::Opm::ParserKeyword& get_GSWINGF() { return this->GSWINGF; };
    const ::Opm::ParserKeyword& get_GTADD() { return this->GTADD; };
    const ::Opm::ParserKeyword& get_GTMULT() { return this->GTMULT; };
    const ::Opm::ParserKeyword& get_GUIDECAL() { return this->GUIDECAL; };
    const ::Opm::ParserKeyword& get_GUIDERAT() { return this->GUIDERAT; };
    const ::Opm::ParserKeyword& get_GUPFREQ() { return this->GUPFREQ; };
    const ::Opm::ParserKeyword& get_GWRTWCV() { return this->GWRTWCV; };
    const ::Opm::ParserKeyword& get_HALFTRAN() { return this->HALFTRAN; };
    const ::Opm::ParserKeyword& get_HAxxxxxx() { return this->HAxxxxxx; };
    const ::Opm::ParserKeyword& get_HBNUM() { return this->HBNUM; };
    const ::Opm::ParserKeyword& get_HDISP() { return this->HDISP; };
    const ::Opm::ParserKeyword& get_HEATCR() { return this->HEATCR; };
    const ::Opm::ParserKeyword& get_HEATCRT() { return this->HEATCRT; };
    const ::Opm::ParserKeyword& get_HMAQUCT() { return this->HMAQUCT; };
    const ::Opm::ParserKeyword& get_HMAQUFET() { return this->HMAQUFET; };
    const ::Opm::ParserKeyword& get_HMAQUNUM() { return this->HMAQUNUM; };
    const ::Opm::ParserKeyword& get_HMDIMS() { return this->HMDIMS; };
    const ::Opm::ParserKeyword& get_HMFAULTS() { return this->HMFAULTS; };
    const ::Opm::ParserKeyword& get_HMMLAQUN() { return this->HMMLAQUN; };
    const ::Opm::ParserKeyword& get_HMMLCTAQ() { return this->HMMLCTAQ; };
    const ::Opm::ParserKeyword& get_HMMLFTAQ() { return this->HMMLFTAQ; };
    const ::Opm::ParserKeyword& get_HMMLTWCN() { return this->HMMLTWCN; };
    const ::Opm::ParserKeyword& get_HMMULTFT() { return this->HMMULTFT; };
    const ::Opm::ParserKeyword& get_HMMULTSG() { return this->HMMULTSG; };
    const ::Opm::ParserKeyword& get_HMMULTxx() { return this->HMMULTxx; };
    const ::Opm::ParserKeyword& get_HMPROPS() { return this->HMPROPS; };
    const ::Opm::ParserKeyword& get_HMROCK() { return this->HMROCK; };
    const ::Opm::ParserKeyword& get_HMROCKT() { return this->HMROCKT; };
    const ::Opm::ParserKeyword& get_HMRREF() { return this->HMRREF; };
    const ::Opm::ParserKeyword& get_HMWELCON() { return this->HMWELCON; };
    const ::Opm::ParserKeyword& get_HMWPIMLT() { return this->HMWPIMLT; };
    const ::Opm::ParserKeyword& get_HMxxxxxx() { return this->HMxxxxxx; };
    const ::Opm::ParserKeyword& get_HRFIN() { return this->HRFIN; };
    const ::Opm::ParserKeyword& get_HWKRO() { return this->HWKRO; };
    const ::Opm::ParserKeyword& get_HWKRORG() { return this->HWKRORG; };
    const ::Opm::ParserKeyword& get_HWKRORW() { return this->HWKRORW; };
    const ::Opm::ParserKeyword& get_HWKRW() { return this->HWKRW; };
    const ::Opm::ParserKeyword& get_HWKRWR() { return this->HWKRWR; };
    const ::Opm::ParserKeyword& get_HWPCW() { return this->HWPCW; };
    const ::Opm::ParserKeyword& get_HWSNUM() { return this->HWSNUM; };
    const ::Opm::ParserKeyword& get_HWSOGCR() { return this->HWSOGCR; };
    const ::Opm::ParserKeyword& get_HWSOWCR() { return this->HWSOWCR; };
    const ::Opm::ParserKeyword& get_HWSWCR() { return this->HWSWCR; };
    const ::Opm::ParserKeyword& get_HWSWL() { return this->HWSWL; };
    const ::Opm::ParserKeyword& get_HWSWLPC() { return this->HWSWLPC; };
    const ::Opm::ParserKeyword& get_HWSWU() { return this->HWSWU; };
    const ::Opm::ParserKeyword& get_HXFIN() { return this->HXFIN; };
    const ::Opm::ParserKeyword& get_HYDRHEAD() { return this->HYDRHEAD; };
    const ::Opm::ParserKeyword& get_HYFIN() { return this->HYFIN; };
    const ::Opm::ParserKeyword& get_HYMOBGDR() { return this->HYMOBGDR; };
    const ::Opm::ParserKeyword& get_HYST() { return this->HYST; };
    const ::Opm::ParserKeyword& get_HYSTCHCK() { return this->HYSTCHCK; };
    const ::Opm::ParserKeyword& get_HZFIN() { return this->HZFIN; };
    const ::Opm::ParserKeyword& get_IHOST() { return this->IHOST; };
    const ::Opm::ParserKeyword& get_IMBNUM() { return this->IMBNUM; };
    const ::Opm::ParserKeyword& get_IMBNUMMF() { return this->IMBNUMMF; };
    const ::Opm::ParserKeyword& get_IMKRVD() { return this->IMKRVD; };
    const ::Opm::ParserKeyword& get_IMPCVD() { return this->IMPCVD; };
    const ::Opm::ParserKeyword& get_IMPES() { return this->IMPES; };
    const ::Opm::ParserKeyword& get_IMPLICIT() { return this->IMPLICIT; };
    const ::Opm::ParserKeyword& get_IMPORT() { return this->IMPORT; };
    const ::Opm::ParserKeyword& get_IMPTVD() { return this->IMPTVD; };
    const ::Opm::ParserKeyword& get_IMSPCVD() { return this->IMSPCVD; };
    const ::Opm::ParserKeyword& get_INCLUDE() { return this->INCLUDE; };
    const ::Opm::ParserKeyword& get_INIT() { return this->INIT; };
    const ::Opm::ParserKeyword& get_INRAD() { return this->INRAD; };
    const ::Opm::ParserKeyword& get_INSPEC() { return this->INSPEC; };
    const ::Opm::ParserKeyword& get_INTPC() { return this->INTPC; };
    const ::Opm::ParserKeyword& get_IONROCK() { return this->IONROCK; };
    const ::Opm::ParserKeyword& get_IONXROCK() { return this->IONXROCK; };
    const ::Opm::ParserKeyword& get_IONXSURF() { return this->IONXSURF; };
    const ::Opm::ParserKeyword& get_IPCG() { return this->IPCG; };
    const ::Opm::ParserKeyword& get_IPCW() { return this->IPCW; };
    const ::Opm::ParserKeyword& get_ISGCR() { return this->ISGCR; };
    const ::Opm::ParserKeyword& get_ISGL() { return this->ISGL; };
    const ::Opm::ParserKeyword& get_ISGLPC() { return this->ISGLPC; };
    const ::Opm::ParserKeyword& get_ISGU() { return this->ISGU; };
    const ::Opm::ParserKeyword& get_ISOGCR() { return this->ISOGCR; };
    const ::Opm::ParserKeyword& get_ISOLNUM() { return this->ISOLNUM; };
    const ::Opm::ParserKeyword& get_ISOWCR() { return this->ISOWCR; };
    const ::Opm::ParserKeyword& get_ISWCR() { return this->ISWCR; };
    const ::Opm::ParserKeyword& get_ISWL() { return this->ISWL; };
    const ::Opm::ParserKeyword& get_ISWLPC() { return this->ISWLPC; };
    const ::Opm::ParserKeyword& get_ISWU() { return this->ISWU; };
    const ::Opm::ParserKeyword& get_JFUNC() { return this->JFUNC; };
    const ::Opm::ParserKeyword& get_JFUNCR() { return this->JFUNCR; };
    const ::Opm::ParserKeyword& get_KRNUM() { return this->KRNUM; };
    const ::Opm::ParserKeyword& get_KRNUMMF() { return this->KRNUMMF; };
    const ::Opm::ParserKeyword& get_LAB() { return this->LAB; };
    const ::Opm::ParserKeyword& get_LANGMPL() { return this->LANGMPL; };
    const ::Opm::ParserKeyword& get_LANGMUIR() { return this->LANGMUIR; };
    const ::Opm::ParserKeyword& get_LANGSOLV() { return this->LANGSOLV; };
    const ::Opm::ParserKeyword& get_LCUNIT() { return this->LCUNIT; };
    const ::Opm::ParserKeyword& get_LGR() { return this->LGR; };
    const ::Opm::ParserKeyword& get_LGRCOPY() { return this->LGRCOPY; };
    const ::Opm::ParserKeyword& get_LGRFREE() { return this->LGRFREE; };
    const ::Opm::ParserKeyword& get_LGRLOCK() { return this->LGRLOCK; };
    const ::Opm::ParserKeyword& get_LGROFF() { return this->LGROFF; };
    const ::Opm::ParserKeyword& get_LGRON() { return this->LGRON; };
    const ::Opm::ParserKeyword& get_LICENSES() { return this->LICENSES; };
    const ::Opm::ParserKeyword& get_LIFTOPT() { return this->LIFTOPT; };
    const ::Opm::ParserKeyword& get_LINCOM() { return this->LINCOM; };
    const ::Opm::ParserKeyword& get_LINKPERM() { return this->LINKPERM; };
    const ::Opm::ParserKeyword& get_LIVEOIL() { return this->LIVEOIL; };
    const ::Opm::ParserKeyword& get_LKRO() { return this->LKRO; };
    const ::Opm::ParserKeyword& get_LKRORG() { return this->LKRORG; };
    const ::Opm::ParserKeyword& get_LKRORW() { return this->LKRORW; };
    const ::Opm::ParserKeyword& get_LKRW() { return this->LKRW; };
    const ::Opm::ParserKeyword& get_LKRWR() { return this->LKRWR; };
    const ::Opm::ParserKeyword& get_LOAD() { return this->LOAD; };
    const ::Opm::ParserKeyword& get_LOWSALT() { return this->LOWSALT; };
    const ::Opm::ParserKeyword& get_LPCW() { return this->LPCW; };
    const ::Opm::ParserKeyword& get_LSALTFNC() { return this->LSALTFNC; };
    const ::Opm::ParserKeyword& get_LSLTWNUM() { return this->LSLTWNUM; };
    const ::Opm::ParserKeyword& get_LSNUM() { return this->LSNUM; };
    const ::Opm::ParserKeyword& get_LSOGCR() { return this->LSOGCR; };
    const ::Opm::ParserKeyword& get_LSOWCR() { return this->LSOWCR; };
    const ::Opm::ParserKeyword& get_LSWCR() { return this->LSWCR; };
    const ::Opm::ParserKeyword& get_LSWL() { return this->LSWL; };
    const ::Opm::ParserKeyword& get_LSWLPC() { return this->LSWLPC; };
    const ::Opm::ParserKeyword& get_LSWU() { return this->LSWU; };
    const ::Opm::ParserKeyword& get_LTOSIGMA() { return this->LTOSIGMA; };
    const ::Opm::ParserKeyword& get_LWKRO() { return this->LWKRO; };
    const ::Opm::ParserKeyword& get_LWKRORG() { return this->LWKRORG; };
    const ::Opm::ParserKeyword& get_LWKRORW() { return this->LWKRORW; };
    const ::Opm::ParserKeyword& get_LWKRW() { return this->LWKRW; };
    const ::Opm::ParserKeyword& get_LWKRWR() { return this->LWKRWR; };
    const ::Opm::ParserKeyword& get_LWPCW() { return this->LWPCW; };
    const ::Opm::ParserKeyword& get_LWSLTNUM() { return this->LWSLTNUM; };
    const ::Opm::ParserKeyword& get_LWSNUM() { return this->LWSNUM; };
    const ::Opm::ParserKeyword& get_LWSOGCR() { return this->LWSOGCR; };
    const ::Opm::ParserKeyword& get_LWSOWCR() { return this->LWSOWCR; };
    const ::Opm::ParserKeyword& get_LWSWCR() { return this->LWSWCR; };
    const ::Opm::ParserKeyword& get_LWSWL() { return this->LWSWL; };
    const ::Opm::ParserKeyword& get_LWSWLPC() { return this->LWSWLPC; };
    const ::Opm::ParserKeyword& get_LWSWU() { return this->LWSWU; };
    const ::Opm::ParserKeyword& get_LX() { return this->LX; };
    const ::Opm::ParserKeyword& get_LXFIN() { return this->LXFIN; };
    const ::Opm::ParserKeyword& get_LY() { return this->LY; };
    const ::Opm::ParserKeyword& get_LYFIN() { return this->LYFIN; };
    const ::Opm::ParserKeyword& get_LZ() { return this->LZ; };
    const ::Opm::ParserKeyword& get_LZFIN() { return this->LZFIN; };
    const ::Opm::ParserKeyword& get_MAPAXES() { return this->MAPAXES; };
    const ::Opm::ParserKeyword& get_MAPUNITS() { return this->MAPUNITS; };
    const ::Opm::ParserKeyword& get_MASSFLOW() { return this->MASSFLOW; };
    const ::Opm::ParserKeyword& get_MATCORR() { return this->MATCORR; };
    const ::Opm::ParserKeyword& get_MAXVALUE() { return this->MAXVALUE; };
    const ::Opm::ParserKeyword& get_MEMORY() { return this->MEMORY; };
    const ::Opm::ParserKeyword& get_MESSAGE() { return this->MESSAGE; };
    const ::Opm::ParserKeyword& get_MESSAGES() { return this->MESSAGES; };
    const ::Opm::ParserKeyword& get_MESSOPTS() { return this->MESSOPTS; };
    const ::Opm::ParserKeyword& get_MESSSRVC() { return this->MESSSRVC; };
    const ::Opm::ParserKeyword& get_METRIC() { return this->METRIC; };
    const ::Opm::ParserKeyword& get_MICP() { return this->MICP; };
    const ::Opm::ParserKeyword& get_MICPPARA() { return this->MICPPARA; };
    const ::Opm::ParserKeyword& get_MINNNCT() { return this->MINNNCT; };
    const ::Opm::ParserKeyword& get_MINNPCOL() { return this->MINNPCOL; };
    const ::Opm::ParserKeyword& get_MINPORV() { return this->MINPORV; };
    const ::Opm::ParserKeyword& get_MINPV() { return this->MINPV; };
    const ::Opm::ParserKeyword& get_MINPVFIL() { return this->MINPVFIL; };
    const ::Opm::ParserKeyword& get_MINPVV() { return this->MINPVV; };
    const ::Opm::ParserKeyword& get_MINVALUE() { return this->MINVALUE; };
    const ::Opm::ParserKeyword& get_MISC() { return this->MISC; };
    const ::Opm::ParserKeyword& get_MISCIBLE() { return this->MISCIBLE; };
    const ::Opm::ParserKeyword& get_MISCNUM() { return this->MISCNUM; };
    const ::Opm::ParserKeyword& get_MLANG() { return this->MLANG; };
    const ::Opm::ParserKeyword& get_MLANGSLV() { return this->MLANGSLV; };
    const ::Opm::ParserKeyword& get_MONITOR() { return this->MONITOR; };
    const ::Opm::ParserKeyword& get_MPFANUM() { return this->MPFANUM; };
    const ::Opm::ParserKeyword& get_MPFNNC() { return this->MPFNNC; };
    const ::Opm::ParserKeyword& get_MSFN() { return this->MSFN; };
    const ::Opm::ParserKeyword& get_MSGFILE() { return this->MSGFILE; };
    const ::Opm::ParserKeyword& get_MSUM_PROBE() { return this->MSUM_PROBE; };
    const ::Opm::ParserKeyword& get_MULSGGD() { return this->MULSGGD; };
    const ::Opm::ParserKeyword& get_MULSGGDV() { return this->MULSGGDV; };
    const ::Opm::ParserKeyword& get_MULTFLT() { return this->MULTFLT; };
    const ::Opm::ParserKeyword& get_MULTIN() { return this->MULTIN; };
    const ::Opm::ParserKeyword& get_MULTIPLY() { return this->MULTIPLY; };
    const ::Opm::ParserKeyword& get_MULTIREG() { return this->MULTIREG; };
    const ::Opm::ParserKeyword& get_MULTNUM() { return this->MULTNUM; };
    const ::Opm::ParserKeyword& get_MULTOUT() { return this->MULTOUT; };
    const ::Opm::ParserKeyword& get_MULTOUTS() { return this->MULTOUTS; };
    const ::Opm::ParserKeyword& get_MULTPV() { return this->MULTPV; };
    const ::Opm::ParserKeyword& get_MULTREAL() { return this->MULTREAL; };
    const ::Opm::ParserKeyword& get_MULTREGD() { return this->MULTREGD; };
    const ::Opm::ParserKeyword& get_MULTREGH() { return this->MULTREGH; };
    const ::Opm::ParserKeyword& get_MULTREGP() { return this->MULTREGP; };
    const ::Opm::ParserKeyword& get_MULTREGT() { return this->MULTREGT; };
    const ::Opm::ParserKeyword& get_MULTSIG() { return this->MULTSIG; };
    const ::Opm::ParserKeyword& get_MULTSIGV() { return this->MULTSIGV; };
    const ::Opm::ParserKeyword& get_MULT_XYZ() { return this->MULT_XYZ; };
    const ::Opm::ParserKeyword& get_MW() { return this->MW; };
    const ::Opm::ParserKeyword& get_MWS() { return this->MWS; };
    const ::Opm::ParserKeyword& get_NARROW() { return this->NARROW; };
    const ::Opm::ParserKeyword& get_NCONSUMP() { return this->NCONSUMP; };
    const ::Opm::ParserKeyword& get_NEFAC() { return this->NEFAC; };
    const ::Opm::ParserKeyword& get_NETBALAN() { return this->NETBALAN; };
    const ::Opm::ParserKeyword& get_NETCOMPA() { return this->NETCOMPA; };
    const ::Opm::ParserKeyword& get_NETWORK() { return this->NETWORK; };
    const ::Opm::ParserKeyword& get_NEWTRAN() { return this->NEWTRAN; };
    const ::Opm::ParserKeyword& get_NEXTSTEP() { return this->NEXTSTEP; };
    const ::Opm::ParserKeyword& get_NEXTSTPL() { return this->NEXTSTPL; };
    const ::Opm::ParserKeyword& get_NINENUM() { return this->NINENUM; };
    const ::Opm::ParserKeyword& get_NINEPOIN() { return this->NINEPOIN; };
    const ::Opm::ParserKeyword& get_NMATOPTS() { return this->NMATOPTS; };
    const ::Opm::ParserKeyword& get_NMATRIX() { return this->NMATRIX; };
    const ::Opm::ParserKeyword& get_NMESSAGE() { return this->NMESSAGE; };
    const ::Opm::ParserKeyword& get_NNC() { return this->NNC; };
    const ::Opm::ParserKeyword& get_NNEWTF() { return this->NNEWTF; };
    const ::Opm::ParserKeyword& get_NOCASC() { return this->NOCASC; };
    const ::Opm::ParserKeyword& get_NODEPROP() { return this->NODEPROP; };
    const ::Opm::ParserKeyword& get_NODPPM() { return this->NODPPM; };
    const ::Opm::ParserKeyword& get_NOECHO() { return this->NOECHO; };
    const ::Opm::ParserKeyword& get_NOGGF() { return this->NOGGF; };
    const ::Opm::ParserKeyword& get_NOGRAV() { return this->NOGRAV; };
    const ::Opm::ParserKeyword& get_NOHMD() { return this->NOHMD; };
    const ::Opm::ParserKeyword& get_NOHMO() { return this->NOHMO; };
    const ::Opm::ParserKeyword& get_NOHYST() { return this->NOHYST; };
    const ::Opm::ParserKeyword& get_NOINSPEC() { return this->NOINSPEC; };
    const ::Opm::ParserKeyword& get_NOMONITO() { return this->NOMONITO; };
    const ::Opm::ParserKeyword& get_NONNC() { return this->NONNC; };
    const ::Opm::ParserKeyword& get_NORSSPEC() { return this->NORSSPEC; };
    const ::Opm::ParserKeyword& get_NOSIM() { return this->NOSIM; };
    const ::Opm::ParserKeyword& get_NOWARN() { return this->NOWARN; };
    const ::Opm::ParserKeyword& get_NOWARNEP() { return this->NOWARNEP; };
    const ::Opm::ParserKeyword& get_NRSOUT() { return this->NRSOUT; };
    const ::Opm::ParserKeyword& get_NSTACK() { return this->NSTACK; };
    const ::Opm::ParserKeyword& get_NTG() { return this->NTG; };
    const ::Opm::ParserKeyword& get_NUMRES() { return this->NUMRES; };
    const ::Opm::ParserKeyword& get_NUPCOL() { return this->NUPCOL; };
    const ::Opm::ParserKeyword& get_NWATREM() { return this->NWATREM; };
    const ::Opm::ParserKeyword& get_NXFIN() { return this->NXFIN; };
    const ::Opm::ParserKeyword& get_NYFIN() { return this->NYFIN; };
    const ::Opm::ParserKeyword& get_NZFIN() { return this->NZFIN; };
    const ::Opm::ParserKeyword& get_OCOMPIDX() { return this->OCOMPIDX; };
    const ::Opm::ParserKeyword& get_OFM() { return this->OFM; };
    const ::Opm::ParserKeyword& get_OIL() { return this->OIL; };
    const ::Opm::ParserKeyword& get_OILAPI() { return this->OILAPI; };
    const ::Opm::ParserKeyword& get_OILCOMPR() { return this->OILCOMPR; };
    const ::Opm::ParserKeyword& get_OILDENT() { return this->OILDENT; };
    const ::Opm::ParserKeyword& get_OILJT() { return this->OILJT; };
    const ::Opm::ParserKeyword& get_OILMW() { return this->OILMW; };
    const ::Opm::ParserKeyword& get_OILVISCT() { return this->OILVISCT; };
    const ::Opm::ParserKeyword& get_OILVTIM() { return this->OILVTIM; };
    const ::Opm::ParserKeyword& get_OLDTRAN() { return this->OLDTRAN; };
    const ::Opm::ParserKeyword& get_OLDTRANR() { return this->OLDTRANR; };
    const ::Opm::ParserKeyword& get_OPERATE() { return this->OPERATE; };
    const ::Opm::ParserKeyword& get_OPERATER() { return this->OPERATER; };
    const ::Opm::ParserKeyword& get_OPERNUM() { return this->OPERNUM; };
    const ::Opm::ParserKeyword& get_OPTIONS() { return this->OPTIONS; };
    const ::Opm::ParserKeyword& get_OPTIONS3() { return this->OPTIONS3; };
    const ::Opm::ParserKeyword& get_OUTRAD() { return this->OUTRAD; };
    const ::Opm::ParserKeyword& get_OUTSOL() { return this->OUTSOL; };
    const ::Opm::ParserKeyword& get_OVERBURD() { return this->OVERBURD; };
    const ::Opm::ParserKeyword& get_PARALLEL() { return this->PARALLEL; };
    const ::Opm::ParserKeyword& get_PARAOPTS() { return this->PARAOPTS; };
    const ::Opm::ParserKeyword& get_PARTTRAC() { return this->PARTTRAC; };
    const ::Opm::ParserKeyword& get_PATHS() { return this->PATHS; };
    const ::Opm::ParserKeyword& get_PBUB() { return this->PBUB; };
    const ::Opm::ParserKeyword& get_PBVD() { return this->PBVD; };
    const ::Opm::ParserKeyword& get_PCG() { return this->PCG; };
    const ::Opm::ParserKeyword& get_PCG32D() { return this->PCG32D; };
    const ::Opm::ParserKeyword& get_PCW() { return this->PCW; };
    const ::Opm::ParserKeyword& get_PCW32D() { return this->PCW32D; };
    const ::Opm::ParserKeyword& get_PDEW() { return this->PDEW; };
    const ::Opm::ParserKeyword& get_PDVD() { return this->PDVD; };
    const ::Opm::ParserKeyword& get_PEBI() { return this->PEBI; };
    const ::Opm::ParserKeyword& get_PECOEFS() { return this->PECOEFS; };
    const ::Opm::ParserKeyword& get_PEDIMS() { return this->PEDIMS; };
    const ::Opm::ParserKeyword& get_PEGTABX() { return this->PEGTABX; };
    const ::Opm::ParserKeyword& get_PEKTABX() { return this->PEKTABX; };
    const ::Opm::ParserKeyword& get_PENUM() { return this->PENUM; };
    const ::Opm::ParserKeyword& get_PERFORMANCE_PROBE() { return this->PERFORMANCE_PROBE; };
    const ::Opm::ParserKeyword& get_PERMAVE() { return this->PERMAVE; };
    const ::Opm::ParserKeyword& get_PERMFACT() { return this->PERMFACT; };
    const ::Opm::ParserKeyword& get_PERMJFUN() { return this->PERMJFUN; };
    const ::Opm::ParserKeyword& get_PERMR() { return this->PERMR; };
    const ::Opm::ParserKeyword& get_PERMTHT() { return this->PERMTHT; };
    const ::Opm::ParserKeyword& get_PERMX() { return this->PERMX; };
    const ::Opm::ParserKeyword& get_PERMXY() { return this->PERMXY; };
    const ::Opm::ParserKeyword& get_PERMY() { return this->PERMY; };
    const ::Opm::ParserKeyword& get_PERMYZ() { return this->PERMYZ; };
    const ::Opm::ParserKeyword& get_PERMZ() { return this->PERMZ; };
    const ::Opm::ParserKeyword& get_PERMZX() { return this->PERMZX; };
    const ::Opm::ParserKeyword& get_PETGRID() { return this->PETGRID; };
    const ::Opm::ParserKeyword& get_PETOPTS() { return this->PETOPTS; };
    const ::Opm::ParserKeyword& get_PICOND() { return this->PICOND; };
    const ::Opm::ParserKeyword& get_PIMTDIMS() { return this->PIMTDIMS; };
    const ::Opm::ParserKeyword& get_PIMULTAB() { return this->PIMULTAB; };
    const ::Opm::ParserKeyword& get_PINCH() { return this->PINCH; };
    const ::Opm::ParserKeyword& get_PINCHNUM() { return this->PINCHNUM; };
    const ::Opm::ParserKeyword& get_PINCHOUT() { return this->PINCHOUT; };
    const ::Opm::ParserKeyword& get_PINCHREG() { return this->PINCHREG; };
    const ::Opm::ParserKeyword& get_PINCHXY() { return this->PINCHXY; };
    const ::Opm::ParserKeyword& get_PINTDIMS() { return this->PINTDIMS; };
    const ::Opm::ParserKeyword& get_PLMIXNUM() { return this->PLMIXNUM; };
    const ::Opm::ParserKeyword& get_PLMIXPAR() { return this->PLMIXPAR; };
    const ::Opm::ParserKeyword& get_PLYADS() { return this->PLYADS; };
    const ::Opm::ParserKeyword& get_PLYADSS() { return this->PLYADSS; };
    const ::Opm::ParserKeyword& get_PLYATEMP() { return this->PLYATEMP; };
    const ::Opm::ParserKeyword& get_PLYCAMAX() { return this->PLYCAMAX; };
    const ::Opm::ParserKeyword& get_PLYDHFLF() { return this->PLYDHFLF; };
    const ::Opm::ParserKeyword& get_PLYESAL() { return this->PLYESAL; };
    const ::Opm::ParserKeyword& get_PLYKRRF() { return this->PLYKRRF; };
    const ::Opm::ParserKeyword& get_PLYMAX() { return this->PLYMAX; };
    const ::Opm::ParserKeyword& get_PLYMWINJ() { return this->PLYMWINJ; };
    const ::Opm::ParserKeyword& get_PLYOPTS() { return this->PLYOPTS; };
    const ::Opm::ParserKeyword& get_PLYRMDEN() { return this->PLYRMDEN; };
    const ::Opm::ParserKeyword& get_PLYROCK() { return this->PLYROCK; };
    const ::Opm::ParserKeyword& get_PLYROCKM() { return this->PLYROCKM; };
    const ::Opm::ParserKeyword& get_PLYSHEAR() { return this->PLYSHEAR; };
    const ::Opm::ParserKeyword& get_PLYSHLOG() { return this->PLYSHLOG; };
    const ::Opm::ParserKeyword& get_PLYTRRF() { return this->PLYTRRF; };
    const ::Opm::ParserKeyword& get_PLYTRRFA() { return this->PLYTRRFA; };
    const ::Opm::ParserKeyword& get_PLYVISC() { return this->PLYVISC; };
    const ::Opm::ParserKeyword& get_PLYVISCS() { return this->PLYVISCS; };
    const ::Opm::ParserKeyword& get_PLYVISCT() { return this->PLYVISCT; };
    const ::Opm::ParserKeyword& get_PLYVMH() { return this->PLYVMH; };
    const ::Opm::ParserKeyword& get_PLYVSCST() { return this->PLYVSCST; };
    const ::Opm::ParserKeyword& get_PMAX() { return this->PMAX; };
    const ::Opm::ParserKeyword& get_PMISC() { return this->PMISC; };
    const ::Opm::ParserKeyword& get_POLYMER() { return this->POLYMER; };
    const ::Opm::ParserKeyword& get_POLYMW() { return this->POLYMW; };
    const ::Opm::ParserKeyword& get_PORO() { return this->PORO; };
    const ::Opm::ParserKeyword& get_PORV() { return this->PORV; };
    const ::Opm::ParserKeyword& get_PPCWMAX() { return this->PPCWMAX; };
    const ::Opm::ParserKeyword& get_PRECSALT() { return this->PRECSALT; };
    const ::Opm::ParserKeyword& get_PREF() { return this->PREF; };
    const ::Opm::ParserKeyword& get_PREFS() { return this->PREFS; };
    const ::Opm::ParserKeyword& get_PRESSURE() { return this->PRESSURE; };
    const ::Opm::ParserKeyword& get_PRIORITY() { return this->PRIORITY; };
    const ::Opm::ParserKeyword& get_PROPS() { return this->PROPS; };
    const ::Opm::ParserKeyword& get_PRORDER() { return this->PRORDER; };
    const ::Opm::ParserKeyword& get_PRVD() { return this->PRVD; };
    const ::Opm::ParserKeyword& get_PSTEADY() { return this->PSTEADY; };
    const ::Opm::ParserKeyword& get_PSWRG() { return this->PSWRG; };
    const ::Opm::ParserKeyword& get_PSWRO() { return this->PSWRO; };
    const ::Opm::ParserKeyword& get_PVCDO() { return this->PVCDO; };
    const ::Opm::ParserKeyword& get_PVCO() { return this->PVCO; };
    const ::Opm::ParserKeyword& get_PVDG() { return this->PVDG; };
    const ::Opm::ParserKeyword& get_PVDO() { return this->PVDO; };
    const ::Opm::ParserKeyword& get_PVDS() { return this->PVDS; };
    const ::Opm::ParserKeyword& get_PVTG() { return this->PVTG; };
    const ::Opm::ParserKeyword& get_PVTGW() { return this->PVTGW; };
    const ::Opm::ParserKeyword& get_PVTGWO() { return this->PVTGWO; };
    const ::Opm::ParserKeyword& get_PVTNUM() { return this->PVTNUM; };
    const ::Opm::ParserKeyword& get_PVTO() { return this->PVTO; };
    const ::Opm::ParserKeyword& get_PVTSOL() { return this->PVTSOL; };
    const ::Opm::ParserKeyword& get_PVTW() { return this->PVTW; };
    const ::Opm::ParserKeyword& get_PVTWSALT() { return this->PVTWSALT; };
    const ::Opm::ParserKeyword& get_PVT_M() { return this->PVT_M; };
    const ::Opm::ParserKeyword& get_PVZG() { return this->PVZG; };
    const ::Opm::ParserKeyword& get_PYACTION() { return this->PYACTION; };
    const ::Opm::ParserKeyword& get_PYINPUT() { return this->PYINPUT; };
    const ::Opm::ParserKeyword& get_QDRILL() { return this->QDRILL; };
    const ::Opm::ParserKeyword& get_QHRATING() { return this->QHRATING; };
    const ::Opm::ParserKeyword& get_QMOBIL() { return this->QMOBIL; };
    const ::Opm::ParserKeyword& get_RADFIN() { return this->RADFIN; };
    const ::Opm::ParserKeyword& get_RADFIN4() { return this->RADFIN4; };
    const ::Opm::ParserKeyword& get_RADIAL() { return this->RADIAL; };
    const ::Opm::ParserKeyword& get_RAINFALL() { return this->RAINFALL; };
    const ::Opm::ParserKeyword& get_RBEDCONT() { return this->RBEDCONT; };
    const ::Opm::ParserKeyword& get_RCMASTS() { return this->RCMASTS; };
    const ::Opm::ParserKeyword& get_REACHES() { return this->REACHES; };
    const ::Opm::ParserKeyword& get_READDATA() { return this->READDATA; };
    const ::Opm::ParserKeyword& get_REFINE() { return this->REFINE; };
    const ::Opm::ParserKeyword& get_REGDIMS() { return this->REGDIMS; };
    const ::Opm::ParserKeyword& get_REGION2REGION_PROBE() { return this->REGION2REGION_PROBE; };
    const ::Opm::ParserKeyword& get_REGION2REGION_PROBE_E300() { return this->REGION2REGION_PROBE_E300; };
    const ::Opm::ParserKeyword& get_REGIONS() { return this->REGIONS; };
    const ::Opm::ParserKeyword& get_REGION_PROBE() { return this->REGION_PROBE; };
    const ::Opm::ParserKeyword& get_RESIDNUM() { return this->RESIDNUM; };
    const ::Opm::ParserKeyword& get_RESTART() { return this->RESTART; };
    const ::Opm::ParserKeyword& get_RESVNUM() { return this->RESVNUM; };
    const ::Opm::ParserKeyword& get_RHO() { return this->RHO; };
    const ::Opm::ParserKeyword& get_RIVDEBUG() { return this->RIVDEBUG; };
    const ::Opm::ParserKeyword& get_RIVERSYS() { return this->RIVERSYS; };
    const ::Opm::ParserKeyword& get_RIVRDIMS() { return this->RIVRDIMS; };
    const ::Opm::ParserKeyword& get_RIVRPROP() { return this->RIVRPROP; };
    const ::Opm::ParserKeyword& get_RIVRXSEC() { return this->RIVRXSEC; };
    const ::Opm::ParserKeyword& get_RIVSALT() { return this->RIVSALT; };
    const ::Opm::ParserKeyword& get_RIVTRACE() { return this->RIVTRACE; };
    const ::Opm::ParserKeyword& get_RKTRMDIR() { return this->RKTRMDIR; };
    const ::Opm::ParserKeyword& get_ROCK() { return this->ROCK; };
    const ::Opm::ParserKeyword& get_ROCK2D() { return this->ROCK2D; };
    const ::Opm::ParserKeyword& get_ROCK2DTR() { return this->ROCK2DTR; };
    const ::Opm::ParserKeyword& get_ROCKCOMP() { return this->ROCKCOMP; };
    const ::Opm::ParserKeyword& get_ROCKFRAC() { return this->ROCKFRAC; };
    const ::Opm::ParserKeyword& get_ROCKNUM() { return this->ROCKNUM; };
    const ::Opm::ParserKeyword& get_ROCKOPTS() { return this->ROCKOPTS; };
    const ::Opm::ParserKeyword& get_ROCKPAMA() { return this->ROCKPAMA; };
    const ::Opm::ParserKeyword& get_ROCKTAB() { return this->ROCKTAB; };
    const ::Opm::ParserKeyword& get_ROCKTABH() { return this->ROCKTABH; };
    const ::Opm::ParserKeyword& get_ROCKTABW() { return this->ROCKTABW; };
    const ::Opm::ParserKeyword& get_ROCKTHSG() { return this->ROCKTHSG; };
    const ::Opm::ParserKeyword& get_ROCKTSIG() { return this->ROCKTSIG; };
    const ::Opm::ParserKeyword& get_ROCKV() { return this->ROCKV; };
    const ::Opm::ParserKeyword& get_ROCKWNOD() { return this->ROCKWNOD; };
    const ::Opm::ParserKeyword& get_RPTCPL() { return this->RPTCPL; };
    const ::Opm::ParserKeyword& get_RPTGRID() { return this->RPTGRID; };
    const ::Opm::ParserKeyword& get_RPTGRIDL() { return this->RPTGRIDL; };
    const ::Opm::ParserKeyword& get_RPTHMD() { return this->RPTHMD; };
    const ::Opm::ParserKeyword& get_RPTHMG() { return this->RPTHMG; };
    const ::Opm::ParserKeyword& get_RPTHMW() { return this->RPTHMW; };
    const ::Opm::ParserKeyword& get_RPTINIT() { return this->RPTINIT; };
    const ::Opm::ParserKeyword& get_RPTISOL() { return this->RPTISOL; };
    const ::Opm::ParserKeyword& get_RPTONLY() { return this->RPTONLY; };
    const ::Opm::ParserKeyword& get_RPTONLYO() { return this->RPTONLYO; };
    const ::Opm::ParserKeyword& get_RPTPROPS() { return this->RPTPROPS; };
    const ::Opm::ParserKeyword& get_RPTREGS() { return this->RPTREGS; };
    const ::Opm::ParserKeyword& get_RPTRST() { return this->RPTRST; };
    const ::Opm::ParserKeyword& get_RPTRUNSP() { return this->RPTRUNSP; };
    const ::Opm::ParserKeyword& get_RPTSCHED() { return this->RPTSCHED; };
    const ::Opm::ParserKeyword& get_RPTSMRY() { return this->RPTSMRY; };
    const ::Opm::ParserKeyword& get_RPTSOL() { return this->RPTSOL; };
    const ::Opm::ParserKeyword& get_RS() { return this->RS; };
    const ::Opm::ParserKeyword& get_RSCONST() { return this->RSCONST; };
    const ::Opm::ParserKeyword& get_RSCONSTT() { return this->RSCONSTT; };
    const ::Opm::ParserKeyword& get_RSGI() { return this->RSGI; };
    const ::Opm::ParserKeyword& get_RSSPEC() { return this->RSSPEC; };
    const ::Opm::ParserKeyword& get_RSVD() { return this->RSVD; };
    const ::Opm::ParserKeyword& get_RTEMP() { return this->RTEMP; };
    const ::Opm::ParserKeyword& get_RTEMPA() { return this->RTEMPA; };
    const ::Opm::ParserKeyword& get_RTEMPVD() { return this->RTEMPVD; };
    const ::Opm::ParserKeyword& get_RUNSPEC() { return this->RUNSPEC; };
    const ::Opm::ParserKeyword& get_RUNSUM() { return this->RUNSUM; };
    const ::Opm::ParserKeyword& get_RV() { return this->RV; };
    const ::Opm::ParserKeyword& get_RVCONST() { return this->RVCONST; };
    const ::Opm::ParserKeyword& get_RVCONSTT() { return this->RVCONSTT; };
    const ::Opm::ParserKeyword& get_RVGI() { return this->RVGI; };
    const ::Opm::ParserKeyword& get_RVVD() { return this->RVVD; };
    const ::Opm::ParserKeyword& get_RVW() { return this->RVW; };
    const ::Opm::ParserKeyword& get_RVWVD() { return this->RVWVD; };
    const ::Opm::ParserKeyword& get_RWGSALT() { return this->RWGSALT; };
    const ::Opm::ParserKeyword& get_SALINITY() { return this->SALINITY; };
    const ::Opm::ParserKeyword& get_SALT() { return this->SALT; };
    const ::Opm::ParserKeyword& get_SALTNODE() { return this->SALTNODE; };
    const ::Opm::ParserKeyword& get_SALTP() { return this->SALTP; };
    const ::Opm::ParserKeyword& get_SALTPVD() { return this->SALTPVD; };
    const ::Opm::ParserKeyword& get_SALTREST() { return this->SALTREST; };
    const ::Opm::ParserKeyword& get_SALTSOL() { return this->SALTSOL; };
    const ::Opm::ParserKeyword& get_SALTVD() { return this->SALTVD; };
    const ::Opm::ParserKeyword& get_SAMG() { return this->SAMG; };
    const ::Opm::ParserKeyword& get_SATNUM() { return this->SATNUM; };
    const ::Opm::ParserKeyword& get_SATOPTS() { return this->SATOPTS; };
    const ::Opm::ParserKeyword& get_SAVE() { return this->SAVE; };
    const ::Opm::ParserKeyword& get_SBIOF() { return this->SBIOF; };
    const ::Opm::ParserKeyword& get_SCALC() { return this->SCALC; };
    const ::Opm::ParserKeyword& get_SCALECRS() { return this->SCALECRS; };
    const ::Opm::ParserKeyword& get_SCALELIM() { return this->SCALELIM; };
    const ::Opm::ParserKeyword& get_SCDATAB() { return this->SCDATAB; };
    const ::Opm::ParserKeyword& get_SCDETAB() { return this->SCDETAB; };
    const ::Opm::ParserKeyword& get_SCDPDIMS() { return this->SCDPDIMS; };
    const ::Opm::ParserKeyword& get_SCDPTAB() { return this->SCDPTAB; };
    const ::Opm::ParserKeyword& get_SCDPTRAC() { return this->SCDPTRAC; };
    const ::Opm::ParserKeyword& get_SCHEDULE() { return this->SCHEDULE; };
    const ::Opm::ParserKeyword& get_SCVD() { return this->SCVD; };
    const ::Opm::ParserKeyword& get_SDENSITY() { return this->SDENSITY; };
    const ::Opm::ParserKeyword& get_SEGMENT_PROBE() { return this->SEGMENT_PROBE; };
    const ::Opm::ParserKeyword& get_SEPARATE() { return this->SEPARATE; };
    const ::Opm::ParserKeyword& get_SEPVALS() { return this->SEPVALS; };
    const ::Opm::ParserKeyword& get_SFOAM() { return this->SFOAM; };
    const ::Opm::ParserKeyword& get_SGAS() { return this->SGAS; };
    const ::Opm::ParserKeyword& get_SGCR() { return this->SGCR; };
    const ::Opm::ParserKeyword& get_SGCWMIS() { return this->SGCWMIS; };
    const ::Opm::ParserKeyword& get_SGF32D() { return this->SGF32D; };
    const ::Opm::ParserKeyword& get_SGFN() { return this->SGFN; };
    const ::Opm::ParserKeyword& get_SGL() { return this->SGL; };
    const ::Opm::ParserKeyword& get_SGLPC() { return this->SGLPC; };
    const ::Opm::ParserKeyword& get_SGOF() { return this->SGOF; };
    const ::Opm::ParserKeyword& get_SGOFLET() { return this->SGOFLET; };
    const ::Opm::ParserKeyword& get_SGU() { return this->SGU; };
    const ::Opm::ParserKeyword& get_SGWFN() { return this->SGWFN; };
    const ::Opm::ParserKeyword& get_SHRATE() { return this->SHRATE; };
    const ::Opm::ParserKeyword& get_SIGMA() { return this->SIGMA; };
    const ::Opm::ParserKeyword& get_SIGMAGDV() { return this->SIGMAGDV; };
    const ::Opm::ParserKeyword& get_SIGMATH() { return this->SIGMATH; };
    const ::Opm::ParserKeyword& get_SIGMAV() { return this->SIGMAV; };
    const ::Opm::ParserKeyword& get_SIMULATE() { return this->SIMULATE; };
    const ::Opm::ParserKeyword& get_SKIP() { return this->SKIP; };
    const ::Opm::ParserKeyword& get_SKIP100() { return this->SKIP100; };
    const ::Opm::ParserKeyword& get_SKIP300() { return this->SKIP300; };
    const ::Opm::ParserKeyword& get_SKIPREST() { return this->SKIPREST; };
    const ::Opm::ParserKeyword& get_SKPRPOLY() { return this->SKPRPOLY; };
    const ::Opm::ParserKeyword& get_SKPRWAT() { return this->SKPRWAT; };
    const ::Opm::ParserKeyword& get_SKRO() { return this->SKRO; };
    const ::Opm::ParserKeyword& get_SKRORG() { return this->SKRORG; };
    const ::Opm::ParserKeyword& get_SKRORW() { return this->SKRORW; };
    const ::Opm::ParserKeyword& get_SKRW() { return this->SKRW; };
    const ::Opm::ParserKeyword& get_SKRWR() { return this->SKRWR; };
    const ::Opm::ParserKeyword& get_SLAVES() { return this->SLAVES; };
    const ::Opm::ParserKeyword& get_SLGOF() { return this->SLGOF; };
    const ::Opm::ParserKeyword& get_SMICR() { return this->SMICR; };
    const ::Opm::ParserKeyword& get_SMRYDIMS() { return this->SMRYDIMS; };
    const ::Opm::ParserKeyword& get_SMULTX() { return this->SMULTX; };
    const ::Opm::ParserKeyword& get_SMULTY() { return this->SMULTY; };
    const ::Opm::ParserKeyword& get_SMULTZ() { return this->SMULTZ; };
    const ::Opm::ParserKeyword& get_SOCRS() { return this->SOCRS; };
    const ::Opm::ParserKeyword& get_SOF2() { return this->SOF2; };
    const ::Opm::ParserKeyword& get_SOF3() { return this->SOF3; };
    const ::Opm::ParserKeyword& get_SOF32D() { return this->SOF32D; };
    const ::Opm::ParserKeyword& get_SOGCR() { return this->SOGCR; };
    const ::Opm::ParserKeyword& get_SOIL() { return this->SOIL; };
    const ::Opm::ParserKeyword& get_SOLUTION() { return this->SOLUTION; };
    const ::Opm::ParserKeyword& get_SOLVCONC() { return this->SOLVCONC; };
    const ::Opm::ParserKeyword& get_SOLVDIMS() { return this->SOLVDIMS; };
    const ::Opm::ParserKeyword& get_SOLVDIRS() { return this->SOLVDIRS; };
    const ::Opm::ParserKeyword& get_SOLVENT() { return this->SOLVENT; };
    const ::Opm::ParserKeyword& get_SOLVFRAC() { return this->SOLVFRAC; };
    const ::Opm::ParserKeyword& get_SOLVNUM() { return this->SOLVNUM; };
    const ::Opm::ParserKeyword& get_SOMGAS() { return this->SOMGAS; };
    const ::Opm::ParserKeyword& get_SOMWAT() { return this->SOMWAT; };
    const ::Opm::ParserKeyword& get_SORWMIS() { return this->SORWMIS; };
    const ::Opm::ParserKeyword& get_SOWCR() { return this->SOWCR; };
    const ::Opm::ParserKeyword& get_SOXYG() { return this->SOXYG; };
    const ::Opm::ParserKeyword& get_SPECGRID() { return this->SPECGRID; };
    const ::Opm::ParserKeyword& get_SPECHEAT() { return this->SPECHEAT; };
    const ::Opm::ParserKeyword& get_SPECROCK() { return this->SPECROCK; };
    const ::Opm::ParserKeyword& get_SPIDER() { return this->SPIDER; };
    const ::Opm::ParserKeyword& get_SPOLY() { return this->SPOLY; };
    const ::Opm::ParserKeyword& get_SPOLYMW() { return this->SPOLYMW; };
    const ::Opm::ParserKeyword& get_SSFN() { return this->SSFN; };
    const ::Opm::ParserKeyword& get_SSGCR() { return this->SSGCR; };
    const ::Opm::ParserKeyword& get_SSGL() { return this->SSGL; };
    const ::Opm::ParserKeyword& get_SSOGCR() { return this->SSOGCR; };
    const ::Opm::ParserKeyword& get_SSOL() { return this->SSOL; };
    const ::Opm::ParserKeyword& get_SSOWCR() { return this->SSOWCR; };
    const ::Opm::ParserKeyword& get_SSWCR() { return this->SSWCR; };
    const ::Opm::ParserKeyword& get_SSWL() { return this->SSWL; };
    const ::Opm::ParserKeyword& get_SSWU() { return this->SSWU; };
    const ::Opm::ParserKeyword& get_START() { return this->START; };
    const ::Opm::ParserKeyword& get_STCOND() { return this->STCOND; };
    const ::Opm::ParserKeyword& get_STOG() { return this->STOG; };
    const ::Opm::ParserKeyword& get_STONE() { return this->STONE; };
    const ::Opm::ParserKeyword& get_STONE1() { return this->STONE1; };
    const ::Opm::ParserKeyword& get_STONE1EX() { return this->STONE1EX; };
    const ::Opm::ParserKeyword& get_STONE2() { return this->STONE2; };
    const ::Opm::ParserKeyword& get_STOW() { return this->STOW; };
    const ::Opm::ParserKeyword& get_STWG() { return this->STWG; };
    const ::Opm::ParserKeyword& get_SUMMARY() { return this->SUMMARY; };
    const ::Opm::ParserKeyword& get_SUMTHIN() { return this->SUMTHIN; };
    const ::Opm::ParserKeyword& get_SUREA() { return this->SUREA; };
    const ::Opm::ParserKeyword& get_SURF() { return this->SURF; };
    const ::Opm::ParserKeyword& get_SURFACT() { return this->SURFACT; };
    const ::Opm::ParserKeyword& get_SURFACTW() { return this->SURFACTW; };
    const ::Opm::ParserKeyword& get_SURFADDW() { return this->SURFADDW; };
    const ::Opm::ParserKeyword& get_SURFADS() { return this->SURFADS; };
    const ::Opm::ParserKeyword& get_SURFCAPD() { return this->SURFCAPD; };
    const ::Opm::ParserKeyword& get_SURFESAL() { return this->SURFESAL; };
    const ::Opm::ParserKeyword& get_SURFNUM() { return this->SURFNUM; };
    const ::Opm::ParserKeyword& get_SURFOPTS() { return this->SURFOPTS; };
    const ::Opm::ParserKeyword& get_SURFROCK() { return this->SURFROCK; };
    const ::Opm::ParserKeyword& get_SURFST() { return this->SURFST; };
    const ::Opm::ParserKeyword& get_SURFSTES() { return this->SURFSTES; };
    const ::Opm::ParserKeyword& get_SURFVISC() { return this->SURFVISC; };
    const ::Opm::ParserKeyword& get_SURFWNUM() { return this->SURFWNUM; };
    const ::Opm::ParserKeyword& get_SWAT() { return this->SWAT; };
    const ::Opm::ParserKeyword& get_SWATINIT() { return this->SWATINIT; };
    const ::Opm::ParserKeyword& get_SWCR() { return this->SWCR; };
    const ::Opm::ParserKeyword& get_SWF32D() { return this->SWF32D; };
    const ::Opm::ParserKeyword& get_SWFN() { return this->SWFN; };
    const ::Opm::ParserKeyword& get_SWINGFAC() { return this->SWINGFAC; };
    const ::Opm::ParserKeyword& get_SWL() { return this->SWL; };
    const ::Opm::ParserKeyword& get_SWLPC() { return this->SWLPC; };
    const ::Opm::ParserKeyword& get_SWOF() { return this->SWOF; };
    const ::Opm::ParserKeyword& get_SWOFLET() { return this->SWOFLET; };
    const ::Opm::ParserKeyword& get_SWU() { return this->SWU; };
    const ::Opm::ParserKeyword& get_TABDIMS() { return this->TABDIMS; };
    const ::Opm::ParserKeyword& get_TBLK() { return this->TBLK; };
    const ::Opm::ParserKeyword& get_TEMP() { return this->TEMP; };
    const ::Opm::ParserKeyword& get_TEMPI() { return this->TEMPI; };
    const ::Opm::ParserKeyword& get_TEMPNODE() { return this->TEMPNODE; };
    const ::Opm::ParserKeyword& get_TEMPTVD() { return this->TEMPTVD; };
    const ::Opm::ParserKeyword& get_TEMPVD() { return this->TEMPVD; };
    const ::Opm::ParserKeyword& get_THCGAS() { return this->THCGAS; };
    const ::Opm::ParserKeyword& get_THCOIL() { return this->THCOIL; };
    const ::Opm::ParserKeyword& get_THCONR() { return this->THCONR; };
    const ::Opm::ParserKeyword& get_THCONSF() { return this->THCONSF; };
    const ::Opm::ParserKeyword& get_THCROCK() { return this->THCROCK; };
    const ::Opm::ParserKeyword& get_THCWATER() { return this->THCWATER; };
    const ::Opm::ParserKeyword& get_THERMAL() { return this->THERMAL; };
    const ::Opm::ParserKeyword& get_THPRES() { return this->THPRES; };
    const ::Opm::ParserKeyword& get_THPRESFT() { return this->THPRESFT; };
    const ::Opm::ParserKeyword& get_TIGHTEN() { return this->TIGHTEN; };
    const ::Opm::ParserKeyword& get_TIGHTENP() { return this->TIGHTENP; };
    const ::Opm::ParserKeyword& get_TIME() { return this->TIME; };
    const ::Opm::ParserKeyword& get_TITLE() { return this->TITLE; };
    const ::Opm::ParserKeyword& get_TLMIXPAR() { return this->TLMIXPAR; };
    const ::Opm::ParserKeyword& get_TLPMIXPA() { return this->TLPMIXPA; };
    const ::Opm::ParserKeyword& get_TNUM() { return this->TNUM; };
    const ::Opm::ParserKeyword& get_TOLCRIT() { return this->TOLCRIT; };
    const ::Opm::ParserKeyword& get_TOPS() { return this->TOPS; };
    const ::Opm::ParserKeyword& get_TPAMEPS() { return this->TPAMEPS; };
    const ::Opm::ParserKeyword& get_TPAMEPSS() { return this->TPAMEPSS; };
    const ::Opm::ParserKeyword& get_TRACER() { return this->TRACER; };
    const ::Opm::ParserKeyword& get_TRACERKM() { return this->TRACERKM; };
    const ::Opm::ParserKeyword& get_TRACERKP() { return this->TRACERKP; };
    const ::Opm::ParserKeyword& get_TRACERS() { return this->TRACERS; };
    const ::Opm::ParserKeyword& get_TRACITVD() { return this->TRACITVD; };
    const ::Opm::ParserKeyword& get_TRACTVD() { return this->TRACTVD; };
    const ::Opm::ParserKeyword& get_TRADS() { return this->TRADS; };
    const ::Opm::ParserKeyword& get_TRANGL() { return this->TRANGL; };
    const ::Opm::ParserKeyword& get_TRANR() { return this->TRANR; };
    const ::Opm::ParserKeyword& get_TRANTHT() { return this->TRANTHT; };
    const ::Opm::ParserKeyword& get_TRANX() { return this->TRANX; };
    const ::Opm::ParserKeyword& get_TRANY() { return this->TRANY; };
    const ::Opm::ParserKeyword& get_TRANZ() { return this->TRANZ; };
    const ::Opm::ParserKeyword& get_TRDCY() { return this->TRDCY; };
    const ::Opm::ParserKeyword& get_TRDIF() { return this->TRDIF; };
    const ::Opm::ParserKeyword& get_TRDIS() { return this->TRDIS; };
    const ::Opm::ParserKeyword& get_TREF() { return this->TREF; };
    const ::Opm::ParserKeyword& get_TREFS() { return this->TREFS; };
    const ::Opm::ParserKeyword& get_TRKPF() { return this->TRKPF; };
    const ::Opm::ParserKeyword& get_TRNHD() { return this->TRNHD; };
    const ::Opm::ParserKeyword& get_TRPLPORO() { return this->TRPLPORO; };
    const ::Opm::ParserKeyword& get_TRROCK() { return this->TRROCK; };
    const ::Opm::ParserKeyword& get_TSTEP() { return this->TSTEP; };
    const ::Opm::ParserKeyword& get_TUNING() { return this->TUNING; };
    const ::Opm::ParserKeyword& get_TUNINGDP() { return this->TUNINGDP; };
    const ::Opm::ParserKeyword& get_TUNINGH() { return this->TUNINGH; };
    const ::Opm::ParserKeyword& get_TUNINGL() { return this->TUNINGL; };
    const ::Opm::ParserKeyword& get_TUNINGS() { return this->TUNINGS; };
    const ::Opm::ParserKeyword& get_TVDP() { return this->TVDP; };
    const ::Opm::ParserKeyword& get_TZONE() { return this->TZONE; };
    const ::Opm::ParserKeyword& get_UDADIMS() { return this->UDADIMS; };
    const ::Opm::ParserKeyword& get_UDQ() { return this->UDQ; };
    const ::Opm::ParserKeyword& get_UDQDIMS() { return this->UDQDIMS; };
    const ::Opm::ParserKeyword& get_UDQPARAM() { return this->UDQPARAM; };
    const ::Opm::ParserKeyword& get_UDT() { return this->UDT; };
    const ::Opm::ParserKeyword& get_UDTDIMS() { return this->UDTDIMS; };
    const ::Opm::ParserKeyword& get_UNCODHMD() { return this->UNCODHMD; };
    const ::Opm::ParserKeyword& get_UNIFIN() { return this->UNIFIN; };
    const ::Opm::ParserKeyword& get_UNIFOUT() { return this->UNIFOUT; };
    const ::Opm::ParserKeyword& get_UNIFOUTS() { return this->UNIFOUTS; };
    const ::Opm::ParserKeyword& get_UNIFSAVE() { return this->UNIFSAVE; };
    const ::Opm::ParserKeyword& get_USECUPL() { return this->USECUPL; };
    const ::Opm::ParserKeyword& get_USEFLUX() { return this->USEFLUX; };
    const ::Opm::ParserKeyword& get_USENOFLO() { return this->USENOFLO; };
    const ::Opm::ParserKeyword& get_VAPOIL() { return this->VAPOIL; };
    const ::Opm::ParserKeyword& get_VAPPARS() { return this->VAPPARS; };
    const ::Opm::ParserKeyword& get_VAPWAT() { return this->VAPWAT; };
    const ::Opm::ParserKeyword& get_VDFLOW() { return this->VDFLOW; };
    const ::Opm::ParserKeyword& get_VDFLOWR() { return this->VDFLOWR; };
    const ::Opm::ParserKeyword& get_VE() { return this->VE; };
    const ::Opm::ParserKeyword& get_VEDEBUG() { return this->VEDEBUG; };
    const ::Opm::ParserKeyword& get_VEFIN() { return this->VEFIN; };
    const ::Opm::ParserKeyword& get_VEFRAC() { return this->VEFRAC; };
    const ::Opm::ParserKeyword& get_VEFRACP() { return this->VEFRACP; };
    const ::Opm::ParserKeyword& get_VEFRACPV() { return this->VEFRACPV; };
    const ::Opm::ParserKeyword& get_VEFRACV() { return this->VEFRACV; };
    const ::Opm::ParserKeyword& get_VFPCHK() { return this->VFPCHK; };
    const ::Opm::ParserKeyword& get_VFPIDIMS() { return this->VFPIDIMS; };
    const ::Opm::ParserKeyword& get_VFPINJ() { return this->VFPINJ; };
    const ::Opm::ParserKeyword& get_VFPPDIMS() { return this->VFPPDIMS; };
    const ::Opm::ParserKeyword& get_VFPPROD() { return this->VFPPROD; };
    const ::Opm::ParserKeyword& get_VFPTABL() { return this->VFPTABL; };
    const ::Opm::ParserKeyword& get_VISAGE() { return this->VISAGE; };
    const ::Opm::ParserKeyword& get_VISCD() { return this->VISCD; };
    const ::Opm::ParserKeyword& get_VISCREF() { return this->VISCREF; };
    const ::Opm::ParserKeyword& get_VISDATES() { return this->VISDATES; };
    const ::Opm::ParserKeyword& get_VISOPTS() { return this->VISOPTS; };
    const ::Opm::ParserKeyword& get_WAGHYSTR() { return this->WAGHYSTR; };
    const ::Opm::ParserKeyword& get_WAITBAL() { return this->WAITBAL; };
    const ::Opm::ParserKeyword& get_WALKALIN() { return this->WALKALIN; };
    const ::Opm::ParserKeyword& get_WALQCALC() { return this->WALQCALC; };
    const ::Opm::ParserKeyword& get_WAPI() { return this->WAPI; };
    const ::Opm::ParserKeyword& get_WARN() { return this->WARN; };
    const ::Opm::ParserKeyword& get_WATDENT() { return this->WATDENT; };
    const ::Opm::ParserKeyword& get_WATER() { return this->WATER; };
    const ::Opm::ParserKeyword& get_WATJT() { return this->WATJT; };
    const ::Opm::ParserKeyword& get_WATVISCT() { return this->WATVISCT; };
    const ::Opm::ParserKeyword& get_WBHGLR() { return this->WBHGLR; };
    const ::Opm::ParserKeyword& get_WBOREVOL() { return this->WBOREVOL; };
    const ::Opm::ParserKeyword& get_WCALCVAL() { return this->WCALCVAL; };
    const ::Opm::ParserKeyword& get_WCONHIST() { return this->WCONHIST; };
    const ::Opm::ParserKeyword& get_WCONINJ() { return this->WCONINJ; };
    const ::Opm::ParserKeyword& get_WCONINJE() { return this->WCONINJE; };
    const ::Opm::ParserKeyword& get_WCONINJH() { return this->WCONINJH; };
    const ::Opm::ParserKeyword& get_WCONINJP() { return this->WCONINJP; };
    const ::Opm::ParserKeyword& get_WCONPROD() { return this->WCONPROD; };
    const ::Opm::ParserKeyword& get_WCUTBACK() { return this->WCUTBACK; };
    const ::Opm::ParserKeyword& get_WCUTBACT() { return this->WCUTBACT; };
    const ::Opm::ParserKeyword& get_WCYCLE() { return this->WCYCLE; };
    const ::Opm::ParserKeyword& get_WDFAC() { return this->WDFAC; };
    const ::Opm::ParserKeyword& get_WDFACCOR() { return this->WDFACCOR; };
    const ::Opm::ParserKeyword& get_WDRILPRI() { return this->WDRILPRI; };
    const ::Opm::ParserKeyword& get_WDRILRES() { return this->WDRILRES; };
    const ::Opm::ParserKeyword& get_WDRILTIM() { return this->WDRILTIM; };
    const ::Opm::ParserKeyword& get_WECON() { return this->WECON; };
    const ::Opm::ParserKeyword& get_WECONINJ() { return this->WECONINJ; };
    const ::Opm::ParserKeyword& get_WECONT() { return this->WECONT; };
    const ::Opm::ParserKeyword& get_WEFAC() { return this->WEFAC; };
    const ::Opm::ParserKeyword& get_WELCNTL() { return this->WELCNTL; };
    const ::Opm::ParserKeyword& get_WELDEBUG() { return this->WELDEBUG; };
    const ::Opm::ParserKeyword& get_WELDRAW() { return this->WELDRAW; };
    const ::Opm::ParserKeyword& get_WELEVNT() { return this->WELEVNT; };
    const ::Opm::ParserKeyword& get_WELLDIMS() { return this->WELLDIMS; };
    const ::Opm::ParserKeyword& get_WELL_COMPLETION_PROBE() { return this->WELL_COMPLETION_PROBE; };
    const ::Opm::ParserKeyword& get_WELL_PROBE() { return this->WELL_PROBE; };
    const ::Opm::ParserKeyword& get_WELMOVEL() { return this->WELMOVEL; };
    const ::Opm::ParserKeyword& get_WELOPEN() { return this->WELOPEN; };
    const ::Opm::ParserKeyword& get_WELOPENL() { return this->WELOPENL; };
    const ::Opm::ParserKeyword& get_WELPI() { return this->WELPI; };
    const ::Opm::ParserKeyword& get_WELPRI() { return this->WELPRI; };
    const ::Opm::ParserKeyword& get_WELSEGS() { return this->WELSEGS; };
    const ::Opm::ParserKeyword& get_WELSOMIN() { return this->WELSOMIN; };
    const ::Opm::ParserKeyword& get_WELSPECL() { return this->WELSPECL; };
    const ::Opm::ParserKeyword& get_WELSPECS() { return this->WELSPECS; };
    const ::Opm::ParserKeyword& get_WELTARG() { return this->WELTARG; };
    const ::Opm::ParserKeyword& get_WFOAM() { return this->WFOAM; };
    const ::Opm::ParserKeyword& get_WFRICSEG() { return this->WFRICSEG; };
    const ::Opm::ParserKeyword& get_WFRICSGL() { return this->WFRICSGL; };
    const ::Opm::ParserKeyword& get_WFRICTN() { return this->WFRICTN; };
    const ::Opm::ParserKeyword& get_WFRICTNL() { return this->WFRICTNL; };
    const ::Opm::ParserKeyword& get_WGASPROD() { return this->WGASPROD; };
    const ::Opm::ParserKeyword& get_WGORPEN() { return this->WGORPEN; };
    const ::Opm::ParserKeyword& get_WGRUPCON() { return this->WGRUPCON; };
    const ::Opm::ParserKeyword& get_WH2NUM() { return this->WH2NUM; };
    const ::Opm::ParserKeyword& get_WH3NUM() { return this->WH3NUM; };
    const ::Opm::ParserKeyword& get_WHEDREFD() { return this->WHEDREFD; };
    const ::Opm::ParserKeyword& get_WHISTCTL() { return this->WHISTCTL; };
    const ::Opm::ParserKeyword& get_WHTEMP() { return this->WHTEMP; };
    const ::Opm::ParserKeyword& get_WINJMULT() { return this->WINJMULT; };
    const ::Opm::ParserKeyword& get_WINJTEMP() { return this->WINJTEMP; };
    const ::Opm::ParserKeyword& get_WLIFT() { return this->WLIFT; };
    const ::Opm::ParserKeyword& get_WLIFTOPT() { return this->WLIFTOPT; };
    const ::Opm::ParserKeyword& get_WLIMTOL() { return this->WLIMTOL; };
    const ::Opm::ParserKeyword& get_WLIST() { return this->WLIST; };
    const ::Opm::ParserKeyword& get_WLISTARG() { return this->WLISTARG; };
    const ::Opm::ParserKeyword& get_WLISTNAM() { return this->WLISTNAM; };
    const ::Opm::ParserKeyword& get_WMICP() { return this->WMICP; };
    const ::Opm::ParserKeyword& get_WNETCTRL() { return this->WNETCTRL; };
    const ::Opm::ParserKeyword& get_WNETDP() { return this->WNETDP; };
    const ::Opm::ParserKeyword& get_WORKLIM() { return this->WORKLIM; };
    const ::Opm::ParserKeyword& get_WORKTHP() { return this->WORKTHP; };
    const ::Opm::ParserKeyword& get_WPAVE() { return this->WPAVE; };
    const ::Opm::ParserKeyword& get_WPAVEDEP() { return this->WPAVEDEP; };
    const ::Opm::ParserKeyword& get_WPIMULT() { return this->WPIMULT; };
    const ::Opm::ParserKeyword& get_WPIMULTL() { return this->WPIMULTL; };
    const ::Opm::ParserKeyword& get_WPITAB() { return this->WPITAB; };
    const ::Opm::ParserKeyword& get_WPLUG() { return this->WPLUG; };
    const ::Opm::ParserKeyword& get_WPMITAB() { return this->WPMITAB; };
    const ::Opm::ParserKeyword& get_WPOLYMER() { return this->WPOLYMER; };
    const ::Opm::ParserKeyword& get_WPOLYRED() { return this->WPOLYRED; };
    const ::Opm::ParserKeyword& get_WPOTCALC() { return this->WPOTCALC; };
    const ::Opm::ParserKeyword& get_WREGROUP() { return this->WREGROUP; };
    const ::Opm::ParserKeyword& get_WRFT() { return this->WRFT; };
    const ::Opm::ParserKeyword& get_WRFTPLT() { return this->WRFTPLT; };
    const ::Opm::ParserKeyword& get_WSALT() { return this->WSALT; };
    const ::Opm::ParserKeyword& get_WSCCLEAN() { return this->WSCCLEAN; };
    const ::Opm::ParserKeyword& get_WSCCLENL() { return this->WSCCLENL; };
    const ::Opm::ParserKeyword& get_WSCTAB() { return this->WSCTAB; };
    const ::Opm::ParserKeyword& get_WSEGAICD() { return this->WSEGAICD; };
    const ::Opm::ParserKeyword& get_WSEGDFIN() { return this->WSEGDFIN; };
    const ::Opm::ParserKeyword& get_WSEGDFMD() { return this->WSEGDFMD; };
    const ::Opm::ParserKeyword& get_WSEGDFPA() { return this->WSEGDFPA; };
    const ::Opm::ParserKeyword& get_WSEGDIMS() { return this->WSEGDIMS; };
    const ::Opm::ParserKeyword& get_WSEGEXSS() { return this->WSEGEXSS; };
    const ::Opm::ParserKeyword& get_WSEGFLIM() { return this->WSEGFLIM; };
    const ::Opm::ParserKeyword& get_WSEGFMOD() { return this->WSEGFMOD; };
    const ::Opm::ParserKeyword& get_WSEGINIT() { return this->WSEGINIT; };
    const ::Opm::ParserKeyword& get_WSEGITER() { return this->WSEGITER; };
    const ::Opm::ParserKeyword& get_WSEGLABY() { return this->WSEGLABY; };
    const ::Opm::ParserKeyword& get_WSEGLINK() { return this->WSEGLINK; };
    const ::Opm::ParserKeyword& get_WSEGMULT() { return this->WSEGMULT; };
    const ::Opm::ParserKeyword& get_WSEGPROP() { return this->WSEGPROP; };
    const ::Opm::ParserKeyword& get_WSEGSEP() { return this->WSEGSEP; };
    const ::Opm::ParserKeyword& get_WSEGSICD() { return this->WSEGSICD; };
    const ::Opm::ParserKeyword& get_WSEGSOLV() { return this->WSEGSOLV; };
    const ::Opm::ParserKeyword& get_WSEGTABL() { return this->WSEGTABL; };
    const ::Opm::ParserKeyword& get_WSEGVALV() { return this->WSEGVALV; };
    const ::Opm::ParserKeyword& get_WSKPTAB() { return this->WSKPTAB; };
    const ::Opm::ParserKeyword& get_WSOLVENT() { return this->WSOLVENT; };
    const ::Opm::ParserKeyword& get_WSURFACT() { return this->WSURFACT; };
    const ::Opm::ParserKeyword& get_WTADD() { return this->WTADD; };
    const ::Opm::ParserKeyword& get_WTEMP() { return this->WTEMP; };
    const ::Opm::ParserKeyword& get_WTEMPQ() { return this->WTEMPQ; };
    const ::Opm::ParserKeyword& get_WTEST() { return this->WTEST; };
    const ::Opm::ParserKeyword& get_WTHPMAX() { return this->WTHPMAX; };
    const ::Opm::ParserKeyword& get_WTMULT() { return this->WTMULT; };
    const ::Opm::ParserKeyword& get_WTRACER() { return this->WTRACER; };
    const ::Opm::ParserKeyword& get_WVFPDP() { return this->WVFPDP; };
    const ::Opm::ParserKeyword& get_WVFPEXP() { return this->WVFPEXP; };
    const ::Opm::ParserKeyword& get_WWPAVE() { return this->WWPAVE; };
    const ::Opm::ParserKeyword& get_ZCORN() { return this->ZCORN; };
    const ::Opm::ParserKeyword& get_ZFACT1() { return this->ZFACT1; };
    const ::Opm::ParserKeyword& get_ZFACT1S() { return this->ZFACT1S; };
    const ::Opm::ParserKeyword& get_ZFACTOR() { return this->ZFACTOR; };
    const ::Opm::ParserKeyword& get_ZFACTORS() { return this->ZFACTORS; };
    const ::Opm::ParserKeyword& get_ZIPP2OFF() { return this->ZIPP2OFF; };
    const ::Opm::ParserKeyword& get_ZIPPY2() { return this->ZIPPY2; };

     const ::Opm::ParserKeyword& operator[](const std::string& keyword) const {
     if (this->keywords.empty()) {
            this->keywords.emplace("ACTDIMS", this->ACTDIMS);
            this->keywords.emplace("ACTION", this->ACTION);
            this->keywords.emplace("ACTIONG", this->ACTIONG);
            this->keywords.emplace("ACTIONR", this->ACTIONR);
            this->keywords.emplace("ACTIONS", this->ACTIONS);
            this->keywords.emplace("ACTIONW", this->ACTIONW);
            this->keywords.emplace("ACTIONX", this->ACTIONX);
            this->keywords.emplace("ACTNUM", this->ACTNUM);
            this->keywords.emplace("ACTPARAM", this->ACTPARAM);
            this->keywords.emplace("ADD", this->ADD);
            this->keywords.emplace("ADDREG", this->ADDREG);
            this->keywords.emplace("ADDZCORN", this->ADDZCORN);
            this->keywords.emplace("ADSALNOD", this->ADSALNOD);
            this->keywords.emplace("ADSORP", this->ADSORP);
            this->keywords.emplace("AITS", this->AITS);
            this->keywords.emplace("AITSOFF", this->AITSOFF);
            this->keywords.emplace("ALKADS", this->ALKADS);
            this->keywords.emplace("ALKALINE", this->ALKALINE);
            this->keywords.emplace("ALKROCK", this->ALKROCK);
            this->keywords.emplace("ALL", this->ALL);
            this->keywords.emplace("ALPOLADS", this->ALPOLADS);
            this->keywords.emplace("ALSURFAD", this->ALSURFAD);
            this->keywords.emplace("ALSURFST", this->ALSURFST);
            this->keywords.emplace("AMALGAM", this->AMALGAM);
            this->keywords.emplace("API", this->API);
            this->keywords.emplace("APIGROUP", this->APIGROUP);
            this->keywords.emplace("APILIM", this->APILIM);
            this->keywords.emplace("APIVD", this->APIVD);
            this->keywords.emplace("AQANCONL", this->AQANCONL);
            this->keywords.emplace("AQANNC", this->AQANNC);
            this->keywords.emplace("AQANTRC", this->AQANTRC);
            this->keywords.emplace("AQUALIST", this->AQUALIST);
            this->keywords.emplace("AQUANCON", this->AQUANCON);
            this->keywords.emplace("AQUCHGAS", this->AQUCHGAS);
            this->keywords.emplace("AQUCHWAT", this->AQUCHWAT);
            this->keywords.emplace("AQUCON", this->AQUCON);
            this->keywords.emplace("AQUCT", this->AQUCT);
            this->keywords.emplace("AQUCWFAC", this->AQUCWFAC);
            this->keywords.emplace("AQUDIMS", this->AQUDIMS);
            this->keywords.emplace("AQUFET", this->AQUFET);
            this->keywords.emplace("AQUFETP", this->AQUFETP);
            this->keywords.emplace("AQUFLUX", this->AQUFLUX);
            this->keywords.emplace("AQUIFER_PROBE_ANALYTIC", this->AQUIFER_PROBE_ANALYTIC);
            this->keywords.emplace("AQUIFER_PROBE_ANALYTIC_NAMED", this->AQUIFER_PROBE_ANALYTIC_NAMED);
            this->keywords.emplace("AQUIFER_PROBE_NUMERIC", this->AQUIFER_PROBE_NUMERIC);
            this->keywords.emplace("AQUNNC", this->AQUNNC);
            this->keywords.emplace("AQUNUM", this->AQUNUM);
            this->keywords.emplace("AQUTAB", this->AQUTAB);
            this->keywords.emplace("AUTOCOAR", this->AUTOCOAR);
            this->keywords.emplace("AUTOREF", this->AUTOREF);
            this->keywords.emplace("BC", this->BC);
            this->keywords.emplace("BDENSITY", this->BDENSITY);
            this->keywords.emplace("BGGI", this->BGGI);
            this->keywords.emplace("BIGMODEL", this->BIGMODEL);
            this->keywords.emplace("BLACKOIL", this->BLACKOIL);
            this->keywords.emplace("BLOCK_PROBE", this->BLOCK_PROBE);
            this->keywords.emplace("BLOCK_PROBE300", this->BLOCK_PROBE300);
            this->keywords.emplace("BOGI", this->BOGI);
            this->keywords.emplace("BOUNDARY", this->BOUNDARY);
            this->keywords.emplace("BOX", this->BOX);
            this->keywords.emplace("BPARA", this->BPARA);
            this->keywords.emplace("BPIDIMS", this->BPIDIMS);
            this->keywords.emplace("BRANPROP", this->BRANPROP);
            this->keywords.emplace("BRINE", this->BRINE);
            this->keywords.emplace("BTOBALFA", this->BTOBALFA);
            this->keywords.emplace("BTOBALFV", this->BTOBALFV);
            this->keywords.emplace("CALTRAC", this->CALTRAC);
            this->keywords.emplace("CARFIN", this->CARFIN);
            this->keywords.emplace("CART", this->CART);
            this->keywords.emplace("CBMOPTS", this->CBMOPTS);
            this->keywords.emplace("CECON", this->CECON);
            this->keywords.emplace("CECONT", this->CECONT);
            this->keywords.emplace("CIRCLE", this->CIRCLE);
            this->keywords.emplace("CO2STOR", this->CO2STOR);
            this->keywords.emplace("CO2STORE", this->CO2STORE);
            this->keywords.emplace("COAL", this->COAL);
            this->keywords.emplace("COALADS", this->COALADS);
            this->keywords.emplace("COALNUM", this->COALNUM);
            this->keywords.emplace("COALPP", this->COALPP);
            this->keywords.emplace("COARSEN", this->COARSEN);
            this->keywords.emplace("COLLAPSE", this->COLLAPSE);
            this->keywords.emplace("COLUMNS", this->COLUMNS);
            this->keywords.emplace("COMPDAT", this->COMPDAT);
            this->keywords.emplace("COMPDATX", this->COMPDATX);
            this->keywords.emplace("COMPFLSH", this->COMPFLSH);
            this->keywords.emplace("COMPIMB", this->COMPIMB);
            this->keywords.emplace("COMPINJK", this->COMPINJK);
            this->keywords.emplace("COMPLMPL", this->COMPLMPL);
            this->keywords.emplace("COMPLUMP", this->COMPLUMP);
            this->keywords.emplace("COMPOFF", this->COMPOFF);
            this->keywords.emplace("COMPORD", this->COMPORD);
            this->keywords.emplace("COMPRIV", this->COMPRIV);
            this->keywords.emplace("COMPRP", this->COMPRP);
            this->keywords.emplace("COMPRPL", this->COMPRPL);
            this->keywords.emplace("COMPS", this->COMPS);
            this->keywords.emplace("COMPSEGL", this->COMPSEGL);
            this->keywords.emplace("COMPSEGS", this->COMPSEGS);
            this->keywords.emplace("COMPVE", this->COMPVE);
            this->keywords.emplace("COMPVEL", this->COMPVEL);
            this->keywords.emplace("CONNECTION_PROBE", this->CONNECTION_PROBE);
            this->keywords.emplace("COORD", this->COORD);
            this->keywords.emplace("COORDSYS", this->COORDSYS);
            this->keywords.emplace("COPY", this->COPY);
            this->keywords.emplace("COPYBOX", this->COPYBOX);
            this->keywords.emplace("COPYREG", this->COPYREG);
            this->keywords.emplace("CPIFACT", this->CPIFACT);
            this->keywords.emplace("CPIFACTL", this->CPIFACTL);
            this->keywords.emplace("CPR", this->CPR);
            this->keywords.emplace("CREF", this->CREF);
            this->keywords.emplace("CREFS", this->CREFS);
            this->keywords.emplace("CRITPERM", this->CRITPERM);
            this->keywords.emplace("CSKIN", this->CSKIN);
            this->keywords.emplace("DATE", this->DATE);
            this->keywords.emplace("DATES", this->DATES);
            this->keywords.emplace("DATUM", this->DATUM);
            this->keywords.emplace("DATUMR", this->DATUMR);
            this->keywords.emplace("DATUMRX", this->DATUMRX);
            this->keywords.emplace("DCQDEFN", this->DCQDEFN);
            this->keywords.emplace("DEBUG_", this->DEBUG_);
            this->keywords.emplace("DELAYACT", this->DELAYACT);
            this->keywords.emplace("DENSITY", this->DENSITY);
            this->keywords.emplace("DEPTH", this->DEPTH);
            this->keywords.emplace("DEPTHTAB", this->DEPTHTAB);
            this->keywords.emplace("DEPTHZ", this->DEPTHZ);
            this->keywords.emplace("DIAGDISP", this->DIAGDISP);
            this->keywords.emplace("DIFF", this->DIFF);
            this->keywords.emplace("DIFFC", this->DIFFC);
            this->keywords.emplace("DIFFCOAL", this->DIFFCOAL);
            this->keywords.emplace("DIFFDP", this->DIFFDP);
            this->keywords.emplace("DIFFMMF", this->DIFFMMF);
            this->keywords.emplace("DIFFMR", this->DIFFMR);
            this->keywords.emplace("DIFFMTHT", this->DIFFMTHT);
            this->keywords.emplace("DIFFMX", this->DIFFMX);
            this->keywords.emplace("DIFFMY", this->DIFFMY);
            this->keywords.emplace("DIFFMZ", this->DIFFMZ);
            this->keywords.emplace("DIFFR", this->DIFFR);
            this->keywords.emplace("DIFFTHT", this->DIFFTHT);
            this->keywords.emplace("DIFFUSE", this->DIFFUSE);
            this->keywords.emplace("DIFFX", this->DIFFX);
            this->keywords.emplace("DIFFY", this->DIFFY);
            this->keywords.emplace("DIFFZ", this->DIFFZ);
            this->keywords.emplace("DIMENS", this->DIMENS);
            this->keywords.emplace("DIMPES", this->DIMPES);
            this->keywords.emplace("DIMPLICT", this->DIMPLICT);
            this->keywords.emplace("DISGAS", this->DISGAS);
            this->keywords.emplace("DISPDIMS", this->DISPDIMS);
            this->keywords.emplace("DISPERSE", this->DISPERSE);
            this->keywords.emplace("DOMAINS", this->DOMAINS);
            this->keywords.emplace("DPGRID", this->DPGRID);
            this->keywords.emplace("DPKRMOD", this->DPKRMOD);
            this->keywords.emplace("DPNUM", this->DPNUM);
            this->keywords.emplace("DR", this->DR);
            this->keywords.emplace("DREF", this->DREF);
            this->keywords.emplace("DREFS", this->DREFS);
            this->keywords.emplace("DRILPRI", this->DRILPRI);
            this->keywords.emplace("DRSDT", this->DRSDT);
            this->keywords.emplace("DRSDTCON", this->DRSDTCON);
            this->keywords.emplace("DRSDTR", this->DRSDTR);
            this->keywords.emplace("DRV", this->DRV);
            this->keywords.emplace("DRVDT", this->DRVDT);
            this->keywords.emplace("DRVDTR", this->DRVDTR);
            this->keywords.emplace("DSPDEINT", this->DSPDEINT);
            this->keywords.emplace("DTHETA", this->DTHETA);
            this->keywords.emplace("DTHETAV", this->DTHETAV);
            this->keywords.emplace("DUALPERM", this->DUALPERM);
            this->keywords.emplace("DUALPORO", this->DUALPORO);
            this->keywords.emplace("DUMPCUPL", this->DUMPCUPL);
            this->keywords.emplace("DUMPFLUX", this->DUMPFLUX);
            this->keywords.emplace("DX", this->DX);
            this->keywords.emplace("DXV", this->DXV);
            this->keywords.emplace("DY", this->DY);
            this->keywords.emplace("DYNAMICR", this->DYNAMICR);
            this->keywords.emplace("DYNRDIMS", this->DYNRDIMS);
            this->keywords.emplace("DYV", this->DYV);
            this->keywords.emplace("DZ", this->DZ);
            this->keywords.emplace("DZMATRIX", this->DZMATRIX);
            this->keywords.emplace("DZMTRX", this->DZMTRX);
            this->keywords.emplace("DZMTRXV", this->DZMTRXV);
            this->keywords.emplace("DZNET", this->DZNET);
            this->keywords.emplace("DZV", this->DZV);
            this->keywords.emplace("ECHO", this->ECHO);
            this->keywords.emplace("ECLMC", this->ECLMC);
            this->keywords.emplace("EDIT", this->EDIT);
            this->keywords.emplace("EDITNNC", this->EDITNNC);
            this->keywords.emplace("EDITNNCR", this->EDITNNCR);
            this->keywords.emplace("EHYSTR", this->EHYSTR);
            this->keywords.emplace("EHYSTRR", this->EHYSTRR);
            this->keywords.emplace("END", this->END);
            this->keywords.emplace("ENDACTIO", this->ENDACTIO);
            this->keywords.emplace("ENDBOX", this->ENDBOX);
            this->keywords.emplace("ENDDYN", this->ENDDYN);
            this->keywords.emplace("ENDFIN", this->ENDFIN);
            this->keywords.emplace("ENDINC", this->ENDINC);
            this->keywords.emplace("ENDNUM", this->ENDNUM);
            this->keywords.emplace("ENDPOINT_SPECIFIERS", this->ENDPOINT_SPECIFIERS);
            this->keywords.emplace("ENDSCALE", this->ENDSCALE);
            this->keywords.emplace("ENDSKIP", this->ENDSKIP);
            this->keywords.emplace("ENKRVD", this->ENKRVD);
            this->keywords.emplace("ENPCVD", this->ENPCVD);
            this->keywords.emplace("ENPTVD", this->ENPTVD);
            this->keywords.emplace("ENSPCVD", this->ENSPCVD);
            this->keywords.emplace("EPSDBGS", this->EPSDBGS);
            this->keywords.emplace("EPSDEBUG", this->EPSDEBUG);
            this->keywords.emplace("EQLDIMS", this->EQLDIMS);
            this->keywords.emplace("EQLNUM", this->EQLNUM);
            this->keywords.emplace("EQLOPTS", this->EQLOPTS);
            this->keywords.emplace("EQLZCORN", this->EQLZCORN);
            this->keywords.emplace("EQUALREG", this->EQUALREG);
            this->keywords.emplace("EQUALS", this->EQUALS);
            this->keywords.emplace("EQUIL", this->EQUIL);
            this->keywords.emplace("ESSNODE", this->ESSNODE);
            this->keywords.emplace("EXCAVATE", this->EXCAVATE);
            this->keywords.emplace("EXCEL", this->EXCEL);
            this->keywords.emplace("EXIT", this->EXIT);
            this->keywords.emplace("EXTFIN", this->EXTFIN);
            this->keywords.emplace("EXTHOST", this->EXTHOST);
            this->keywords.emplace("EXTRAPMS", this->EXTRAPMS);
            this->keywords.emplace("EXTREPGL", this->EXTREPGL);
            this->keywords.emplace("FAULTDIM", this->FAULTDIM);
            this->keywords.emplace("FAULTS", this->FAULTS);
            this->keywords.emplace("FBHPDEF", this->FBHPDEF);
            this->keywords.emplace("FHERCHBL", this->FHERCHBL);
            this->keywords.emplace("FIELD", this->FIELD);
            this->keywords.emplace("FIELD_PROBE", this->FIELD_PROBE);
            this->keywords.emplace("FILEUNIT", this->FILEUNIT);
            this->keywords.emplace("FILLEPS", this->FILLEPS);
            this->keywords.emplace("FIPNUM", this->FIPNUM);
            this->keywords.emplace("FIPOWG", this->FIPOWG);
            this->keywords.emplace("FIPSEP", this->FIPSEP);
            this->keywords.emplace("FIP_PROBE", this->FIP_PROBE);
            this->keywords.emplace("FLUXNUM", this->FLUXNUM);
            this->keywords.emplace("FLUXREG", this->FLUXREG);
            this->keywords.emplace("FLUXTYPE", this->FLUXTYPE);
            this->keywords.emplace("FMTHMD", this->FMTHMD);
            this->keywords.emplace("FMTIN", this->FMTIN);
            this->keywords.emplace("FMTOUT", this->FMTOUT);
            this->keywords.emplace("FMWSET", this->FMWSET);
            this->keywords.emplace("FOAM", this->FOAM);
            this->keywords.emplace("FOAMADS", this->FOAMADS);
            this->keywords.emplace("FOAMDCYO", this->FOAMDCYO);
            this->keywords.emplace("FOAMDCYW", this->FOAMDCYW);
            this->keywords.emplace("FOAMFCN", this->FOAMFCN);
            this->keywords.emplace("FOAMFRM", this->FOAMFRM);
            this->keywords.emplace("FOAMFSC", this->FOAMFSC);
            this->keywords.emplace("FOAMFSO", this->FOAMFSO);
            this->keywords.emplace("FOAMFST", this->FOAMFST);
            this->keywords.emplace("FOAMFSW", this->FOAMFSW);
            this->keywords.emplace("FOAMMOB", this->FOAMMOB);
            this->keywords.emplace("FOAMMOBP", this->FOAMMOBP);
            this->keywords.emplace("FOAMMOBS", this->FOAMMOBS);
            this->keywords.emplace("FOAMOPTS", this->FOAMOPTS);
            this->keywords.emplace("FOAMROCK", this->FOAMROCK);
            this->keywords.emplace("FORMFEED", this->FORMFEED);
            this->keywords.emplace("FRICTION", this->FRICTION);
            this->keywords.emplace("FULLIMP", this->FULLIMP);
            this->keywords.emplace("GAS", this->GAS);
            this->keywords.emplace("GASBEGIN", this->GASBEGIN);
            this->keywords.emplace("GASCONC", this->GASCONC);
            this->keywords.emplace("GASDENT", this->GASDENT);
            this->keywords.emplace("GASEND", this->GASEND);
            this->keywords.emplace("GASFCOMP", this->GASFCOMP);
            this->keywords.emplace("GASFDECR", this->GASFDECR);
            this->keywords.emplace("GASFDELC", this->GASFDELC);
            this->keywords.emplace("GASFIELD", this->GASFIELD);
            this->keywords.emplace("GASFTARG", this->GASFTARG);
            this->keywords.emplace("GASJT", this->GASJT);
            this->keywords.emplace("GASMONTH", this->GASMONTH);
            this->keywords.emplace("GASPERIO", this->GASPERIO);
            this->keywords.emplace("GASSATC", this->GASSATC);
            this->keywords.emplace("GASVISCT", this->GASVISCT);
            this->keywords.emplace("GASYEAR", this->GASYEAR);
            this->keywords.emplace("GCALECON", this->GCALECON);
            this->keywords.emplace("GCOMPIDX", this->GCOMPIDX);
            this->keywords.emplace("GCONCAL", this->GCONCAL);
            this->keywords.emplace("GCONENG", this->GCONENG);
            this->keywords.emplace("GCONINJE", this->GCONINJE);
            this->keywords.emplace("GCONPRI", this->GCONPRI);
            this->keywords.emplace("GCONPROD", this->GCONPROD);
            this->keywords.emplace("GCONSALE", this->GCONSALE);
            this->keywords.emplace("GCONSUMP", this->GCONSUMP);
            this->keywords.emplace("GCONTOL", this->GCONTOL);
            this->keywords.emplace("GCUTBACK", this->GCUTBACK);
            this->keywords.emplace("GCUTBACT", this->GCUTBACT);
            this->keywords.emplace("GCVD", this->GCVD);
            this->keywords.emplace("GDCQ", this->GDCQ);
            this->keywords.emplace("GDCQECON", this->GDCQECON);
            this->keywords.emplace("GDFILE", this->GDFILE);
            this->keywords.emplace("GDIMS", this->GDIMS);
            this->keywords.emplace("GDORIENT", this->GDORIENT);
            this->keywords.emplace("GDRILPOT", this->GDRILPOT);
            this->keywords.emplace("GECON", this->GECON);
            this->keywords.emplace("GECONT", this->GECONT);
            this->keywords.emplace("GEFAC", this->GEFAC);
            this->keywords.emplace("GETDATA", this->GETDATA);
            this->keywords.emplace("GETGLOB", this->GETGLOB);
            this->keywords.emplace("GI", this->GI);
            this->keywords.emplace("GIALL", this->GIALL);
            this->keywords.emplace("GIMODEL", this->GIMODEL);
            this->keywords.emplace("GINODE", this->GINODE);
            this->keywords.emplace("GLIFTLIM", this->GLIFTLIM);
            this->keywords.emplace("GLIFTOPT", this->GLIFTOPT);
            this->keywords.emplace("GMWSET", this->GMWSET);
            this->keywords.emplace("GNETDP", this->GNETDP);
            this->keywords.emplace("GNETINJE", this->GNETINJE);
            this->keywords.emplace("GNETPUMP", this->GNETPUMP);
            this->keywords.emplace("GPMAINT", this->GPMAINT);
            this->keywords.emplace("GRADGRUP", this->GRADGRUP);
            this->keywords.emplace("GRADRESV", this->GRADRESV);
            this->keywords.emplace("GRADRFT", this->GRADRFT);
            this->keywords.emplace("GRADWELL", this->GRADWELL);
            this->keywords.emplace("GRAVCONS", this->GRAVCONS);
            this->keywords.emplace("GRAVDR", this->GRAVDR);
            this->keywords.emplace("GRAVDRB", this->GRAVDRB);
            this->keywords.emplace("GRAVDRM", this->GRAVDRM);
            this->keywords.emplace("GRAVITY", this->GRAVITY);
            this->keywords.emplace("GRDREACH", this->GRDREACH);
            this->keywords.emplace("GRID", this->GRID);
            this->keywords.emplace("GRIDFILE", this->GRIDFILE);
            this->keywords.emplace("GRIDOPTS", this->GRIDOPTS);
            this->keywords.emplace("GRIDUNIT", this->GRIDUNIT);
            this->keywords.emplace("GROUP_PROBE", this->GROUP_PROBE);
            this->keywords.emplace("GRUPMAST", this->GRUPMAST);
            this->keywords.emplace("GRUPNET", this->GRUPNET);
            this->keywords.emplace("GRUPRIG", this->GRUPRIG);
            this->keywords.emplace("GRUPSLAV", this->GRUPSLAV);
            this->keywords.emplace("GRUPTARG", this->GRUPTARG);
            this->keywords.emplace("GRUPTREE", this->GRUPTREE);
            this->keywords.emplace("GSATINJE", this->GSATINJE);
            this->keywords.emplace("GSATPROD", this->GSATPROD);
            this->keywords.emplace("GSEPCOND", this->GSEPCOND);
            this->keywords.emplace("GSSCPTST", this->GSSCPTST);
            this->keywords.emplace("GSWINGF", this->GSWINGF);
            this->keywords.emplace("GTADD", this->GTADD);
            this->keywords.emplace("GTMULT", this->GTMULT);
            this->keywords.emplace("GUIDECAL", this->GUIDECAL);
            this->keywords.emplace("GUIDERAT", this->GUIDERAT);
            this->keywords.emplace("GUPFREQ", this->GUPFREQ);
            this->keywords.emplace("GWRTWCV", this->GWRTWCV);
            this->keywords.emplace("HALFTRAN", this->HALFTRAN);
            this->keywords.emplace("HAxxxxxx", this->HAxxxxxx);
            this->keywords.emplace("HBNUM", this->HBNUM);
            this->keywords.emplace("HDISP", this->HDISP);
            this->keywords.emplace("HEATCR", this->HEATCR);
            this->keywords.emplace("HEATCRT", this->HEATCRT);
            this->keywords.emplace("HMAQUCT", this->HMAQUCT);
            this->keywords.emplace("HMAQUFET", this->HMAQUFET);
            this->keywords.emplace("HMAQUNUM", this->HMAQUNUM);
            this->keywords.emplace("HMDIMS", this->HMDIMS);
            this->keywords.emplace("HMFAULTS", this->HMFAULTS);
            this->keywords.emplace("HMMLAQUN", this->HMMLAQUN);
            this->keywords.emplace("HMMLCTAQ", this->HMMLCTAQ);
            this->keywords.emplace("HMMLFTAQ", this->HMMLFTAQ);
            this->keywords.emplace("HMMLTWCN", this->HMMLTWCN);
            this->keywords.emplace("HMMULTFT", this->HMMULTFT);
            this->keywords.emplace("HMMULTSG", this->HMMULTSG);
            this->keywords.emplace("HMMULTxx", this->HMMULTxx);
            this->keywords.emplace("HMPROPS", this->HMPROPS);
            this->keywords.emplace("HMROCK", this->HMROCK);
            this->keywords.emplace("HMROCKT", this->HMROCKT);
            this->keywords.emplace("HMRREF", this->HMRREF);
            this->keywords.emplace("HMWELCON", this->HMWELCON);
            this->keywords.emplace("HMWPIMLT", this->HMWPIMLT);
            this->keywords.emplace("HMxxxxxx", this->HMxxxxxx);
            this->keywords.emplace("HRFIN", this->HRFIN);
            this->keywords.emplace("HWKRO", this->HWKRO);
            this->keywords.emplace("HWKRORG", this->HWKRORG);
            this->keywords.emplace("HWKRORW", this->HWKRORW);
            this->keywords.emplace("HWKRW", this->HWKRW);
            this->keywords.emplace("HWKRWR", this->HWKRWR);
            this->keywords.emplace("HWPCW", this->HWPCW);
            this->keywords.emplace("HWSNUM", this->HWSNUM);
            this->keywords.emplace("HWSOGCR", this->HWSOGCR);
            this->keywords.emplace("HWSOWCR", this->HWSOWCR);
            this->keywords.emplace("HWSWCR", this->HWSWCR);
            this->keywords.emplace("HWSWL", this->HWSWL);
            this->keywords.emplace("HWSWLPC", this->HWSWLPC);
            this->keywords.emplace("HWSWU", this->HWSWU);
            this->keywords.emplace("HXFIN", this->HXFIN);
            this->keywords.emplace("HYDRHEAD", this->HYDRHEAD);
            this->keywords.emplace("HYFIN", this->HYFIN);
            this->keywords.emplace("HYMOBGDR", this->HYMOBGDR);
            this->keywords.emplace("HYST", this->HYST);
            this->keywords.emplace("HYSTCHCK", this->HYSTCHCK);
            this->keywords.emplace("HZFIN", this->HZFIN);
            this->keywords.emplace("IHOST", this->IHOST);
            this->keywords.emplace("IMBNUM", this->IMBNUM);
            this->keywords.emplace("IMBNUMMF", this->IMBNUMMF);
            this->keywords.emplace("IMKRVD", this->IMKRVD);
            this->keywords.emplace("IMPCVD", this->IMPCVD);
            this->keywords.emplace("IMPES", this->IMPES);
            this->keywords.emplace("IMPLICIT", this->IMPLICIT);
            this->keywords.emplace("IMPORT", this->IMPORT);
            this->keywords.emplace("IMPTVD", this->IMPTVD);
            this->keywords.emplace("IMSPCVD", this->IMSPCVD);
            this->keywords.emplace("INCLUDE", this->INCLUDE);
            this->keywords.emplace("INIT", this->INIT);
            this->keywords.emplace("INRAD", this->INRAD);
            this->keywords.emplace("INSPEC", this->INSPEC);
            this->keywords.emplace("INTPC", this->INTPC);
            this->keywords.emplace("IONROCK", this->IONROCK);
            this->keywords.emplace("IONXROCK", this->IONXROCK);
            this->keywords.emplace("IONXSURF", this->IONXSURF);
            this->keywords.emplace("IPCG", this->IPCG);
            this->keywords.emplace("IPCW", this->IPCW);
            this->keywords.emplace("ISGCR", this->ISGCR);
            this->keywords.emplace("ISGL", this->ISGL);
            this->keywords.emplace("ISGLPC", this->ISGLPC);
            this->keywords.emplace("ISGU", this->ISGU);
            this->keywords.emplace("ISOGCR", this->ISOGCR);
            this->keywords.emplace("ISOLNUM", this->ISOLNUM);
            this->keywords.emplace("ISOWCR", this->ISOWCR);
            this->keywords.emplace("ISWCR", this->ISWCR);
            this->keywords.emplace("ISWL", this->ISWL);
            this->keywords.emplace("ISWLPC", this->ISWLPC);
            this->keywords.emplace("ISWU", this->ISWU);
            this->keywords.emplace("JFUNC", this->JFUNC);
            this->keywords.emplace("JFUNCR", this->JFUNCR);
            this->keywords.emplace("KRNUM", this->KRNUM);
            this->keywords.emplace("KRNUMMF", this->KRNUMMF);
            this->keywords.emplace("LAB", this->LAB);
            this->keywords.emplace("LANGMPL", this->LANGMPL);
            this->keywords.emplace("LANGMUIR", this->LANGMUIR);
            this->keywords.emplace("LANGSOLV", this->LANGSOLV);
            this->keywords.emplace("LCUNIT", this->LCUNIT);
            this->keywords.emplace("LGR", this->LGR);
            this->keywords.emplace("LGRCOPY", this->LGRCOPY);
            this->keywords.emplace("LGRFREE", this->LGRFREE);
            this->keywords.emplace("LGRLOCK", this->LGRLOCK);
            this->keywords.emplace("LGROFF", this->LGROFF);
            this->keywords.emplace("LGRON", this->LGRON);
            this->keywords.emplace("LICENSES", this->LICENSES);
            this->keywords.emplace("LIFTOPT", this->LIFTOPT);
            this->keywords.emplace("LINCOM", this->LINCOM);
            this->keywords.emplace("LINKPERM", this->LINKPERM);
            this->keywords.emplace("LIVEOIL", this->LIVEOIL);
            this->keywords.emplace("LKRO", this->LKRO);
            this->keywords.emplace("LKRORG", this->LKRORG);
            this->keywords.emplace("LKRORW", this->LKRORW);
            this->keywords.emplace("LKRW", this->LKRW);
            this->keywords.emplace("LKRWR", this->LKRWR);
            this->keywords.emplace("LOAD", this->LOAD);
            this->keywords.emplace("LOWSALT", this->LOWSALT);
            this->keywords.emplace("LPCW", this->LPCW);
            this->keywords.emplace("LSALTFNC", this->LSALTFNC);
            this->keywords.emplace("LSLTWNUM", this->LSLTWNUM);
            this->keywords.emplace("LSNUM", this->LSNUM);
            this->keywords.emplace("LSOGCR", this->LSOGCR);
            this->keywords.emplace("LSOWCR", this->LSOWCR);
            this->keywords.emplace("LSWCR", this->LSWCR);
            this->keywords.emplace("LSWL", this->LSWL);
            this->keywords.emplace("LSWLPC", this->LSWLPC);
            this->keywords.emplace("LSWU", this->LSWU);
            this->keywords.emplace("LTOSIGMA", this->LTOSIGMA);
            this->keywords.emplace("LWKRO", this->LWKRO);
            this->keywords.emplace("LWKRORG", this->LWKRORG);
            this->keywords.emplace("LWKRORW", this->LWKRORW);
            this->keywords.emplace("LWKRW", this->LWKRW);
            this->keywords.emplace("LWKRWR", this->LWKRWR);
            this->keywords.emplace("LWPCW", this->LWPCW);
            this->keywords.emplace("LWSLTNUM", this->LWSLTNUM);
            this->keywords.emplace("LWSNUM", this->LWSNUM);
            this->keywords.emplace("LWSOGCR", this->LWSOGCR);
            this->keywords.emplace("LWSOWCR", this->LWSOWCR);
            this->keywords.emplace("LWSWCR", this->LWSWCR);
            this->keywords.emplace("LWSWL", this->LWSWL);
            this->keywords.emplace("LWSWLPC", this->LWSWLPC);
            this->keywords.emplace("LWSWU", this->LWSWU);
            this->keywords.emplace("LX", this->LX);
            this->keywords.emplace("LXFIN", this->LXFIN);
            this->keywords.emplace("LY", this->LY);
            this->keywords.emplace("LYFIN", this->LYFIN);
            this->keywords.emplace("LZ", this->LZ);
            this->keywords.emplace("LZFIN", this->LZFIN);
            this->keywords.emplace("MAPAXES", this->MAPAXES);
            this->keywords.emplace("MAPUNITS", this->MAPUNITS);
            this->keywords.emplace("MASSFLOW", this->MASSFLOW);
            this->keywords.emplace("MATCORR", this->MATCORR);
            this->keywords.emplace("MAXVALUE", this->MAXVALUE);
            this->keywords.emplace("MEMORY", this->MEMORY);
            this->keywords.emplace("MESSAGE", this->MESSAGE);
            this->keywords.emplace("MESSAGES", this->MESSAGES);
            this->keywords.emplace("MESSOPTS", this->MESSOPTS);
            this->keywords.emplace("MESSSRVC", this->MESSSRVC);
            this->keywords.emplace("METRIC", this->METRIC);
            this->keywords.emplace("MICP", this->MICP);
            this->keywords.emplace("MICPPARA", this->MICPPARA);
            this->keywords.emplace("MINNNCT", this->MINNNCT);
            this->keywords.emplace("MINNPCOL", this->MINNPCOL);
            this->keywords.emplace("MINPORV", this->MINPORV);
            this->keywords.emplace("MINPV", this->MINPV);
            this->keywords.emplace("MINPVFIL", this->MINPVFIL);
            this->keywords.emplace("MINPVV", this->MINPVV);
            this->keywords.emplace("MINVALUE", this->MINVALUE);
            this->keywords.emplace("MISC", this->MISC);
            this->keywords.emplace("MISCIBLE", this->MISCIBLE);
            this->keywords.emplace("MISCNUM", this->MISCNUM);
            this->keywords.emplace("MLANG", this->MLANG);
            this->keywords.emplace("MLANGSLV", this->MLANGSLV);
            this->keywords.emplace("MONITOR", this->MONITOR);
            this->keywords.emplace("MPFANUM", this->MPFANUM);
            this->keywords.emplace("MPFNNC", this->MPFNNC);
            this->keywords.emplace("MSFN", this->MSFN);
            this->keywords.emplace("MSGFILE", this->MSGFILE);
            this->keywords.emplace("MSUM_PROBE", this->MSUM_PROBE);
            this->keywords.emplace("MULSGGD", this->MULSGGD);
            this->keywords.emplace("MULSGGDV", this->MULSGGDV);
            this->keywords.emplace("MULTFLT", this->MULTFLT);
            this->keywords.emplace("MULTIN", this->MULTIN);
            this->keywords.emplace("MULTIPLY", this->MULTIPLY);
            this->keywords.emplace("MULTIREG", this->MULTIREG);
            this->keywords.emplace("MULTNUM", this->MULTNUM);
            this->keywords.emplace("MULTOUT", this->MULTOUT);
            this->keywords.emplace("MULTOUTS", this->MULTOUTS);
            this->keywords.emplace("MULTPV", this->MULTPV);
            this->keywords.emplace("MULTREAL", this->MULTREAL);
            this->keywords.emplace("MULTREGD", this->MULTREGD);
            this->keywords.emplace("MULTREGH", this->MULTREGH);
            this->keywords.emplace("MULTREGP", this->MULTREGP);
            this->keywords.emplace("MULTREGT", this->MULTREGT);
            this->keywords.emplace("MULTSIG", this->MULTSIG);
            this->keywords.emplace("MULTSIGV", this->MULTSIGV);
            this->keywords.emplace("MULT_XYZ", this->MULT_XYZ);
            this->keywords.emplace("MW", this->MW);
            this->keywords.emplace("MWS", this->MWS);
            this->keywords.emplace("NARROW", this->NARROW);
            this->keywords.emplace("NCONSUMP", this->NCONSUMP);
            this->keywords.emplace("NEFAC", this->NEFAC);
            this->keywords.emplace("NETBALAN", this->NETBALAN);
            this->keywords.emplace("NETCOMPA", this->NETCOMPA);
            this->keywords.emplace("NETWORK", this->NETWORK);
            this->keywords.emplace("NEWTRAN", this->NEWTRAN);
            this->keywords.emplace("NEXTSTEP", this->NEXTSTEP);
            this->keywords.emplace("NEXTSTPL", this->NEXTSTPL);
            this->keywords.emplace("NINENUM", this->NINENUM);
            this->keywords.emplace("NINEPOIN", this->NINEPOIN);
            this->keywords.emplace("NMATOPTS", this->NMATOPTS);
            this->keywords.emplace("NMATRIX", this->NMATRIX);
            this->keywords.emplace("NMESSAGE", this->NMESSAGE);
            this->keywords.emplace("NNC", this->NNC);
            this->keywords.emplace("NNEWTF", this->NNEWTF);
            this->keywords.emplace("NOCASC", this->NOCASC);
            this->keywords.emplace("NODEPROP", this->NODEPROP);
            this->keywords.emplace("NODPPM", this->NODPPM);
            this->keywords.emplace("NOECHO", this->NOECHO);
            this->keywords.emplace("NOGGF", this->NOGGF);
            this->keywords.emplace("NOGRAV", this->NOGRAV);
            this->keywords.emplace("NOHMD", this->NOHMD);
            this->keywords.emplace("NOHMO", this->NOHMO);
            this->keywords.emplace("NOHYST", this->NOHYST);
            this->keywords.emplace("NOINSPEC", this->NOINSPEC);
            this->keywords.emplace("NOMONITO", this->NOMONITO);
            this->keywords.emplace("NONNC", this->NONNC);
            this->keywords.emplace("NORSSPEC", this->NORSSPEC);
            this->keywords.emplace("NOSIM", this->NOSIM);
            this->keywords.emplace("NOWARN", this->NOWARN);
            this->keywords.emplace("NOWARNEP", this->NOWARNEP);
            this->keywords.emplace("NRSOUT", this->NRSOUT);
            this->keywords.emplace("NSTACK", this->NSTACK);
            this->keywords.emplace("NTG", this->NTG);
            this->keywords.emplace("NUMRES", this->NUMRES);
            this->keywords.emplace("NUPCOL", this->NUPCOL);
            this->keywords.emplace("NWATREM", this->NWATREM);
            this->keywords.emplace("NXFIN", this->NXFIN);
            this->keywords.emplace("NYFIN", this->NYFIN);
            this->keywords.emplace("NZFIN", this->NZFIN);
            this->keywords.emplace("OCOMPIDX", this->OCOMPIDX);
            this->keywords.emplace("OFM", this->OFM);
            this->keywords.emplace("OIL", this->OIL);
            this->keywords.emplace("OILAPI", this->OILAPI);
            this->keywords.emplace("OILCOMPR", this->OILCOMPR);
            this->keywords.emplace("OILDENT", this->OILDENT);
            this->keywords.emplace("OILJT", this->OILJT);
            this->keywords.emplace("OILMW", this->OILMW);
            this->keywords.emplace("OILVISCT", this->OILVISCT);
            this->keywords.emplace("OILVTIM", this->OILVTIM);
            this->keywords.emplace("OLDTRAN", this->OLDTRAN);
            this->keywords.emplace("OLDTRANR", this->OLDTRANR);
            this->keywords.emplace("OPERATE", this->OPERATE);
            this->keywords.emplace("OPERATER", this->OPERATER);
            this->keywords.emplace("OPERNUM", this->OPERNUM);
            this->keywords.emplace("OPTIONS", this->OPTIONS);
            this->keywords.emplace("OPTIONS3", this->OPTIONS3);
            this->keywords.emplace("OUTRAD", this->OUTRAD);
            this->keywords.emplace("OUTSOL", this->OUTSOL);
            this->keywords.emplace("OVERBURD", this->OVERBURD);
            this->keywords.emplace("PARALLEL", this->PARALLEL);
            this->keywords.emplace("PARAOPTS", this->PARAOPTS);
            this->keywords.emplace("PARTTRAC", this->PARTTRAC);
            this->keywords.emplace("PATHS", this->PATHS);
            this->keywords.emplace("PBUB", this->PBUB);
            this->keywords.emplace("PBVD", this->PBVD);
            this->keywords.emplace("PCG", this->PCG);
            this->keywords.emplace("PCG32D", this->PCG32D);
            this->keywords.emplace("PCW", this->PCW);
            this->keywords.emplace("PCW32D", this->PCW32D);
            this->keywords.emplace("PDEW", this->PDEW);
            this->keywords.emplace("PDVD", this->PDVD);
            this->keywords.emplace("PEBI", this->PEBI);
            this->keywords.emplace("PECOEFS", this->PECOEFS);
            this->keywords.emplace("PEDIMS", this->PEDIMS);
            this->keywords.emplace("PEGTABX", this->PEGTABX);
            this->keywords.emplace("PEKTABX", this->PEKTABX);
            this->keywords.emplace("PENUM", this->PENUM);
            this->keywords.emplace("PERFORMANCE_PROBE", this->PERFORMANCE_PROBE);
            this->keywords.emplace("PERMAVE", this->PERMAVE);
            this->keywords.emplace("PERMFACT", this->PERMFACT);
            this->keywords.emplace("PERMJFUN", this->PERMJFUN);
            this->keywords.emplace("PERMR", this->PERMR);
            this->keywords.emplace("PERMTHT", this->PERMTHT);
            this->keywords.emplace("PERMX", this->PERMX);
            this->keywords.emplace("PERMXY", this->PERMXY);
            this->keywords.emplace("PERMY", this->PERMY);
            this->keywords.emplace("PERMYZ", this->PERMYZ);
            this->keywords.emplace("PERMZ", this->PERMZ);
            this->keywords.emplace("PERMZX", this->PERMZX);
            this->keywords.emplace("PETGRID", this->PETGRID);
            this->keywords.emplace("PETOPTS", this->PETOPTS);
            this->keywords.emplace("PICOND", this->PICOND);
            this->keywords.emplace("PIMTDIMS", this->PIMTDIMS);
            this->keywords.emplace("PIMULTAB", this->PIMULTAB);
            this->keywords.emplace("PINCH", this->PINCH);
            this->keywords.emplace("PINCHNUM", this->PINCHNUM);
            this->keywords.emplace("PINCHOUT", this->PINCHOUT);
            this->keywords.emplace("PINCHREG", this->PINCHREG);
            this->keywords.emplace("PINCHXY", this->PINCHXY);
            this->keywords.emplace("PINTDIMS", this->PINTDIMS);
            this->keywords.emplace("PLMIXNUM", this->PLMIXNUM);
            this->keywords.emplace("PLMIXPAR", this->PLMIXPAR);
            this->keywords.emplace("PLYADS", this->PLYADS);
            this->keywords.emplace("PLYADSS", this->PLYADSS);
            this->keywords.emplace("PLYATEMP", this->PLYATEMP);
            this->keywords.emplace("PLYCAMAX", this->PLYCAMAX);
            this->keywords.emplace("PLYDHFLF", this->PLYDHFLF);
            this->keywords.emplace("PLYESAL", this->PLYESAL);
            this->keywords.emplace("PLYKRRF", this->PLYKRRF);
            this->keywords.emplace("PLYMAX", this->PLYMAX);
            this->keywords.emplace("PLYMWINJ", this->PLYMWINJ);
            this->keywords.emplace("PLYOPTS", this->PLYOPTS);
            this->keywords.emplace("PLYRMDEN", this->PLYRMDEN);
            this->keywords.emplace("PLYROCK", this->PLYROCK);
            this->keywords.emplace("PLYROCKM", this->PLYROCKM);
            this->keywords.emplace("PLYSHEAR", this->PLYSHEAR);
            this->keywords.emplace("PLYSHLOG", this->PLYSHLOG);
            this->keywords.emplace("PLYTRRF", this->PLYTRRF);
            this->keywords.emplace("PLYTRRFA", this->PLYTRRFA);
            this->keywords.emplace("PLYVISC", this->PLYVISC);
            this->keywords.emplace("PLYVISCS", this->PLYVISCS);
            this->keywords.emplace("PLYVISCT", this->PLYVISCT);
            this->keywords.emplace("PLYVMH", this->PLYVMH);
            this->keywords.emplace("PLYVSCST", this->PLYVSCST);
            this->keywords.emplace("PMAX", this->PMAX);
            this->keywords.emplace("PMISC", this->PMISC);
            this->keywords.emplace("POLYMER", this->POLYMER);
            this->keywords.emplace("POLYMW", this->POLYMW);
            this->keywords.emplace("PORO", this->PORO);
            this->keywords.emplace("PORV", this->PORV);
            this->keywords.emplace("PPCWMAX", this->PPCWMAX);
            this->keywords.emplace("PRECSALT", this->PRECSALT);
            this->keywords.emplace("PREF", this->PREF);
            this->keywords.emplace("PREFS", this->PREFS);
            this->keywords.emplace("PRESSURE", this->PRESSURE);
            this->keywords.emplace("PRIORITY", this->PRIORITY);
            this->keywords.emplace("PROPS", this->PROPS);
            this->keywords.emplace("PRORDER", this->PRORDER);
            this->keywords.emplace("PRVD", this->PRVD);
            this->keywords.emplace("PSTEADY", this->PSTEADY);
            this->keywords.emplace("PSWRG", this->PSWRG);
            this->keywords.emplace("PSWRO", this->PSWRO);
            this->keywords.emplace("PVCDO", this->PVCDO);
            this->keywords.emplace("PVCO", this->PVCO);
            this->keywords.emplace("PVDG", this->PVDG);
            this->keywords.emplace("PVDO", this->PVDO);
            this->keywords.emplace("PVDS", this->PVDS);
            this->keywords.emplace("PVTG", this->PVTG);
            this->keywords.emplace("PVTGW", this->PVTGW);
            this->keywords.emplace("PVTGWO", this->PVTGWO);
            this->keywords.emplace("PVTNUM", this->PVTNUM);
            this->keywords.emplace("PVTO", this->PVTO);
            this->keywords.emplace("PVTSOL", this->PVTSOL);
            this->keywords.emplace("PVTW", this->PVTW);
            this->keywords.emplace("PVTWSALT", this->PVTWSALT);
            this->keywords.emplace("PVT_M", this->PVT_M);
            this->keywords.emplace("PVZG", this->PVZG);
            this->keywords.emplace("PYACTION", this->PYACTION);
            this->keywords.emplace("PYINPUT", this->PYINPUT);
            this->keywords.emplace("QDRILL", this->QDRILL);
            this->keywords.emplace("QHRATING", this->QHRATING);
            this->keywords.emplace("QMOBIL", this->QMOBIL);
            this->keywords.emplace("RADFIN", this->RADFIN);
            this->keywords.emplace("RADFIN4", this->RADFIN4);
            this->keywords.emplace("RADIAL", this->RADIAL);
            this->keywords.emplace("RAINFALL", this->RAINFALL);
            this->keywords.emplace("RBEDCONT", this->RBEDCONT);
            this->keywords.emplace("RCMASTS", this->RCMASTS);
            this->keywords.emplace("REACHES", this->REACHES);
            this->keywords.emplace("READDATA", this->READDATA);
            this->keywords.emplace("REFINE", this->REFINE);
            this->keywords.emplace("REGDIMS", this->REGDIMS);
            this->keywords.emplace("REGION2REGION_PROBE", this->REGION2REGION_PROBE);
            this->keywords.emplace("REGION2REGION_PROBE_E300", this->REGION2REGION_PROBE_E300);
            this->keywords.emplace("REGIONS", this->REGIONS);
            this->keywords.emplace("REGION_PROBE", this->REGION_PROBE);
            this->keywords.emplace("RESIDNUM", this->RESIDNUM);
            this->keywords.emplace("RESTART", this->RESTART);
            this->keywords.emplace("RESVNUM", this->RESVNUM);
            this->keywords.emplace("RHO", this->RHO);
            this->keywords.emplace("RIVDEBUG", this->RIVDEBUG);
            this->keywords.emplace("RIVERSYS", this->RIVERSYS);
            this->keywords.emplace("RIVRDIMS", this->RIVRDIMS);
            this->keywords.emplace("RIVRPROP", this->RIVRPROP);
            this->keywords.emplace("RIVRXSEC", this->RIVRXSEC);
            this->keywords.emplace("RIVSALT", this->RIVSALT);
            this->keywords.emplace("RIVTRACE", this->RIVTRACE);
            this->keywords.emplace("RKTRMDIR", this->RKTRMDIR);
            this->keywords.emplace("ROCK", this->ROCK);
            this->keywords.emplace("ROCK2D", this->ROCK2D);
            this->keywords.emplace("ROCK2DTR", this->ROCK2DTR);
            this->keywords.emplace("ROCKCOMP", this->ROCKCOMP);
            this->keywords.emplace("ROCKFRAC", this->ROCKFRAC);
            this->keywords.emplace("ROCKNUM", this->ROCKNUM);
            this->keywords.emplace("ROCKOPTS", this->ROCKOPTS);
            this->keywords.emplace("ROCKPAMA", this->ROCKPAMA);
            this->keywords.emplace("ROCKTAB", this->ROCKTAB);
            this->keywords.emplace("ROCKTABH", this->ROCKTABH);
            this->keywords.emplace("ROCKTABW", this->ROCKTABW);
            this->keywords.emplace("ROCKTHSG", this->ROCKTHSG);
            this->keywords.emplace("ROCKTSIG", this->ROCKTSIG);
            this->keywords.emplace("ROCKV", this->ROCKV);
            this->keywords.emplace("ROCKWNOD", this->ROCKWNOD);
            this->keywords.emplace("RPTCPL", this->RPTCPL);
            this->keywords.emplace("RPTGRID", this->RPTGRID);
            this->keywords.emplace("RPTGRIDL", this->RPTGRIDL);
            this->keywords.emplace("RPTHMD", this->RPTHMD);
            this->keywords.emplace("RPTHMG", this->RPTHMG);
            this->keywords.emplace("RPTHMW", this->RPTHMW);
            this->keywords.emplace("RPTINIT", this->RPTINIT);
            this->keywords.emplace("RPTISOL", this->RPTISOL);
            this->keywords.emplace("RPTONLY", this->RPTONLY);
            this->keywords.emplace("RPTONLYO", this->RPTONLYO);
            this->keywords.emplace("RPTPROPS", this->RPTPROPS);
            this->keywords.emplace("RPTREGS", this->RPTREGS);
            this->keywords.emplace("RPTRST", this->RPTRST);
            this->keywords.emplace("RPTRUNSP", this->RPTRUNSP);
            this->keywords.emplace("RPTSCHED", this->RPTSCHED);
            this->keywords.emplace("RPTSMRY", this->RPTSMRY);
            this->keywords.emplace("RPTSOL", this->RPTSOL);
            this->keywords.emplace("RS", this->RS);
            this->keywords.emplace("RSCONST", this->RSCONST);
            this->keywords.emplace("RSCONSTT", this->RSCONSTT);
            this->keywords.emplace("RSGI", this->RSGI);
            this->keywords.emplace("RSSPEC", this->RSSPEC);
            this->keywords.emplace("RSVD", this->RSVD);
            this->keywords.emplace("RTEMP", this->RTEMP);
            this->keywords.emplace("RTEMPA", this->RTEMPA);
            this->keywords.emplace("RTEMPVD", this->RTEMPVD);
            this->keywords.emplace("RUNSPEC", this->RUNSPEC);
            this->keywords.emplace("RUNSUM", this->RUNSUM);
            this->keywords.emplace("RV", this->RV);
            this->keywords.emplace("RVCONST", this->RVCONST);
            this->keywords.emplace("RVCONSTT", this->RVCONSTT);
            this->keywords.emplace("RVGI", this->RVGI);
            this->keywords.emplace("RVVD", this->RVVD);
            this->keywords.emplace("RVW", this->RVW);
            this->keywords.emplace("RVWVD", this->RVWVD);
            this->keywords.emplace("RWGSALT", this->RWGSALT);
            this->keywords.emplace("SALINITY", this->SALINITY);
            this->keywords.emplace("SALT", this->SALT);
            this->keywords.emplace("SALTNODE", this->SALTNODE);
            this->keywords.emplace("SALTP", this->SALTP);
            this->keywords.emplace("SALTPVD", this->SALTPVD);
            this->keywords.emplace("SALTREST", this->SALTREST);
            this->keywords.emplace("SALTSOL", this->SALTSOL);
            this->keywords.emplace("SALTVD", this->SALTVD);
            this->keywords.emplace("SAMG", this->SAMG);
            this->keywords.emplace("SATNUM", this->SATNUM);
            this->keywords.emplace("SATOPTS", this->SATOPTS);
            this->keywords.emplace("SAVE", this->SAVE);
            this->keywords.emplace("SBIOF", this->SBIOF);
            this->keywords.emplace("SCALC", this->SCALC);
            this->keywords.emplace("SCALECRS", this->SCALECRS);
            this->keywords.emplace("SCALELIM", this->SCALELIM);
            this->keywords.emplace("SCDATAB", this->SCDATAB);
            this->keywords.emplace("SCDETAB", this->SCDETAB);
            this->keywords.emplace("SCDPDIMS", this->SCDPDIMS);
            this->keywords.emplace("SCDPTAB", this->SCDPTAB);
            this->keywords.emplace("SCDPTRAC", this->SCDPTRAC);
            this->keywords.emplace("SCHEDULE", this->SCHEDULE);
            this->keywords.emplace("SCVD", this->SCVD);
            this->keywords.emplace("SDENSITY", this->SDENSITY);
            this->keywords.emplace("SEGMENT_PROBE", this->SEGMENT_PROBE);
            this->keywords.emplace("SEPARATE", this->SEPARATE);
            this->keywords.emplace("SEPVALS", this->SEPVALS);
            this->keywords.emplace("SFOAM", this->SFOAM);
            this->keywords.emplace("SGAS", this->SGAS);
            this->keywords.emplace("SGCR", this->SGCR);
            this->keywords.emplace("SGCWMIS", this->SGCWMIS);
            this->keywords.emplace("SGF32D", this->SGF32D);
            this->keywords.emplace("SGFN", this->SGFN);
            this->keywords.emplace("SGL", this->SGL);
            this->keywords.emplace("SGLPC", this->SGLPC);
            this->keywords.emplace("SGOF", this->SGOF);
            this->keywords.emplace("SGOFLET", this->SGOFLET);
            this->keywords.emplace("SGU", this->SGU);
            this->keywords.emplace("SGWFN", this->SGWFN);
            this->keywords.emplace("SHRATE", this->SHRATE);
            this->keywords.emplace("SIGMA", this->SIGMA);
            this->keywords.emplace("SIGMAGDV", this->SIGMAGDV);
            this->keywords.emplace("SIGMATH", this->SIGMATH);
            this->keywords.emplace("SIGMAV", this->SIGMAV);
            this->keywords.emplace("SIMULATE", this->SIMULATE);
            this->keywords.emplace("SKIP", this->SKIP);
            this->keywords.emplace("SKIP100", this->SKIP100);
            this->keywords.emplace("SKIP300", this->SKIP300);
            this->keywords.emplace("SKIPREST", this->SKIPREST);
            this->keywords.emplace("SKPRPOLY", this->SKPRPOLY);
            this->keywords.emplace("SKPRWAT", this->SKPRWAT);
            this->keywords.emplace("SKRO", this->SKRO);
            this->keywords.emplace("SKRORG", this->SKRORG);
            this->keywords.emplace("SKRORW", this->SKRORW);
            this->keywords.emplace("SKRW", this->SKRW);
            this->keywords.emplace("SKRWR", this->SKRWR);
            this->keywords.emplace("SLAVES", this->SLAVES);
            this->keywords.emplace("SLGOF", this->SLGOF);
            this->keywords.emplace("SMICR", this->SMICR);
            this->keywords.emplace("SMRYDIMS", this->SMRYDIMS);
            this->keywords.emplace("SMULTX", this->SMULTX);
            this->keywords.emplace("SMULTY", this->SMULTY);
            this->keywords.emplace("SMULTZ", this->SMULTZ);
            this->keywords.emplace("SOCRS", this->SOCRS);
            this->keywords.emplace("SOF2", this->SOF2);
            this->keywords.emplace("SOF3", this->SOF3);
            this->keywords.emplace("SOF32D", this->SOF32D);
            this->keywords.emplace("SOGCR", this->SOGCR);
            this->keywords.emplace("SOIL", this->SOIL);
            this->keywords.emplace("SOLUTION", this->SOLUTION);
            this->keywords.emplace("SOLVCONC", this->SOLVCONC);
            this->keywords.emplace("SOLVDIMS", this->SOLVDIMS);
            this->keywords.emplace("SOLVDIRS", this->SOLVDIRS);
            this->keywords.emplace("SOLVENT", this->SOLVENT);
            this->keywords.emplace("SOLVFRAC", this->SOLVFRAC);
            this->keywords.emplace("SOLVNUM", this->SOLVNUM);
            this->keywords.emplace("SOMGAS", this->SOMGAS);
            this->keywords.emplace("SOMWAT", this->SOMWAT);
            this->keywords.emplace("SORWMIS", this->SORWMIS);
            this->keywords.emplace("SOWCR", this->SOWCR);
            this->keywords.emplace("SOXYG", this->SOXYG);
            this->keywords.emplace("SPECGRID", this->SPECGRID);
            this->keywords.emplace("SPECHEAT", this->SPECHEAT);
            this->keywords.emplace("SPECROCK", this->SPECROCK);
            this->keywords.emplace("SPIDER", this->SPIDER);
            this->keywords.emplace("SPOLY", this->SPOLY);
            this->keywords.emplace("SPOLYMW", this->SPOLYMW);
            this->keywords.emplace("SSFN", this->SSFN);
            this->keywords.emplace("SSGCR", this->SSGCR);
            this->keywords.emplace("SSGL", this->SSGL);
            this->keywords.emplace("SSOGCR", this->SSOGCR);
            this->keywords.emplace("SSOL", this->SSOL);
            this->keywords.emplace("SSOWCR", this->SSOWCR);
            this->keywords.emplace("SSWCR", this->SSWCR);
            this->keywords.emplace("SSWL", this->SSWL);
            this->keywords.emplace("SSWU", this->SSWU);
            this->keywords.emplace("START", this->START);
            this->keywords.emplace("STCOND", this->STCOND);
            this->keywords.emplace("STOG", this->STOG);
            this->keywords.emplace("STONE", this->STONE);
            this->keywords.emplace("STONE1", this->STONE1);
            this->keywords.emplace("STONE1EX", this->STONE1EX);
            this->keywords.emplace("STONE2", this->STONE2);
            this->keywords.emplace("STOW", this->STOW);
            this->keywords.emplace("STWG", this->STWG);
            this->keywords.emplace("SUMMARY", this->SUMMARY);
            this->keywords.emplace("SUMTHIN", this->SUMTHIN);
            this->keywords.emplace("SUREA", this->SUREA);
            this->keywords.emplace("SURF", this->SURF);
            this->keywords.emplace("SURFACT", this->SURFACT);
            this->keywords.emplace("SURFACTW", this->SURFACTW);
            this->keywords.emplace("SURFADDW", this->SURFADDW);
            this->keywords.emplace("SURFADS", this->SURFADS);
            this->keywords.emplace("SURFCAPD", this->SURFCAPD);
            this->keywords.emplace("SURFESAL", this->SURFESAL);
            this->keywords.emplace("SURFNUM", this->SURFNUM);
            this->keywords.emplace("SURFOPTS", this->SURFOPTS);
            this->keywords.emplace("SURFROCK", this->SURFROCK);
            this->keywords.emplace("SURFST", this->SURFST);
            this->keywords.emplace("SURFSTES", this->SURFSTES);
            this->keywords.emplace("SURFVISC", this->SURFVISC);
            this->keywords.emplace("SURFWNUM", this->SURFWNUM);
            this->keywords.emplace("SWAT", this->SWAT);
            this->keywords.emplace("SWATINIT", this->SWATINIT);
            this->keywords.emplace("SWCR", this->SWCR);
            this->keywords.emplace("SWF32D", this->SWF32D);
            this->keywords.emplace("SWFN", this->SWFN);
            this->keywords.emplace("SWINGFAC", this->SWINGFAC);
            this->keywords.emplace("SWL", this->SWL);
            this->keywords.emplace("SWLPC", this->SWLPC);
            this->keywords.emplace("SWOF", this->SWOF);
            this->keywords.emplace("SWOFLET", this->SWOFLET);
            this->keywords.emplace("SWU", this->SWU);
            this->keywords.emplace("TABDIMS", this->TABDIMS);
            this->keywords.emplace("TBLK", this->TBLK);
            this->keywords.emplace("TEMP", this->TEMP);
            this->keywords.emplace("TEMPI", this->TEMPI);
            this->keywords.emplace("TEMPNODE", this->TEMPNODE);
            this->keywords.emplace("TEMPTVD", this->TEMPTVD);
            this->keywords.emplace("TEMPVD", this->TEMPVD);
            this->keywords.emplace("THCGAS", this->THCGAS);
            this->keywords.emplace("THCOIL", this->THCOIL);
            this->keywords.emplace("THCONR", this->THCONR);
            this->keywords.emplace("THCONSF", this->THCONSF);
            this->keywords.emplace("THCROCK", this->THCROCK);
            this->keywords.emplace("THCWATER", this->THCWATER);
            this->keywords.emplace("THERMAL", this->THERMAL);
            this->keywords.emplace("THPRES", this->THPRES);
            this->keywords.emplace("THPRESFT", this->THPRESFT);
            this->keywords.emplace("TIGHTEN", this->TIGHTEN);
            this->keywords.emplace("TIGHTENP", this->TIGHTENP);
            this->keywords.emplace("TIME", this->TIME);
            this->keywords.emplace("TITLE", this->TITLE);
            this->keywords.emplace("TLMIXPAR", this->TLMIXPAR);
            this->keywords.emplace("TLPMIXPA", this->TLPMIXPA);
            this->keywords.emplace("TNUM", this->TNUM);
            this->keywords.emplace("TOLCRIT", this->TOLCRIT);
            this->keywords.emplace("TOPS", this->TOPS);
            this->keywords.emplace("TPAMEPS", this->TPAMEPS);
            this->keywords.emplace("TPAMEPSS", this->TPAMEPSS);
            this->keywords.emplace("TRACER", this->TRACER);
            this->keywords.emplace("TRACERKM", this->TRACERKM);
            this->keywords.emplace("TRACERKP", this->TRACERKP);
            this->keywords.emplace("TRACERS", this->TRACERS);
            this->keywords.emplace("TRACITVD", this->TRACITVD);
            this->keywords.emplace("TRACTVD", this->TRACTVD);
            this->keywords.emplace("TRADS", this->TRADS);
            this->keywords.emplace("TRANGL", this->TRANGL);
            this->keywords.emplace("TRANR", this->TRANR);
            this->keywords.emplace("TRANTHT", this->TRANTHT);
            this->keywords.emplace("TRANX", this->TRANX);
            this->keywords.emplace("TRANY", this->TRANY);
            this->keywords.emplace("TRANZ", this->TRANZ);
            this->keywords.emplace("TRDCY", this->TRDCY);
            this->keywords.emplace("TRDIF", this->TRDIF);
            this->keywords.emplace("TRDIS", this->TRDIS);
            this->keywords.emplace("TREF", this->TREF);
            this->keywords.emplace("TREFS", this->TREFS);
            this->keywords.emplace("TRKPF", this->TRKPF);
            this->keywords.emplace("TRNHD", this->TRNHD);
            this->keywords.emplace("TRPLPORO", this->TRPLPORO);
            this->keywords.emplace("TRROCK", this->TRROCK);
            this->keywords.emplace("TSTEP", this->TSTEP);
            this->keywords.emplace("TUNING", this->TUNING);
            this->keywords.emplace("TUNINGDP", this->TUNINGDP);
            this->keywords.emplace("TUNINGH", this->TUNINGH);
            this->keywords.emplace("TUNINGL", this->TUNINGL);
            this->keywords.emplace("TUNINGS", this->TUNINGS);
            this->keywords.emplace("TVDP", this->TVDP);
            this->keywords.emplace("TZONE", this->TZONE);
            this->keywords.emplace("UDADIMS", this->UDADIMS);
            this->keywords.emplace("UDQ", this->UDQ);
            this->keywords.emplace("UDQDIMS", this->UDQDIMS);
            this->keywords.emplace("UDQPARAM", this->UDQPARAM);
            this->keywords.emplace("UDT", this->UDT);
            this->keywords.emplace("UDTDIMS", this->UDTDIMS);
            this->keywords.emplace("UNCODHMD", this->UNCODHMD);
            this->keywords.emplace("UNIFIN", this->UNIFIN);
            this->keywords.emplace("UNIFOUT", this->UNIFOUT);
            this->keywords.emplace("UNIFOUTS", this->UNIFOUTS);
            this->keywords.emplace("UNIFSAVE", this->UNIFSAVE);
            this->keywords.emplace("USECUPL", this->USECUPL);
            this->keywords.emplace("USEFLUX", this->USEFLUX);
            this->keywords.emplace("USENOFLO", this->USENOFLO);
            this->keywords.emplace("VAPOIL", this->VAPOIL);
            this->keywords.emplace("VAPPARS", this->VAPPARS);
            this->keywords.emplace("VAPWAT", this->VAPWAT);
            this->keywords.emplace("VDFLOW", this->VDFLOW);
            this->keywords.emplace("VDFLOWR", this->VDFLOWR);
            this->keywords.emplace("VE", this->VE);
            this->keywords.emplace("VEDEBUG", this->VEDEBUG);
            this->keywords.emplace("VEFIN", this->VEFIN);
            this->keywords.emplace("VEFRAC", this->VEFRAC);
            this->keywords.emplace("VEFRACP", this->VEFRACP);
            this->keywords.emplace("VEFRACPV", this->VEFRACPV);
            this->keywords.emplace("VEFRACV", this->VEFRACV);
            this->keywords.emplace("VFPCHK", this->VFPCHK);
            this->keywords.emplace("VFPIDIMS", this->VFPIDIMS);
            this->keywords.emplace("VFPINJ", this->VFPINJ);
            this->keywords.emplace("VFPPDIMS", this->VFPPDIMS);
            this->keywords.emplace("VFPPROD", this->VFPPROD);
            this->keywords.emplace("VFPTABL", this->VFPTABL);
            this->keywords.emplace("VISAGE", this->VISAGE);
            this->keywords.emplace("VISCD", this->VISCD);
            this->keywords.emplace("VISCREF", this->VISCREF);
            this->keywords.emplace("VISDATES", this->VISDATES);
            this->keywords.emplace("VISOPTS", this->VISOPTS);
            this->keywords.emplace("WAGHYSTR", this->WAGHYSTR);
            this->keywords.emplace("WAITBAL", this->WAITBAL);
            this->keywords.emplace("WALKALIN", this->WALKALIN);
            this->keywords.emplace("WALQCALC", this->WALQCALC);
            this->keywords.emplace("WAPI", this->WAPI);
            this->keywords.emplace("WARN", this->WARN);
            this->keywords.emplace("WATDENT", this->WATDENT);
            this->keywords.emplace("WATER", this->WATER);
            this->keywords.emplace("WATJT", this->WATJT);
            this->keywords.emplace("WATVISCT", this->WATVISCT);
            this->keywords.emplace("WBHGLR", this->WBHGLR);
            this->keywords.emplace("WBOREVOL", this->WBOREVOL);
            this->keywords.emplace("WCALCVAL", this->WCALCVAL);
            this->keywords.emplace("WCONHIST", this->WCONHIST);
            this->keywords.emplace("WCONINJ", this->WCONINJ);
            this->keywords.emplace("WCONINJE", this->WCONINJE);
            this->keywords.emplace("WCONINJH", this->WCONINJH);
            this->keywords.emplace("WCONINJP", this->WCONINJP);
            this->keywords.emplace("WCONPROD", this->WCONPROD);
            this->keywords.emplace("WCUTBACK", this->WCUTBACK);
            this->keywords.emplace("WCUTBACT", this->WCUTBACT);
            this->keywords.emplace("WCYCLE", this->WCYCLE);
            this->keywords.emplace("WDFAC", this->WDFAC);
            this->keywords.emplace("WDFACCOR", this->WDFACCOR);
            this->keywords.emplace("WDRILPRI", this->WDRILPRI);
            this->keywords.emplace("WDRILRES", this->WDRILRES);
            this->keywords.emplace("WDRILTIM", this->WDRILTIM);
            this->keywords.emplace("WECON", this->WECON);
            this->keywords.emplace("WECONINJ", this->WECONINJ);
            this->keywords.emplace("WECONT", this->WECONT);
            this->keywords.emplace("WEFAC", this->WEFAC);
            this->keywords.emplace("WELCNTL", this->WELCNTL);
            this->keywords.emplace("WELDEBUG", this->WELDEBUG);
            this->keywords.emplace("WELDRAW", this->WELDRAW);
            this->keywords.emplace("WELEVNT", this->WELEVNT);
            this->keywords.emplace("WELLDIMS", this->WELLDIMS);
            this->keywords.emplace("WELL_COMPLETION_PROBE", this->WELL_COMPLETION_PROBE);
            this->keywords.emplace("WELL_PROBE", this->WELL_PROBE);
            this->keywords.emplace("WELMOVEL", this->WELMOVEL);
            this->keywords.emplace("WELOPEN", this->WELOPEN);
            this->keywords.emplace("WELOPENL", this->WELOPENL);
            this->keywords.emplace("WELPI", this->WELPI);
            this->keywords.emplace("WELPRI", this->WELPRI);
            this->keywords.emplace("WELSEGS", this->WELSEGS);
            this->keywords.emplace("WELSOMIN", this->WELSOMIN);
            this->keywords.emplace("WELSPECL", this->WELSPECL);
            this->keywords.emplace("WELSPECS", this->WELSPECS);
            this->keywords.emplace("WELTARG", this->WELTARG);
            this->keywords.emplace("WFOAM", this->WFOAM);
            this->keywords.emplace("WFRICSEG", this->WFRICSEG);
            this->keywords.emplace("WFRICSGL", this->WFRICSGL);
            this->keywords.emplace("WFRICTN", this->WFRICTN);
            this->keywords.emplace("WFRICTNL", this->WFRICTNL);
            this->keywords.emplace("WGASPROD", this->WGASPROD);
            this->keywords.emplace("WGORPEN", this->WGORPEN);
            this->keywords.emplace("WGRUPCON", this->WGRUPCON);
            this->keywords.emplace("WH2NUM", this->WH2NUM);
            this->keywords.emplace("WH3NUM", this->WH3NUM);
            this->keywords.emplace("WHEDREFD", this->WHEDREFD);
            this->keywords.emplace("WHISTCTL", this->WHISTCTL);
            this->keywords.emplace("WHTEMP", this->WHTEMP);
            this->keywords.emplace("WINJMULT", this->WINJMULT);
            this->keywords.emplace("WINJTEMP", this->WINJTEMP);
            this->keywords.emplace("WLIFT", this->WLIFT);
            this->keywords.emplace("WLIFTOPT", this->WLIFTOPT);
            this->keywords.emplace("WLIMTOL", this->WLIMTOL);
            this->keywords.emplace("WLIST", this->WLIST);
            this->keywords.emplace("WLISTARG", this->WLISTARG);
            this->keywords.emplace("WLISTNAM", this->WLISTNAM);
            this->keywords.emplace("WMICP", this->WMICP);
            this->keywords.emplace("WNETCTRL", this->WNETCTRL);
            this->keywords.emplace("WNETDP", this->WNETDP);
            this->keywords.emplace("WORKLIM", this->WORKLIM);
            this->keywords.emplace("WORKTHP", this->WORKTHP);
            this->keywords.emplace("WPAVE", this->WPAVE);
            this->keywords.emplace("WPAVEDEP", this->WPAVEDEP);
            this->keywords.emplace("WPIMULT", this->WPIMULT);
            this->keywords.emplace("WPIMULTL", this->WPIMULTL);
            this->keywords.emplace("WPITAB", this->WPITAB);
            this->keywords.emplace("WPLUG", this->WPLUG);
            this->keywords.emplace("WPMITAB", this->WPMITAB);
            this->keywords.emplace("WPOLYMER", this->WPOLYMER);
            this->keywords.emplace("WPOLYRED", this->WPOLYRED);
            this->keywords.emplace("WPOTCALC", this->WPOTCALC);
            this->keywords.emplace("WREGROUP", this->WREGROUP);
            this->keywords.emplace("WRFT", this->WRFT);
            this->keywords.emplace("WRFTPLT", this->WRFTPLT);
            this->keywords.emplace("WSALT", this->WSALT);
            this->keywords.emplace("WSCCLEAN", this->WSCCLEAN);
            this->keywords.emplace("WSCCLENL", this->WSCCLENL);
            this->keywords.emplace("WSCTAB", this->WSCTAB);
            this->keywords.emplace("WSEGAICD", this->WSEGAICD);
            this->keywords.emplace("WSEGDFIN", this->WSEGDFIN);
            this->keywords.emplace("WSEGDFMD", this->WSEGDFMD);
            this->keywords.emplace("WSEGDFPA", this->WSEGDFPA);
            this->keywords.emplace("WSEGDIMS", this->WSEGDIMS);
            this->keywords.emplace("WSEGEXSS", this->WSEGEXSS);
            this->keywords.emplace("WSEGFLIM", this->WSEGFLIM);
            this->keywords.emplace("WSEGFMOD", this->WSEGFMOD);
            this->keywords.emplace("WSEGINIT", this->WSEGINIT);
            this->keywords.emplace("WSEGITER", this->WSEGITER);
            this->keywords.emplace("WSEGLABY", this->WSEGLABY);
            this->keywords.emplace("WSEGLINK", this->WSEGLINK);
            this->keywords.emplace("WSEGMULT", this->WSEGMULT);
            this->keywords.emplace("WSEGPROP", this->WSEGPROP);
            this->keywords.emplace("WSEGSEP", this->WSEGSEP);
            this->keywords.emplace("WSEGSICD", this->WSEGSICD);
            this->keywords.emplace("WSEGSOLV", this->WSEGSOLV);
            this->keywords.emplace("WSEGTABL", this->WSEGTABL);
            this->keywords.emplace("WSEGVALV", this->WSEGVALV);
            this->keywords.emplace("WSKPTAB", this->WSKPTAB);
            this->keywords.emplace("WSOLVENT", this->WSOLVENT);
            this->keywords.emplace("WSURFACT", this->WSURFACT);
            this->keywords.emplace("WTADD", this->WTADD);
            this->keywords.emplace("WTEMP", this->WTEMP);
            this->keywords.emplace("WTEMPQ", this->WTEMPQ);
            this->keywords.emplace("WTEST", this->WTEST);
            this->keywords.emplace("WTHPMAX", this->WTHPMAX);
            this->keywords.emplace("WTMULT", this->WTMULT);
            this->keywords.emplace("WTRACER", this->WTRACER);
            this->keywords.emplace("WVFPDP", this->WVFPDP);
            this->keywords.emplace("WVFPEXP", this->WVFPEXP);
            this->keywords.emplace("WWPAVE", this->WWPAVE);
            this->keywords.emplace("ZCORN", this->ZCORN);
            this->keywords.emplace("ZFACT1", this->ZFACT1);
            this->keywords.emplace("ZFACT1S", this->ZFACT1S);
            this->keywords.emplace("ZFACTOR", this->ZFACTOR);
            this->keywords.emplace("ZFACTORS", this->ZFACTORS);
            this->keywords.emplace("ZIPP2OFF", this->ZIPP2OFF);
            this->keywords.emplace("ZIPPY2", this->ZIPPY2);
     }
     const auto kw_iter = this->keywords.find(keyword);
     if (kw_iter == this->keywords.end())
         throw std::invalid_argument(fmt::format("No builtin keyword: {}", keyword));
     return kw_iter->second;
}

     const ::Opm::ParserKeyword& getKeyword(const std::string& keyword) const { return this->operator[](keyword); }

private:
      mutable std::unordered_map<std::string, ::Opm::ParserKeyword> keywords;
};
}
}
#endif
